2024-04-03 11:13:23 +0200 Joe 
Release 2.4.18
M	lang/new_language_template/LC_MESSAGES/empty.po
M	version.php

2024-03-29 09:10:04 +0100 Joe 
Wrong implicit conversion from double. Fixed by using int.
M	inventory/manage/items.php

2024-03-29 09:08:25 +0100 Joe 
Wrong default function parameters in display_type. Fixed.
M	gl/inquiry/profit_loss.php

2024-03-17 11:04:46 +0100 Janusz Dobrowolski 
[0005735] Additional fix for php>=8.2
M	reporting/includes/class.mail.inc

2024-03-15 12:18:14 +0100 Joe 
Bug. Edit Journal -> orphaned attachments.
M	gl/includes/db/gl_journal.inc

2024-03-15 11:46:33 +0100 Janusz Dobrowolski 
[0005735] Problems with sending emails with encoding other than ASCII - fixed.
M	inventory/includes/inventory_db.inc
M	reporting/includes/class.mail.inc
M	reporting/includes/pdf_report.inc
M	reporting/rep107.php
M	reporting/rep108.php

2024-03-15 11:43:52 +0100 Janusz Dobrowolski 
Fixed language modules locale.inc integration.
M	includes/hooks.inc

2024-01-18 10:17:02 +0100 Joe 
Fixed more php 8.2 deprecation bugs.
M	frontaccounting.php
M	reporting/includes/Workbook.php
M	reporting/includes/excel_report.inc
M	sales/sales_order_entry.php

2023-11-15 08:58:24 +0100 Joe 
Better sql construct in sales/includes/db/sales_order_db.inc
M	sales/includes/db/sales_order_db.inc

2023-11-01 19:58:56 +0100 Janusz Dobrowolski 
Compatibility regression fix for previous commit.
M	reporting/includes/class.mail.inc

2023-10-29 23:06:25 +0100 Janusz Dobrowolski 
[0005711] Bad Content-type set for invoice mail attachment; malformed invoice mails sent from  Win based FA servers. Fixed
M	reporting/includes/class.mail.inc

2023-10-24 13:31:52 +0200 Joe 
Rerun bank_accounts.php. Fixed missing Date Picker.
M	gl/manage/bank_accounts.php

2023-10-24 10:11:19 +0200 Joe 
Implemented attachments for Bank Account, and redesign of Bank Accounts to a tabbed window with Settings, transactions and attachments.
M	admin/attachments.php
M	admin/db/attachments_db.inc
M	admin/db/transactions_db.inc
M	gl/inquiry/bank_inquiry.php
M	gl/manage/bank_accounts.php
M	includes/sysnames.inc
M	includes/types.inc
M	includes/ui/attachment.inc

2023-10-22 00:25:51 +0200 Joe 
Customer Transaction Inquiry on Reference (partly) fixed.
M	sales/inquiry/customer_inquiry.php

2023-10-22 00:10:20 +0200 Joe 
Bug 5722: Canceled Sales Orders Show Up In Sales Order Inquiry. Fixed.
M	sales/includes/db/cust_trans_db.inc
M	sales/includes/db/sales_order_db.inc
M	sales/inquiry/sales_orders_view.php

2023-10-09 23:46:39 +0200 Joe 
CHANGELOG.txt
M	CHANGELOG.txt

2023-10-09 23:39:22 +0200 Joe 
Release 2.4.17
M	CHANGELOG.txt
M	version.php

2023-09-22 23:22:34 +0200 Joe 
Bug Found in Supplier Invoice in Calculating Unit Tax
M	purchasing/includes/db/invoice_db.inc

2023-09-21 14:22:57 +0200 Joe 
New empty language empty.po file
M	lang/new_language_template/LC_MESSAGES/empty.po

2023-08-08 16:55:12 +0200 Joe 
PHP 8.2 rerun of /sales/includes/cart_class.inc. Fixed back to deliver_to.
M	sales/includes/cart_class.inc

2023-08-07 23:03:40 +0200 Joe 
PHP 8.2 More fixes. Deprecated dynamic member adds.
M	admin/includes/fa_patch.class.inc
M	sales/includes/cart_class.inc

2023-08-07 21:17:15 +0200 Joe 
PHP 8.2 Compatibility Improvement, better implementation.
M	includes/hooks.inc
M	includes/prefs/userprefs.inc
M	includes/ui/allocation_cart.inc
M	reporting/includes/class.graphic.inc
M	sales/includes/cart_class.inc

2023-08-07 16:45:51 +0200 Joe 
First fix of PHP 8.2 deprecated errors. Not seen with $go_debug = 0, but error.log was huge.
M	includes/hooks.inc
M	includes/prefs/userprefs.inc
M	includes/ui/allocation_cart.inc
M	includes/ui/attachment.inc
M	includes/ui/contacts_view.inc
M	purchasing/inquiry/supplier_inquiry.php
M	reporting/includes/class.graphic.inc
M	reporting/rep110.php
M	sales/includes/cart_class.inc
M	sales/inquiry/customer_inquiry.php

2023-08-06 10:10:35 +0200 Joe 
Improvement of last commit, XUMM XRP. Payment Link.
M	includes/ui/ui_view.inc

2023-08-01 09:28:37 +0200 Joe 
Added Payment Link (Payment Service) for XUMM. A Dutch free Payment Service.
M	includes/ui/ui_view.inc

2023-07-03 10:20:31 +0200 Joe 
Bug 5709: Opening Bal. is calculated incorrectly in supplier balance. Fixed.
M	reporting/rep201.php

2023-05-22 06:56:06 +0200 Joe 
Mark Inactive Customers and Suppliers in Reports (when no Filter).
M	reporting/rep101.php
M	reporting/rep102.php
M	reporting/rep115.php
M	reporting/rep201.php
M	reporting/rep202.php
M	reporting/rep203.php
M	reporting/rep206.php

2023-05-03 11:01:57 +0200 Joe 
CHANGELOG.txt
M	CHANGELOG.txt

2023-05-03 10:59:32 +0200 Joe 
Release 2.4.16
M	lang/new_language_template/LC_MESSAGES/empty.po
M	version.php

2023-05-01 00:50:32 +0200 Joe 
Rerun of items attachments. Including fixed assets.
M	admin/attachments.php
M	admin/db/attachments_db.inc
M	admin/db/transactions_db.inc
M	includes/sysnames.inc
M	includes/types.inc
M	includes/ui/attachment.inc
M	inventory/manage/items.php

2023-04-30 17:52:54 +0200 Joe 
Rerun of setup item Attachment. admin/attqachments.php.
M	admin/attachments.php

2023-04-30 15:04:25 +0200 Joe 
Rerun fixed_assets attachments (items.php)
M	inventory/manage/items.php

2023-04-30 14:14:28 +0200 Joe 
New empty.po after adding item attachments
M	lang/new_language_template/LC_MESSAGES/empty.po

2023-04-30 13:38:11 +0200 Joe 
Implemented an Items tab for attachments and modified the existing setup attachments.
M	admin/attachments.php
M	admin/db/attachments_db.inc
M	admin/db/transactions_db.inc
M	includes/sysnames.inc
M	includes/types.inc
M	includes/ui/attachment.inc
M	inventory/includes/db/items_db.inc
M	inventory/manage/items.php

2023-04-28 23:28:39 +0200 Joe 
Bug 5694: Request Various Attachment Changes. Fixed the most.
M	includes/ui/attachment.inc

2023-04-28 17:49:54 +0200 Joe 
Rerun of Supplier Inquiry Aging. Optimizing.
M	purchasing/includes/db/suppliers_db.inc
M	reporting/rep202.php

2023-04-28 14:53:39 +0200 Joe 
Bug 5697: In Supplier Transaction Inquiry, Aging balances are Incorrect. Fixed.
M	purchasing/inquiry/supplier_inquiry.php

2023-04-28 10:44:35 +0200 Joe 
Bug 5682: Voided Invoices and PO Deliveries showing up in inquiries. Fixed.
M	purchasing/inquiry/supplier_inquiry.php
M	purchasing/view/view_po.php

2023-04-27 17:45:10 +0200 Joe 
Bug 5698: Rep302 Spelling Mistake. Fixed.
M	lang/new_language_template/LC_MESSAGES/empty.po
M	reporting/rep302.php

2023-04-27 17:34:39 +0200 Joe 
Allow fractional entry of Purchase Order Line Price. Upot 6 decimals.
M	inventory/purchasing_data.php
M	purchasing/includes/ui/po_ui.inc

2023-04-27 17:32:38 +0200 Joe 
Bug 5695: Purchase Order Item Description should be saved on the PO line description directly. Fixed.
M	purchasing/includes/db/po_db.inc
M	purchasing/includes/po_class.inc
M	purchasing/includes/purchasing_db.inc
M	purchasing/view/view_po.php
M	reporting/rep209.php

2023-04-19 07:24:56 +0200 Joe 
Supplier description is overwritten when receiving items. Fixed.
M	purchasing/includes/purchasing_db.inc

2023-04-16 10:06:09 +0200 Joe 
The average material cost test for either qoh > 0 and qoh + qty > 0 has changed to 0.0000000001 to avoid strange php results for very small values.
M	purchasing/includes/db/grn_db.inc

2023-04-15 11:27:08 +0200 Joe 
Changed get_unic_dec to get_qty_dec for eliminating return -1.
M	sales/customer_delivery.php
M	sales/customer_invoice.php

2023-04-14 10:17:54 +0200 Joe 
New translatable strings in locations.php.
M	lang/new_language_template/LC_MESSAGES/empty.po

2023-04-14 10:09:26 +0200 Joe 
0005692: Translatable Strings in locations.php were not translatable. Fixed.
M	inventory/manage/locations.php

2023-04-04 16:54:53 +0200 Joe 
Bug 5685: Bank Statement w/Reconcile report includes gl_trans values that are "0.00". Fixed.
M	reporting/rep601.php
M	reporting/rep602.php

2023-04-01 14:29:21 +0200 Joe 
Bug 5687: Unable to dispatch SO for service items with u/m decimal places set as "user defined" when SO item qty is less than 5. Fixed.
M	sales/customer_delivery.php

2023-03-29 10:24:38 +0200 Joe 
Annoyance 5683: Allow attachments from most needed post-creation option screens.
M	purchasing/po_entry_items.php
M	purchasing/po_receive_items.php
M	sales/customer_delivery.php
M	sales/sales_order_entry.php

2023-03-25 22:50:30 +0100 Joe 
Rerun. Attach documents: error message when attaching document on some php8 versions fixed.
M	includes/ui/simple_crud_class.inc

2023-03-25 21:48:17 +0100 Janusz Dobrowolski 
[0005684] Attach documents: error message when attaching document on some php8 versions fixed.
M	includes/ui/simple_crud_class.inc

2023-03-18 09:17:06 +0100 Janusz Dobrowolski 
[0005679] Supplier Invoices: error when second invoice to GRN was entered, fixed.
M	purchasing/includes/db/invoice_db.inc

2023-03-08 00:48:48 +0100 Joe 
Bug 5678: Customer/Supplier Transactions Ageing Display Calculates Incorrectly (including full allocs) in Customer/Supplier Inquiries. Fixed.
M	purchasing/inquiry/supplier_inquiry.php
M	sales/inquiry/customer_inquiry.php

2023-03-03 16:10:01 +0100 Joe 
bug. Supplier Payment db calls void_cust_allocations. Fixed to void_supp_allocations.
M	purchasing/includes/db/supp_payment_db.inc

2023-02-28 11:00:12 +0100 Joe 
Bug 5676: Currency stored in MySQL DOUBLE Type causes strange error. Fixed by explicitly SQL ROUND to price dec in updating allocations.
M	purchasing/includes/db/suppalloc_db.inc
M	sales/includes/db/custalloc_db.inc

2023-02-24 10:49:28 +0100 Joe 
Bug. add_domain function generates a big list of not found domain file errors. Fixed.
M	includes/lang/gettext.inc

2023-02-24 09:44:24 +0100 Joe 
New CHANGELOG.txt
M	CHANGELOG.txt

2023-02-24 09:42:00 +0100 Joe 
Release 2.4.15
M	lang/new_language_template/LC_MESSAGES/empty.po
M	version.php

2023-02-24 09:40:59 +0100 Joe 
PHP 8.1 onwards db_set_charset needs second parameter not null. Fixed with defaykt utf8.
M	admin/db/maintenance_db.inc

2023-02-07 23:49:49 +0100 Joe 
Rerun cleanup in attachments_db.inc
M	admin/db/attachments_db.inc

2023-02-07 23:40:58 +0100 Joe 
Clean up in function get_attachment_string() in attachments_db.inc
M	admin/db/attachments_db.inc

2023-02-07 23:37:55 +0100 Joe 
Bug. php 8. nl2br with null parameter in view_sales_order. Fixed.
M	sales/view/view_sales_order.php

2023-02-06 23:28:37 +0100 Joe 
Moved years in default COAs one year forward.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2023-02-06 00:46:47 +0100 Joe 
Fixed a bug in presenting a fixed asset attachment (should be the Supplier Invoice).
M	fixed_assets/inquiry/stock_inquiry.php

2023-02-05 16:03:18 +0100 Joe 
Added Customer Payment Attachments and Supplier Payment Attachments after operation.
M	purchasing/supplier_payment.php
M	sales/customer_payments.php

2023-01-28 13:47:49 +0100 Joe 
Implemented automatic greater fonts when higher screen resolutions.
M	themes/canvas/default.css
M	themes/default/default.css
M	themes/dropdown/default.css

2023-01-26 23:27:20 +0100 Janusz Dobrowolski 
Extensions: fixed gettext support for modules.
M	includes/hooks.inc
M	includes/ui/ui_input.inc

2023-01-26 23:24:18 +0100 Janusz Dobrowolski 
Install/Activate Extensions: displays more sensible information for modules available/installed.
M	admin/inst_module.php

2023-01-24 11:00:47 +0100 Joe 
Function add_access_extension was missing. Fixed.
M	themes/dropdown/renderer.php

2023-01-22 17:06:17 +0100 Joe 
Cannot add received items to invoice if there are empty prev. items. Fixed.
M	purchasing/supplier_invoice.php

2023-01-17 12:54:17 +0100 Joe 
GL Account in Company Defaults missing for test. Fixed
M	gl/includes/db/gl_db_accounts.inc

2023-01-16 23:21:56 +0100 Joe 
Audit trail is showing double entries for Payment and Deposit. Fixed.
M	purchasing/includes/db/supp_trans_db.inc
M	sales/includes/db/cust_trans_db.inc

2023-01-05 15:15:47 +0100 Joe 
Credit note bug in suppliers. Result in errors. Fixed.
M	purchasing/includes/db/invoice_db.inc

2023-01-03 16:15:06 +0100 Joe 
Added 'company_logo_on_views' in sys_prefs in the default sql charts.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2022-12-26 15:17:01 +0100 Joe 
Added company switch for placing company logo on certain views.
M	admin/company_preferences.php
M	gl/view/bank_transfer_view.php
M	gl/view/gl_deposit_view.php
M	gl/view/gl_payment_view.php
M	gl/view/gl_trans_view.php
M	includes/ui/ui_view.inc
M	lang/new_language_template/LC_MESSAGES/empty.po
M	purchasing/view/view_po.php
M	purchasing/view/view_supp_invoice.php
M	purchasing/view/view_supp_payment.php
M	sales/view/view_invoice.php
M	sales/view/view_receipt.php

2022-12-25 10:55:18 +0100 Joe 
Reconcile Bank Account added filter up to reconcile data.
M	gl/includes/db/gl_db_bank_accounts.inc

2022-12-23 09:38:00 +0100 Joe 
Inventory valuation report. 301 unit decimal -1 issue. Fixed.
M	reporting/rep301.php

2022-12-10 00:36:10 +0100 Joe 
Added 'Journal Entries' to empty.po file.
M	lang/new_language_template/LC_MESSAGES/empty.po

2022-12-08 10:08:06 +0100 Joe 
Customer Transactions, Allocations and Supplier Transactions, Allocations has got another selection type, Journal Entries.
M	includes/ui/ui_lists.inc
M	purchasing/includes/db/supp_trans_db.inc
M	purchasing/includes/db/suppalloc_db.inc
M	sales/includes/db/cust_trans_db.inc
M	sales/includes/db/custalloc_db.inc

2022-12-05 10:30:05 +0100 Joe 
When booking costs on workorders the set dimension on the item wasn't booked on the balance account. Fixed.
M	manufacturing/includes/db/work_order_costing_db.inc

2022-11-20 21:18:22 +0100 Joe 
Bug in purchasing/includes/db/invoice_db.inc gives error. Fixed.
M	purchasing/includes/db/invoice_db.inc

2022-11-17 23:56:48 +0100 Joe 
Not translatable string in rep108. Changed text in display_notation.
M	lang/new_language_template/LC_MESSAGES/empty.po
M	reporting/rep108.php

2022-11-12 14:04:03 +0100 Joe 
Another rerun. Not translatable string in rep108. Fixed and improved. New empty.po.
M	lang/new_language_template/LC_MESSAGES/empty.po
M	reporting/rep108.php

2022-11-11 16:30:39 +0100 Joe 
Rerun. Not translatable string in rep108. Fixed.
M	reporting/rep108.php

2022-11-11 16:24:24 +0100 Joe 
Not translatable string in rep108. Fixed.
M	lang/new_language_template/LC_MESSAGES/empty.po
M	reporting/rep108.php

2022-11-03 17:07:42 +0100 Joe 
Secon Rerun of voiding Customer Payment. Of course test for type first.
M	admin/db/voiding_db.inc

2022-11-03 08:54:40 +0100 Joe 
Cost Update - Second parameter in memo was not showing decimals. Fixed.
M	inventory/includes/db/items_trans_db.inc

2022-11-02 13:20:38 +0100 Joe 
Rerun of Can't void Customer Payment.
M	admin/db/voiding_db.inc

2022-11-02 10:20:31 +0100 Joe 
Can't void customer payment if there is an invoice with same number that has been credited. Fixed
M	admin/db/voiding_db.inc

2022-11-01 20:53:40 +0100 Joe 
Bug 5660: php8. Unable to create customer credit note. Fixed.
M	sales/includes/ui/sales_credit_ui.inc

2022-11-01 20:25:55 +0100 Joe 
Bug. Dimensions on credit note should also be set on balance accounts. Fixed.
M	sales/includes/db/sales_credit_db.inc

2022-11-01 20:10:00 +0100 Joe 
Bug. Dimensions in cost update should also be set on balance accounts. Fixed.
M	inventory/includes/db/items_trans_db.inc

2022-11-01 17:50:45 +0100 Joe 
Bug. GL Dimensions should also be included on balance accounts in sales order delivery and Inventory adjustments. Fixed.
M	inventory/includes/db/items_adjust_db.inc
M	sales/includes/db/sales_delivery_db.inc

2022-10-26 09:29:07 +0200 Joe 
CHANGELOG.txt
M	CHANGELOG.txt

2022-10-26 09:26:01 +0200 Joe 
Release 2.4.14
M	README.md
M	lang/new_language_template/LC_MESSAGES/empty.po
M	version.php

2022-10-25 19:06:00 +0200 Joe 
Bug. Add instruction if Login from unsecure server. Fixed.
M	access/login.php

2022-10-25 19:04:26 +0200 Joe 
Feature. Add Supplier Invoice Menu after Supplier Payment. Fixed.
M	purchasing/supplier_payment.php

2022-10-20 09:14:06 +0200 Joe 
Typo on line 265. Fixed.
M	sales/customer_payments.php

2022-09-29 10:12:08 +0200 Janusz Dobrowolski 
Modifying Supplier Credit: reverted GL postings - fixed. Supplier Credit Note: invalid reference number selected for credit against invoice - fixed
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/db/suppalloc_db.inc
M	purchasing/supplier_credit.php

2022-09-26 11:41:47 +0200 Joe 
Updating the empty.po language file. Files adjustment.
M	lang/new_language_template/LC_MESSAGES/empty.po

2022-09-23 11:21:40 +0200 Joe 
Typo in ISO_8859-1 => ISO-8859-1. Fixed
M	lang/new_language_template/LC_MESSAGES/empty.po

2022-09-22 11:49:19 +0200 Joe 
PHP 8 deprecated parameter in imagefilledpolygon. More float to int problems. Only problems in reporting. Fixed.
M	reporting/includes/class.graphic.inc

2022-09-20 23:58:42 +0200 Joe 
PHP 8. Conversion from float to int loses precision in file: line 1391. Fixed.
M	reporting/includes/class.graphic.inc

2022-09-18 08:11:43 +0200 Joe 
New CHANGELOG.txt
M	CHANGELOG.txt

2022-09-18 08:08:48 +0200 Joe 
Release 2.4.13
M	lang/new_language_template/LC_MESSAGES/empty.po
M	version.php

2022-09-11 16:43:44 +0200 Joe 
PHP 8 array bool error Fixed.
M	sales/customer_payments.php

2022-09-11 16:42:44 +0200 Joe 
Credit note can be posted without customer selected when search customer List is enabled. Fixed.
M	purchasing/supplier_credit.php
M	purchasing/supplier_invoice.php
M	sales/credit_note_entry.php

2022-09-07 18:34:17 +0200 Joe 
Incorrect Journal Balance (sales invoice) when many decimals in tax and price.
M	gl/includes/db/gl_db_trans.inc

2022-09-06 17:13:24 +0200 Joe 
Sales group query error in mysql 8. groups is a reserved word. Fixed
M	includes/ui/ui_lists.inc
M	sales/includes/db/sales_groups_db.inc

2022-08-29 22:19:04 +0200 Janusz Dobrowolski 
Added comment to SECURE_ONLY constant.
M	includes/session.inc

2022-08-15 09:05:27 +0200 Joe 
Show also Upcoming Purchase Invoices - in Dashboard. Fixed.
M	includes/dashboard.inc

2022-07-28 11:17:47 +0200 Joe 
php 8 error. class.mail.inc. line 149. #5 parameter cannot be null.
M	reporting/includes/class.mail.inc

2022-07-23 00:47:07 +0200 Joe 
php 8. strpos(): Passing null to parameter #1 ($haystack) of type string is deprecated. Fixed.
M	includes/date_functions.inc

2022-07-22 23:56:47 +0200 Joe 
php 8. cannot generate recurring invoices after upgrade to 2.4.12. Fixed.
M	reporting/includes/reporting.inc

2022-07-17 19:58:14 +0200 Joe 
Rerun 2. Invoice not converting from DN due to float bug in PHP. items_units_db.inc is already included.
M	sales/customer_delivery.php
M	sales/customer_invoice.php

2022-07-17 12:06:14 +0200 Joe 
Rerun of Invoice not converting from DN due to float bug. Fixed.
M	sales/customer_invoice.php

2022-07-17 11:56:25 +0200 Joe 
Invoice not converting from DN due to float bug (dec in units).
M	sales/customer_delivery.php
M	sales/customer_invoice.php

2022-07-15 08:41:18 +0200 Joe 
get_stock_gl_code function called twice in the add_supp_invoice. Fixed.
M	purchasing/includes/db/invoice_db.inc

2022-07-13 08:00:09 +0200 Joe 
CHANGELOG.txt
M	CHANGELOG.txt

2022-07-13 07:55:11 +0200 Joe 
Release 2.4.12
M	CHANGELOG.txt
M	version.php

2022-07-12 21:41:30 +0200 Janusz Dobrowolski 
Updated gettext template.
M	lang/new_language_template/LC_MESSAGES/empty.po

2022-07-11 00:33:09 +0200 Joe 
Removed delivery in a batch cannot be voided after the invoice is made. Fixed.
M	admin/db/voiding_db.inc

2022-07-11 00:31:59 +0200 Joe 
php 8.1 bug. Parameter to urlencode cannot be null. Fixed.
M	reporting/includes/reporting.inc

2022-06-28 10:30:24 +0200 Joe 
Bug 5599: Generating an EAN-8 Barcode throws an error "Trying to access array offset on value of type bool". Fixed.
M	inventory/manage/items.php

2022-06-27 11:28:02 +0200 Joe 
Feature 5623. Link to new supplier invoice. Clean up. Bad link text. Fixed.
M	purchasing/supplier_payment.php

2022-06-26 17:29:04 +0200 Joe 
Feature 5623: link to new supplier invoice after supplier payment, option to have last supplier invoice be current supplier. Fixed by link.
M	purchasing/supplier_payment.php

2022-06-23 09:02:15 +0200 Joe 
Bug 5571 and 5572. Unable to void/edit transactions in php 8. Due to an error in audit_trail_db.inc. _('None') returns a positive value in php 8 and not a 0 value. Fixed.
M	includes/db/audit_trail_db.inc

2022-06-21 11:54:28 +0200 Janusz Dobrowolski 
Additional bugfixes for prepayment handling in sales reports (Customer Balances, Aged Customer Analysys, Customer Statements and Sales Invoice)
M	includes/dashboard.inc
M	reporting/rep102.php
M	reporting/rep107.php
M	sales/customer_invoice.php
M	sales/includes/db/customers_db.inc
M	sales/includes/db/sales_invoice_db.inc

2022-06-06 15:45:29 +0200 Joe 
php 8.1 Deprecated null parameters. Clean UP local months names.
M	reporting/rep302.php
M	reporting/rep705.php

2022-06-06 10:43:06 +0200 Joe 
php 8.1 Deprecated null parameters in functions. Fixed.
M	includes/packages.inc

2022-06-05 10:19:54 +0200 Joe 
php 8.1 deprecated null parameters. Clean Up.
M	reporting/rep302.php
M	reporting/rep705.php

2022-06-05 00:36:49 +0200 Joe 
php 8.1 deprecated null parameters. Missing file.
M	reporting/rep201.php

2022-06-05 00:34:23 +0200 Joe 
php 8.1 deprecated null parameters fixed.
M	includes/JsHttpRequest.php
M	includes/ui/ui_lists.inc
M	reporting/includes/pdf_report.inc
M	reporting/rep101.php
M	reporting/rep103.php
M	reporting/rep201.php
M	reporting/rep206.php
M	reporting/rep302.php
M	reporting/rep705.php

2022-06-03 11:00:26 +0200 Joe 
PHP 8 Bug. Deprecated null value in parameter.
M	reporting/includes/class.graphic.inc

2022-05-26 15:55:57 +0200 Joe 
Fixed Long product Description on Sales Quotation.
M	reporting/rep111.php
M	sales/includes/db/sales_order_db.inc

2022-05-11 16:45:04 +0200 Janusz Dobrowolski 
Customer balances reports: further fixes and cleanups.
M	reporting/rep101.php
M	reporting/rep102.php
M	reporting/rep115.php
M	sales/includes/db/customers_db.inc

2022-05-07 08:39:14 +0200 Joe 
Buttons missing on Chart of Accounts page (on some editions). Fixed.
M	gl/manage/gl_accounts.php

2022-05-07 08:26:38 +0200 Joe 
Adding Assets Classes fails. Fixed.
M	fixed_assets/fixed_asset_classes.php

2022-04-30 13:13:49 +0200 Janusz Dobrowolski 
Customer balances reports: additional bug fixes to balance totals calculations.
M	sales/includes/db/customers_db.inc

2022-04-29 10:56:51 +0200 Janusz Dobrowolski 
Customer balances reports: fixed balance sums for prepayment invoices.
M	reporting/includes/doctext.inc
M	reporting/rep101.php
M	reporting/rep102.php
M	reporting/rep108.php
M	reporting/rep115.php

2022-04-29 09:38:02 +0200 Janusz Dobrowolski 
Invoice Prepaid Orders: Added new payments column for direct review of order invoicing status.
M	sales/includes/db/sales_order_db.inc
M	sales/inquiry/sales_orders_view.php

2022-04-18 08:47:10 +0200 Joe 
Email invoice always says invoice 0 from company. Fixed.
M	reporting/rep107.php

2022-04-13 08:02:40 +0200 Joe 
Journal Entry - Cursor skips through dimension field. Fixed.
M	gl/includes/ui/gl_journal_ui.inc

2022-04-11 11:31:50 +0200 Joe 
Coding bug in inventory_db.inc. Fixed.
M	inventory/includes/inventory_db.inc

2022-03-23 09:38:04 +0100 Joe 
Bank account transfers don't have GL dimensions. Fixed.
M	gl/bank_transfer.php
M	gl/includes/db/gl_db_banking.inc

2022-03-16 01:20:33 +0100 Joe Hunt 
Rerun of dashboard.inc
M	includes/dashboard.inc

2022-03-15 15:15:54 +0100 Joe Hunt 
SalesDashboard Aging total =/= Aged Costumer Analisys. Fixed.
M	includes/dashboard.inc
M	purchasing/inquiry/supplier_inquiry.php

2022-03-14 11:37:12 +0100 Joe Hunt 
Dashboard Top 10 only show 1 record less than top. Fixed.
M	includes/dashboard.inc

2022-03-12 16:53:59 +0100 Joe Hunt 
translatable string typo in Purchaseing/allocations/supplier_allocate.php - Amount ot be settled: Fixed.
M	lang/new_language_template/LC_MESSAGES/empty.po
M	purchasing/allocations/supplier_allocate.php

2022-02-05 10:01:16 +0100 Joe Hunt 
Typo in translatable string - Purchable Total. Fixed.
M	includes/dashboard.inc
M	lang/new_language_template/LC_MESSAGES/empty.po

2022-01-24 19:35:59 +0100 Janusz Dobrowolski 
Add and Manage Customers, Suppliers: contact persons where not removed when deleting customer/supplier. Fixed.
M	includes/db/crm_contacts_db.inc
M	purchasing/includes/db/suppliers_db.inc

2022-01-24 09:07:55 +0100 Joe Hunt 
Rerun of function 'delete_image' when deleting item. Fixed.
M	inventory/manage/items.php

2022-01-24 08:57:30 +0100 Joe Hunt 
Missing function 'delete_image' when deling item. Fixed.
M	inventory/manage/items.php

2022-01-23 21:36:42 +0100 Janusz Dobrowolski 
Added SECURE_ONLY option in session.inc allowing explicit switching off https only access.
M	includes/session.inc

2022-01-03 01:07:29 +0100 Joe Hunt 
Fixed a couple of small bugs in Graphics engine.
M	reporting/includes/class.graphic.inc

2021-12-14 09:47:22 +0100 Janusz Dobrowolski 
Code cleanup (fixed parametr lists in gl_all_accounts_list_row and calls to subledger__list_cells)
M	gl/includes/ui/gl_journal_ui.inc
M	includes/ui/ui_lists.inc

2021-12-13 12:24:21 +0100 Joe Hunt 
Bug 5544: Notes from template are not used in recurring invoices. Fixed.
M	sales/create_recurrent_invoices.php

2021-12-04 14:45:21 +0100 Joe Hunt 
New CHANGELOG.txt file.
M	CHANGELOG.txt

2021-12-04 14:43:27 +0100 Joe Hunt 
Release 2.4.11.
M	version.php

2021-12-04 10:36:20 +0100 Joe Hunt 
PHP 8 error on line 257 in simple_crud_class.inc fixed.
M	includes/ui/simple_crud_class.inc

2021-12-04 09:34:55 +0100 Joe Hunt 
PHP 8 Error on line 114 in single_crud_class.inc fixed.
M	includes/ui/simple_crud_class.inc

2021-12-03 22:41:13 +0100 Janusz Dobrowolski 
Updated gettext template.
M	lang/new_language_template/LC_MESSAGES/empty.po

2021-10-18 19:20:59 +0200 Janusz Dobrowolski 
The secure flag was not set on session cookie. Fixed.
M	includes/session.inc

2021-11-28 10:19:26 +0100 Joe Hunt 
update_material_cost function makes one unnecessary call to get_item. Fixed by @kvvaradha.
M	manufacturing/includes/db/work_order_costing_db.inc

2021-11-23 00:29:34 +0100 Janusz Dobrowolski 
Receive Purchase Order Items: fixed error on page opening (blank page in recent php versions).
M	purchasing/po_receive_items.php

2021-11-16 12:51:25 +0100 Joe Hunt 
Bug 5522,5523,5524: Fix TAX in GL rows in supplier invoice.
M	gl/includes/db/gl_db_trans.inc

2021-11-16 08:25:05 +0100 Joe Hunt 
Bug 5522,5523,5524: Journal Entry Affecting in both sales and purchase med flera. Rerun of rep409.php.
M	reporting/rep709.php

2021-11-15 16:45:35 +0100 Joe Hunt 
Bug 5522, 5523, 5524: Journal Entry Affecting in both sales and purchase and more. Fixed all three bugs.
M	gl/includes/db/gl_db_trans.inc
M	includes/ui/items_cart.inc
M	reporting/rep709.php

2021-11-15 10:04:50 +0100 Joe Hunt 
Bug 5527: Tax Type not displayed during initial setup if default Sales and/or Purchase Tax account deleted. Fixed by @bradlanier.
M	taxes/db/tax_types_db.inc

2021-11-04 12:46:26 +0100 Joe Hunt 
Bug 5518: Total Amount of a Journal Entry with multiple rows (>2) is wrong in Journal Entry Inquiries. Fixed.
M	gl/includes/db/gl_db_trans.inc

2021-11-02 13:25:36 +0100 Joe Hunt 
Allowing multiple jounal entries on one trans_no. Ex. trans_no, Joulnal Entry, customer_id.
M	purchasing/supplier_payment.php
M	sales/customer_payments.php
M	sales/includes/db/cust_trans_db.inc

2021-11-02 09:31:17 +0100 Joe Hunt 
Clean up after Bugs 5510 and 5512.
M	reporting/rep101.php
M	reporting/rep108.php
M	sales/includes/db/cust_trans_db.inc
M	sales/includes/db/custalloc_db.inc

2021-11-02 00:57:35 +0100 Joe Hunt 
Rerun bug 5512: Customer Allocation Inquiry - No alloc-icon for DEBET-Accounts-receivable-Journal Entries.
M	sales/inquiry/customer_inquiry.php

2021-11-02 00:47:32 +0100 Joe Hunt 
Bug 5512: Customer Allocation Inquiry - No alloc-icon for DEBET-Accounts-receivable-Journal Entries by @advocaat.pollet. Fixed.
M	sales/customer_payments.php
M	sales/includes/db/cust_trans_db.inc
M	sales/inquiry/customer_allocation_inquiry.php
M	sales/inquiry/customer_inquiry.php

2021-10-29 10:04:45 +0200 Joe Hunt 
Error calculating customer aging regarding journal entries. Fixed.
M	sales/includes/db/customers_db.inc

2021-10-28 20:28:56 +0200 Joe Hunt 
Customer Statements shows wrong balances for Journal Entries. Fixed.
M	reporting/rep108.php

2021-10-28 12:10:20 +0200 Joe Hunt 
Bug 5510: fix of bug 0004530 is not correct. Has now been fixed and rerun.
M	sales/includes/db/cust_trans_db.inc
M	sales/includes/db/custalloc_db.inc
M	sales/inquiry/customer_inquiry.php

2021-10-26 15:22:24 +0200 Joe Hunt 
Bug 4530. Customers with 0 left to allocate shown on Customer Allocations when using Journal Entry for paying. Fixed.
M	sales/includes/db/custalloc_db.inc

2021-10-24 22:47:16 +0200 Janusz Dobrowolski 
[0005498] Items/Fixed Assets: Fixed item image adding/update.
M	inventory/manage/items.php
M	reporting/includes/tcpdf.php

2021-10-24 13:17:04 +0200 Janusz Dobrowolski 
[0005509] Installer: Fixed errors handling, fixed errors on db passwords containg special characters or longer than 20 chars. Allowed passwords up to 32 chars long.
M	includes/ui/ui_input.inc
M	install/index.php
M	install/isession.inc

2021-10-18 00:12:33 +0200 Janusz Dobrowolski 
Added security policy file.
A	SECURITY.md

2021-10-17 11:24:17 +0200 Joe Hunt 
Rep109 in Print Profiles fixed by @rafat.
M	reporting/rep109.php

2021-10-17 10:54:08 +0200 Joe Hunt 
Curly braces {} in arrays replaced, by @kvvaradha.
M	reporting/includes/Workbook.php

2021-10-11 23:33:07 +0200 Joe Hunt 
Trying to access array offset on value of type bool. Fixed.
M	includes/ui/contacts_view.inc

2021-10-11 22:43:56 +0200 Joe Hunt 
hook_db_prewrite is not properly used inside journal entry. Fixed by @kvvaradha.
M	gl/includes/db/gl_journal.inc

2021-10-11 09:36:33 +0200 Joe Hunt 
PHP 8 doesnt support with imagettfbbox. Replaced with imageftbbox. By @kvvaradha.
M	reporting/includes/class.graphic.inc

2021-09-24 17:32:43 +0200 Joe Hunt 
Bug 5490: qty_done is not updated correctly when partial invoice is voided. Fixed by @kvvaradha.
M	sales/includes/db/sales_invoice_db.inc

2021-09-07 11:16:15 +0200 Joe Hunt 
No exchange rate working in FA now (EXCHANGE-RATES.ORG). Fixed by @boxygen.
M	gl/includes/db/gl_db_rates.inc

2021-08-16 22:47:26 +0200 Joe Hunt 
ERROR Report GL Trans (show warning sign with huge transactions). Fixed by Itronics.
M	reporting/includes/reports_classes.inc

2021-08-16 08:09:11 +0200 Joe Hunt 
config.default.inc error on startup. Fixed by @apmuthu.
M	config.default.php

2021-08-14 21:07:28 +0200 Joe Hunt 
Unable to void a sales invoice. Fixed by @BraaathWaate.
M	sales/includes/db/sales_invoice_db.inc
M	sales/includes/db/sales_order_db.inc

2021-08-14 20:51:49 +0200 Joe Hunt 
Unable to void Work Order. Fixed by @kvvaradha.
M	manufacturing/includes/db/work_order_produce_items_db.inc

2021-08-08 12:29:42 +0200 Joe Hunt 
Bug in gl/includes/db/gl_journal.inc. Fixed by @barbarian.
M	gl/includes/db/gl_journal.inc

2021-08-06 14:29:05 +0200 Joe Hunt 
NEW LINE BUG IN INVENTORY LOCATION TRANSFER. Fixed by @detkenn.
M	inventory/transfers.php

2021-08-06 06:51:43 +0200 Joe Hunt 
Credit This Option for Supplier Invoice Doesn't Show Quantity Invoiced. Fixed by boxygen.
M	purchasing/includes/db/invoice_db.inc

2021-07-27 12:03:29 +0200 Joe Hunt 
Bug 5471: Direct supplier payment bug introduced by Dimension wise balance sheet items - AR/AP implemented. Fixed by @Braathwaate.
M	purchasing/includes/purchasing_db.inc

2021-07-26 00:16:11 +0200 Joe Hunt 
function money_format is deprecated in aove PHP 7.4. Replaced with price_format.
M	includes/current_user.inc
M	reporting/includes/pdf_report.inc

2021-07-25 20:24:20 +0200 Janusz Dobrowolski 
Customer Credit Invoice: fixed invalid processing of invoice payments (triggering blank page on php8 too)
M	sales/includes/sales_db.inc

2021-07-23 16:37:36 +0200 Joe Hunt 
Money_format deprecated above php 7.4. Fixed by !function_exists.
M	includes/current_user.inc

2021-07-06 09:19:44 +0200 Joe Hunt 
Mysqli errors: Trying to access array offset on value of type bool. Fixed. Please report any remains.
M	admin/db/tags_db.inc
M	fixed_assets/includes/fa_classes_db.inc
M	gl/bank_account_reconcile.php
M	gl/includes/db/gl_db_account_types.inc
M	gl/includes/db/gl_db_rates.inc
M	gl/includes/ui/gl_bank_ui.inc
M	includes/data_checks.inc
M	includes/db/crm_contacts_db.inc
M	includes/db/inventory_db.inc
M	includes/db_pager.inc
M	inventory/includes/db/items_category_db.inc
M	inventory/includes/db/items_units_db.inc
M	inventory/manage/sales_kits.php
M	purchasing/includes/db/suppliers_db.inc
M	reporting/rep306.php
M	reporting/rep307.php
M	reporting/rep308.php
M	reporting/rep310.php
M	reporting/rep451.php
M	sales/includes/db/cust_trans_db.inc
M	sales/includes/db/customers_db.inc
M	sales/includes/db/sales_delivery_db.inc
M	sales/includes/db/sales_groups_db.inc
M	sales/includes/db/sales_invoice_db.inc
M	sales/includes/db/sales_points_db.inc
M	sales/includes/db/sales_types_db.inc
M	taxes/db/tax_types_db.inc

2021-07-05 08:33:10 +0200 Joe Hunt 
Wrong parameter passed to qty_cell. Fixed.
M	inventory/manage/sales_kits.php

2021-07-04 08:51:30 +0200 Joe Hunt 
Select item not working in purchase order and sales order entry. Fixed.
M	includes/ui/ui_view.inc

2021-06-29 15:27:49 +0200 Joe Hunt 
Improved the Graphic Engine to show correct legends also in RTL.
M	config.default.php
M	includes/dashboard.inc
M	reporting/includes/class.graphic.inc

2021-06-29 09:47:44 +0200 Joe Hunt 
Theme default is now RTL compatible by commenting out the table class (line 31)
M	themes/default/default.css

2021-06-26 21:19:26 +0200 Joe Hunt 
Bug 5466: user qty decimals handled incorrectly by code that calls get_item_edit_info. Fixed
M	includes/db/inventory_db.inc

2021-06-26 16:02:34 +0200 Joe Hunt 
2.4.10 Balance and Profit and loss reports fail to print. Fixed.
M	reporting/rep706.php
M	reporting/rep707.php

2021-06-20 14:48:25 +0200 Joe Hunt 
Updated default COA dates one year forward
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2021-06-19 08:52:09 +0200 Joe Hunt 
CHANGELOG.TXT
M	CHANGELOG.txt

2021-06-19 08:49:18 +0200 Joe Hunt 
Release 2.4.10
M	version.php

2021-06-19 00:26:33 +0200 Janusz Dobrowolski 
Updated gettext template.
M	lang/new_language_template/LC_MESSAGES/empty.po

2021-06-16 11:53:15 +0200 Joe Hunt 
Cleaning up new Dashboard.
M	includes/dashboard.inc
M	reporting/includes/reports_classes.inc

2021-06-16 09:41:04 +0200 Joe Hunt 
Bug 5460: Inventory valuation report does not discard zero quantity items for items with decimal quantity units. Fixed.
M	reporting/rep301.php

2021-06-15 21:59:05 +0200 Joe Hunt 
New dashboard and Graphics Engine Class, that also includes the SVG Vector Graphics for the core. Much prettier graphics.
M	admin/dashboard.php
M	includes/dashboard.inc
A	reporting/fonts/FreeSans.ttf
M	reporting/includes/class.graphic.inc
M	reporting/includes/reports_classes.inc
M	reporting/rep102.php
M	reporting/rep202.php
M	reporting/rep706.php
M	reporting/rep707.php

2021-06-15 20:13:46 +0200 Joe Hunt 
php 8. Fixed undefined array key warnings.
M	includes/errors.inc
M	includes/session.inc

2021-06-15 13:12:14 +0200 Joe Hunt 
More php8 deprecation fixes about required parameters following optional parameters.
M	gl/includes/db/gl_db_banking.inc
M	gl/includes/db/gl_db_rates.inc
M	includes/current_user.inc
M	includes/db/class.data_set.inc
M	includes/ui/ui_lists.inc
M	includes/ui/ui_view.inc
M	inventory/includes/db/items_db.inc
M	purchasing/includes/db/suppalloc_db.inc
M	sales/includes/db/custalloc_db.inc

2021-06-15 09:41:46 +0200 Joe Hunt 
Fixed a php8 deprecation no required parameters after optional parameters in function.
M	reporting/includes/reporting.inc

2021-05-17 20:46:56 +0200 Janusz Dobrowolski 
[0005245] Added debtors_master.debtor_ref to get_customer_trans() results
M	sales/includes/db/cust_trans_db.inc

2021-05-17 19:15:59 +0200 Janusz Dobrowolski 
[0005197] Slightly changed email subject for sales invoice to avoid false marking by spam filters.
M	reporting/rep107.php

2021-05-12 17:25:53 +0200 Joe Hunt 
Rerun Feature 5388: Print Invoices (documents) list gets too long. Fixed by default 180 days in company setup.
M	reporting/includes/reports_classes.inc

2021-05-05 15:11:32 +0200 Joe Hunt 
Payments & Deposits(Rounding Problem). Fixed.
M	fixed_assets/includes/fixed_assets_db.inc
M	includes/ui/items_cart.inc

2021-05-02 23:37:48 +0200 Joe Hunt 
bug 5429: balance sheet report sometimes prints lines with zero amounts. Fixed.
M	gl/includes/db/gl_db_trans.inc

2021-03-29 10:01:40 +0200 Joe Hunt 
Feature 5388: Print Invoices (documents) list gets too long. Fixed by default 180 days in company setup.
M	admin/company_preferences.php
M	reporting/includes/reports_classes.inc
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2021-03-10 14:20:18 +0100 Joe Hunt 
Function get_magic_quotes_gpc() is deprecated php7.4. /install/isession.inc. Fixed.
M	install/isession.inc

2021-02-28 23:14:48 +0100 Joe Hunt 
Wrong Permission for Inventory Purchasing Report (rep306.php). Fixed.
M	reporting/rep306.php

2021-02-28 15:37:31 +0100 Janusz Dobrowolski 
Fixed javascript error appearing on themes using SVGElements.
M	js/behaviour.js

2021-02-19 10:11:26 +0100 Joe Hunt 
Bug 5360: Spelling mistake in ../sales/allocations/customer_allocate.php. Fixed.
M	sales/allocations/customer_allocate.php

2021-02-15 17:43:59 +0100 Joe Hunt 
PHP 7.4 Bugs in some reports.
M	reporting/rep101.php
M	reporting/rep115.php
M	reporting/rep201.php
M	reporting/rep206.php
M	reporting/rep306.php
M	reporting/rep710.php

2021-02-15 08:57:34 +0100 Joe Hunt 
Bug 5352: missing global declaration in reset_form() in attachments.php. Fixed.
M	admin/attachments.php

2021-02-15 08:56:32 +0100 Joe Hunt 
Bug 5351: dim dim2 not defined lines 623, 627 of purchasing/includes/db/invoice_db.inc. Fixed.
M	purchasing/includes/db/invoice_db.inc

2021-02-11 08:59:50 +0100 Joe Hunt 
Bug 5332: Rep709, Tax Report, Multiple entries for a sinle tax line. Fixed.
M	reporting/rep709.php

2021-02-11 01:05:06 +0100 Joe Hunt 
Bug 5310: DB error when on bank payment/transfer edit if current fiscal year is missing. Fixed.
M	gl/includes/db/gl_db_banking.inc

2021-02-04 08:23:37 +0100 Joe Hunt 
Bug in Customer/Supplier Payments Recording. Fixed.
M	includes/ui/allocation_cart.inc

2021-01-31 16:11:10 +0100 Joe Hunt 
Bug 5326 needs reversion for PHP < 5.5. Fixed.
M	includes/archive.inc

2021-01-21 11:12:11 +0100 Joe Hunt 
PHP 7.4 bug in /admin/db/tags_db, function get_tag_name. Fixed.
M	admin/db/tags_db.inc

2021-01-20 23:16:58 +0100 Janusz Dobrowolski 
[0005326] Install Languages/Extensions/Themes/CoA: fixed warnings during module installation.
M	includes/archive.inc

2021-01-20 22:36:18 +0100 Janusz Dobrowolski 
[0005322] Login/Timeout: Added message on failed login attempt.
M	access/login.php
M	includes/current_user.inc
M	includes/session.inc

2021-01-15 09:02:11 +0100 Joe Hunt 
Wrong security area passed in generalledger.php. Fixed.
M	applications/generalledger.php

2021-01-11 08:48:30 +0100 Joe Hunt 
Bug 5310: DB error when on supplier invoice edit if current fiscal year is missing. Fixed.
M	purchasing/includes/db/invoice_db.inc

2021-01-10 22:45:41 +0100 Joe Hunt 
Undefined variable: problemTransaction after enter a bank transfer. Fixed.
M	gl/bank_transfer.php

2021-01-10 09:34:24 +0100 Joe Hunt 
Rerun of Rep 704 GL Account Transactions report shows html code on Person/Item.
M	includes/types.inc
M	reporting/rep601.php
M	reporting/rep704.php

2021-01-09 14:59:07 +0100 Joe Hunt 
Call to undefined count_array() in pdf_report.inc. Fixed.
M	reporting/includes/pdf_report.inc

2021-01-09 14:58:02 +0100 Joe Hunt 
Rep 704 GL Account Transactions report shows html code on Person/Item if PT_WORKORDER. Fixed.
M	reporting/rep704.php

2021-01-08 10:41:06 +0100 Joe Hunt 
wrong target focus in accruals.php fixed.
M	gl/accruals.php

2020-12-29 13:59:41 +0100 Janusz Dobrowolski 
Installer issue fixed again.
M	install/isession.inc

2020-12-23 14:54:03 +0100 Janusz Dobrowolski 
Fixed volatile error on first installer page show.
M	install/isession.inc

2020-12-18 11:21:07 +0100 Joe Hunt 
Item Adjustments Note disable rounding of Unit Cost. Fixed.
M	inventory/includes/item_adjustments_ui.inc

2020-12-17 16:15:38 +0100 Joe Hunt 
FA 2.4.9 Purchase Order pdf printout won't work. Fixed.
M	reporting/rep209.php

2020-12-16 09:41:11 +0100 Joe Hunt 
Compatibility fix for commit on 2020-09-28 (php < 5.4)
M	gl/includes/db/gl_db_bank_accounts.inc

2020-12-14 10:58:31 +0100 Joe Hunt 
Changelog.txt
M	CHANGELOG.txt

2020-12-14 10:50:22 +0100 Joe Hunt 
Release 2.4.9
M	CHANGELOG.txt
M	version.php

2020-12-14 09:39:03 +0100 Janusz Dobrowolski 
Gettext templates updated
M	install/lang/new_language_template/LC_MESSAGES/empty.po
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.po
M	lang/new_language_template/LC_MESSAGES/empty.po

2020-12-14 09:32:52 +0100 Janusz Dobrowolski 
[0005266] Fixed timeouts in ajax contexts.
M	access/login.php
M	includes/session.inc
M	js/inserts.js
M	js/login.js
M	js/reports.js

2020-11-28 16:05:29 +0100 Joe Hunt 
Error: no supplier trans found for given params in Supplier Payment. Fixed.
M	includes/ui/allocation_cart.inc
M	purchasing/includes/db/po_db.inc

2020-11-24 00:44:47 +0100 Joe Hunt 
bug 5263 Add update button for total on supplier invoice entry when tax is changed. Fixed.
M	purchasing/includes/ui/invoice_ui.inc
M	purchasing/supplier_invoice.php

2020-11-16 08:54:34 +0100 Joe Hunt 
Report Audit Trail. Added totals when type != -1.
M	reporting/rep710.php

2020-10-26 13:41:48 +0100 Janusz Dobrowolski 
Items, Company Setup: additional check to ensure uploaded image compatibility with TCPDF report generator. Fixes [0005189, 0005211]
M	admin/company_preferences.php
M	inventory/manage/items.php
M	reporting/includes/tcpdf.php

2020-10-26 10:00:41 +0100 Janusz Dobrowolski 
[0005239] Revaluation of Currency Accounts: removed sparse reference field, fixed comments for generated journal transactions.
M	gl/includes/db/gl_db_banking.inc
M	gl/manage/revaluate_currencies.php

2020-10-22 10:09:44 +0200 Joe Hunt 
Improved layout default login form.
M	themes/default/default.css

2020-10-06 14:08:00 +0200 Janusz Dobrowolski 
[0005190] Supplier Invoices: customer reference field was unnecessary cleared on supplier selection change. Fixed.
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/ui/invoice_ui.inc

2020-10-06 13:35:15 +0200 Janusz Dobrowolski 
Attach Documents: fixed user interface to reset input fields only when needed. Fixes [0005188].
M	admin/attachments.php

2020-10-13 16:11:05 +0200 Joe Hunt 
5186: The field lengths of item name and description don't match. Temporary fix and final fix in 2.5.
M	inventory/includes/db/items_purchases_db.inc

2020-10-07 10:27:45 +0200 Joe Hunt 
Bug 5187: Displaying the list of suppliers in the void part is either wrong or buggy. Fixed. Same bug in View or Print Transactions. Fixed.
M	admin/view_print_transaction.php
M	admin/void_transaction.php

2020-10-06 22:50:31 +0200 Joe Hunt 
Bug 5194: The company name is not displayed on invoices if the logo is set. Fixed.
M	reporting/includes/header2.inc

2020-10-05 19:50:31 +0200 Janusz Dobrowolski 
[0005209] Reports: fixed broken reports after session timeout.
M	includes/page/header.inc
M	includes/session.inc
M	js/inserts.js
M	js/reports.js
M	reporting/includes/reports_classes.inc
M	reporting/includes/tcpdf.php

2020-09-30 23:56:48 +0200 Janusz Dobrowolski 
[0005214] Stock Check Sheet: changed option name to less confusing for shortages printout.
M	reporting/reports_main.php

2020-10-02 10:54:04 +0200 Joe Hunt 
rerun of bug 5232 fix.
M	reporting/rep451.php

2020-10-02 10:06:12 +0200 Joe Hunt 
5232: A disposed fixed asset still appears in the fixed assets valuation report with a non-nought price. Fixed.
M	reporting/rep451.php

2020-09-30 23:26:38 +0200 Janusz Dobrowolski 
[0005223] Fixed Asset Purchase, Direct Supplier Invoice: fixed invalid cost handling for invoices in foreign currency.
M	purchasing/includes/purchasing_db.inc

2020-09-30 19:51:36 +0200 Janusz Dobrowolski 
[0005170] Fixed Assets Purchase: fixed error on items with long description, removed sparse fields edition in Fixed Assets.
M	inventory/manage/items.php
M	inventory/purchasing_data.php
M	purchasing/includes/purchasing_db.inc

2020-09-30 18:33:26 +0200 Janusz Dobrowolski 
Small cleanups in installer.
M	includes/db/connect_db_mysql.inc
M	includes/db/connect_db_mysqli.inc
M	install/isession.inc
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.mo
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.po

2020-09-29 16:32:07 +0200 Joe Hunt 
After creating Sales Order - sending email: PDF without a name? Fixed.
M	reporting/rep109.php

2020-09-28 21:42:32 +0200 Janusz Dobrowolski 
Fixed warnings related to empty item/customer/supplier selector in search modes.
M	gl/includes/db/gl_db_bank_accounts.inc
M	inventory/cost_update.php
M	inventory/manage/item_codes.php
M	inventory/prices.php
M	inventory/purchasing_data.php
M	purchasing/includes/db/supp_trans_db.inc
M	purchasing/includes/db/suppliers_db.inc
M	sales/includes/db/customers_db.inc
M	sales/manage/customer_branches.php

2020-09-28 20:16:55 +0200 Janusz Dobrowolski 
[0005202] Supplier Payment: Fixed allocation table refresh after change in supplier selector.
M	purchasing/supplier_payment.php

2020-09-28 19:10:01 +0200 Janusz Dobrowolski 
[0005213] Additional cleanup.
M	inventory/includes/db/items_adjust_db.inc

2020-09-27 16:18:47 +0200 Janusz Dobrowolski 
[0005198] Attach Documents: constrained attachemnt file types to avoid XSS using javascript in SVG. Thanks to Bobby Lin.
M	admin/attachments.php

2020-09-27 01:28:34 +0200 Janusz Dobrowolski 
[0004964] Balance Sheet Drilldown, Profit and Loss Drilldown: Fixed invalid navigation via Back links.
M	gl/inquiry/balance_sheet.php
M	gl/inquiry/profit_loss.php

2020-09-26 23:13:47 +0200 Janusz Dobrowolski 
[0004756] Amounts in words on documents were printed in user language instead of document contact language. Fixed.
M	includes/hooks.inc
M	reporting/includes/class.pdf.inc

2020-09-26 15:28:16 +0200 Janusz Dobrowolski 
Added max parameter to textarea*() helpers, added constraints on all memo/comments input fields. Fixes [0005179].
M	admin/crm_categories.php
M	fixed_assets/process_depreciation.php
M	includes/ui/ui_input.inc
M	manufacturing/includes/work_order_issue_ui.inc
M	purchasing/includes/ui/po_ui.inc
M	sales/includes/ui/sales_order_ui.inc

2020-09-25 14:18:37 +0200 Janusz Dobrowolski 
[0005200] Attach Documents: filename length check added to avoid unexpected error on long names.
M	admin/attachments.php

2020-09-26 09:53:49 +0200 Joe Hunt 
bug in purchase order delete when invoking hook_db_prevoid () Fixed.
M	purchasing/includes/db/po_db.inc

2020-09-24 22:20:59 +0200 Janusz Dobrowolski 
[0005178] Fixed customer selection via popup after missing inline customer search.
M	includes/ui/ui_lists.inc
M	includes/ui/ui_view.inc
M	sales/includes/cart_class.inc
M	sales/includes/ui/sales_order_ui.inc

2020-09-24 20:44:57 +0200 Janusz Dobrowolski 
[0005220] Delivery Against Sales Order: bug in GL balance for prepaid order delivery to foreign customer. Fixed.
M	sales/includes/db/sales_delivery_db.inc

2020-08-12 00:12:04 +0200 Joe Hunt 
Dimension wise balance sheet items (A/C Payable and Receivables) implemented.
M	gl/includes/db/gl_db_banking.inc
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/db/supp_payment_db.inc
M	purchasing/includes/purchasing_db.inc
M	purchasing/supplier_payment.php
M	sales/customer_payments.php
M	sales/includes/db/payment_db.inc
M	sales/includes/db/sales_credit_db.inc
M	sales/includes/db/sales_invoice_db.inc

2020-08-04 08:08:33 +0200 Joe Hunt 
PHP 7.4 bug, continued.
M	purchasing/includes/db/grn_db.inc

2020-08-03 12:39:56 +0200 Joe Hunt 
PHP 7.4 bug. Fixed in many files.
M	gl/gl_journal.php
M	gl/includes/db/gl_db_accounts.inc
M	includes/references.inc
M	includes/ui/items_cart.inc
M	sales/includes/db/sales_order_db.inc
M	sales/includes/sales_db.inc
M	sales/includes/ui/sales_order_ui.inc

2020-08-02 01:05:27 +0200 Joe Hunt 
Journal Inquiry 2.4.8 the Counter Party column is not showing when invoice. Fixed.
M	gl/includes/db/gl_db_trans.inc

2020-07-31 10:21:16 +0200 Joe Hunt 
Bug in Supplier Credit Note Edit, Fixed.
M	purchasing/includes/supp_trans_class.inc
M	purchasing/supplier_credit.php

2020-07-31 10:04:03 +0200 Joe Hunt 
Negative Inventory Adjustments not working anymore (2.4.8). Fixed
M	inventory/includes/db/items_adjust_db.inc

2020-07-13 12:59:24 +0200 Janusz Dobrowolski 
Install/Update Languages: fixed directory traversal issue.
M	admin/inst_lang.php

2020-07-06 11:18:11 +0200 Janusz Dobrowolski 
Additional 7.4 compatibility fixes.
M	includes/session.inc
M	includes/ui/ui_lists.inc
M	reporting/includes/tcpdf.php

2020-07-04 14:54:43 +0200 Joe Hunt 
PHP 7.4 compatibility bug
M	gl/includes/db/gl_db_trans.inc
M	reporting/includes/barcodes.php
M	reporting/includes/tcpdf.php
M	sales/includes/ui/sales_order_ui.inc

2020-06-22 15:13:37 +0200 Joe Hunt 
Trial Balance - Added Group totals only checkbox.
M	gl/inquiry/gl_trial_balance.php

2020-06-14 10:08:14 +0200 Joe Hunt 
Rerun Optimizing rep107.php.
M	reporting/rep107.php

2020-06-14 09:15:34 +0200 Joe Hunt 
Optimizing Invoice Document (rep107.php).
M	reporting/rep107.php

2020-06-14 09:14:30 +0200 Joe Hunt 
Updating standard sql COAs
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2020-06-13 09:19:44 +0200 Joe Hunt 
Print Long Item Description on Invoice. Feature. Company Setup Flag.
M	admin/company_preferences.php
M	reporting/rep107.php
M	sales/includes/db/cust_trans_details_db.inc

2020-06-13 09:17:55 +0200 Joe Hunt 
Delivery Against Sales Order Inquiry View, Wrong Remainder Value. Fixed.
M	sales/includes/db/sales_order_db.inc

2020-05-23 07:54:06 +0200 Joe Hunt 
Bug in backups.php, 'protect', fixed.
M	admin/backups.php

2020-05-17 10:49:21 +0200 Joe Hunt 
Optimizing some reports.
M	reporting/rep115.php
M	reporting/rep704.php

2020-05-16 15:29:39 +0200 Joe Hunt 
Recurring invoices result in no dimensions on gl_trans. Fixed by company flag option.
M	admin/company_preferences.php
M	sales/create_recurrent_invoices.php

2020-05-15 10:36:27 +0200 Joe Hunt 
Deleting a fiscal year problem. Fixed.
M	admin/db/fiscalyears_db.inc

2020-04-08 00:15:50 +0200 Joe Hunt 
Bug 5106: Incorrect field length for inserting a kit. Also in Foreign Item Codes. Fixed.
M	inventory/manage/item_codes.php
M	inventory/manage/sales_kits.php

2020-03-17 13:47:19 +0100 Joe Hunt 
Issue 5081: Editing a customer payment which is not allocated to an invoice and using the allocation table changes the payment amount. Fixed.
M	includes/ui/allocation_cart.inc

2020-03-17 11:56:56 +0100 Joe Hunt 
Bug 5083: manufacturing creates bank transactions but void does not delete them. Fixed.
M	manufacturing/includes/db/work_order_costing_db.inc

2020-02-20 00:26:22 +0100 Joe Hunt 
closed.png icon was missing in dropdown theme. Fixed
A	themes/dropdown/images/closed.png

2020-02-20 00:25:14 +0100 Joe Hunt 
closed.png icon was missing in canvas theme. Fixed
A	themes/canvas/images/closed.png

2020-02-19 10:33:43 +0100 Joe Hunt 
Quantity On Hand (QOH) Now Available On Inventory Adjustments
M	inventory/includes/item_adjustments_ui.inc

2020-02-17 12:47:29 +0100 Janusz Dobrowolski 
Annual Expense Breakdown Report: another coding fix.
M	reporting/rep705.php

2020-02-17 12:40:35 +0100 Janusz Dobrowolski 
Annual Expense Breakdown Report: additional bugfix.
M	reporting/rep705.php

2020-02-17 09:35:32 +0100 Janusz Dobrowolski 
Annual Expense Breakdown Report: option to print in thousands, added column for annual totals.
M	reporting/rep705.php
M	reporting/reports_main.php

2020-02-17 09:33:37 +0100 Janusz Dobrowolski 
GL Account Transactions Report: improved layout when  dimension 2 is not used.
M	reporting/rep704.php

2020-02-11 20:54:54 +0100 Janusz Dobrowolski 
Customer Payments, Payments to Supplier: additional checks to avoid data inconsistency possible on weak connections.
M	includes/ui/allocation_cart.inc

2020-02-04 14:15:56 +0100 Joe Hunt 
Changelog updated.
M	CHANGELOG.txt

2020-02-04 14:09:15 +0100 Joe Hunt 
Release 2.4.8
M	CHANGELOG.txt
M	version.php

2020-02-04 13:07:00 +0100 Janusz Dobrowolski 
Gettext template updated.
M	lang/new_language_template/LC_MESSAGES/empty.po

2020-02-04 09:36:12 +0100 Joe Hunt 
Updated en_US-demo.sql and en_US-new.sql COAs (moved dates 1 year forwards)
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2020-01-29 08:49:29 +0100 Janusz Dobrowolski 
[0004904] Customer Credit Note: fixed invalid inventory GL postings for service items.
M	sales/includes/db/sales_credit_db.inc

2020-01-25 11:05:14 +0100 Janusz Dobrowolski 
Backup and Restore: Added support for views (@oakstreet1)
M	admin/db/maintenance_db.inc
M	includes/db/connect_db.inc

2020-01-25 10:52:32 +0100 Janusz Dobrowolski 
Added missing new install translation files.
A	install/lang/nb_NO/LC_MESSAGES/nb_NO.mo
A	install/lang/nb_NO/LC_MESSAGES/nb_NO.po
A	install/lang/nl_NL/LC_MESSAGES/nl_NL.mo
A	install/lang/nl_NL/LC_MESSAGES/nl_NL.po

2020-01-23 22:51:12 +0100 Joe Hunt 
Optimizing the F2, F3 and F4 keys in sales/purchase forms.
M	includes/ui/ui_controls.inc
M	inventory/manage/items.php
M	purchasing/manage/suppliers.php
M	sales/manage/customers.php

2020-01-23 22:05:05 +0100 Janusz Dobrowolski 
Added nb_NO and nl_NL installer translations by Stefan Nijessen.
M	install/isession.inc

2020-01-21 10:13:37 +0100 Joe Hunt 
F2 - Customers/Suppliers; F4 - Items. Removed Menu in popup windows.
M	inventory/manage/items.php
M	purchasing/manage/suppliers.php
M	sales/manage/customers.php

2020-01-18 09:03:18 +0100 Janusz Dobrowolski 
Fixed Assets Depreciation: removed invalid and obsolete audit record update.
M	fixed_assets/includes/fixed_assets_db.inc

2020-01-16 09:10:56 +0100 Joe Hunt 
Uninitialized string offset in main.inc Fixed for php >= 7.0
M	includes/main.inc

2020-01-16 08:57:36 +0100 Joe Hunt 
Tax rate displayed twice in rep209 (Purchase orders). Fixed.
M	reporting/rep209.php

2020-01-13 15:53:39 +0100 Joe Hunt 
Sales Order Inquiry Sort Descenting?, Fixed.
M	sales/includes/db/sales_order_db.inc
M	sales/inquiry/sales_orders_view.php

2020-01-01 16:51:21 +0100 Joe Hunt 
Amendment Required in rep601.php for voided transactions. Fixed.
M	reporting/rep601.php

2019-12-29 09:09:40 +0100 Joe Hunt 
bank statement report with 'All' Selection of Bank Accounts fixed
M	reporting/includes/reports_classes.inc
M	reporting/rep601.php
M	reporting/reports_main.php

2019-12-26 07:50:36 +0100 Joe Hunt 
Customer Payment Entry - Scrolling behaviour when clicking All or None. Fixed.
M	includes/ui/allocation_cart.inc

2019-11-26 13:44:56 +0100 Janusz Dobrowolski 
[0005002] Journal Inquiry: incorrect amounts displayed for journal entries with more than one customer/supplier accounts, fixed.
M	gl/includes/db/gl_db_trans.inc

2019-11-26 07:45:50 +0100 Joe Hunt 
Bug 4988: Auto Increase of Document References cant be disabled. Fixed.
M	sales/includes/cart_class.inc

2019-11-25 14:46:22 +0100 Janusz Dobrowolski 
[0004993] Sales Order: incorrect prepayment guess for wholesale (non tax included) pricelists.
M	sales/includes/cart_class.inc

2019-11-25 08:44:00 +0100 Joe Hunt 
Formatting error in dashboard.inc fixed.
M	includes/dashboard.inc

2019-11-10 01:37:06 +0100 Joe Hunt 
recurring invoices - period improved.
M	sales/create_recurrent_invoices.php

2019-11-10 01:07:53 +0100 Joe Hunt 
count error when printing to Excel. Fixed.
M	reporting/includes/Workbook.php
M	reporting/includes/excel_report.inc
M	reporting/includes/pdf_report.inc

2019-10-28 09:44:33 +0100 Joe Hunt 
Bug 5009: Page # on invoices counts up across invoices. Fixed for all documents.
M	reporting/includes/pdf_report.inc

2019-10-26 08:54:57 +0200 Joe Hunt 
Misspelled parameter in rep115.php
M	reporting/rep115.php

2019-10-21 22:44:07 +0200 Joe Hunt 
Bug 5013: zero invoices create zero payments and cause db error upon view payment. Fixed.
M	sales/includes/db/sales_invoice_db.inc

2019-10-14 01:15:54 +0200 Joe Hunt 
Voided Documents Still Exist In Drop-down when printing. Fixed.
M	reporting/includes/reports_classes.inc

2019-10-11 10:24:50 +0200 Janusz Dobrowolski 
Additional fixes to supplier//customer attachments.
M	admin/attachments.php
M	purchasing/manage/suppliers.php

2019-10-09 23:55:30 +0200 Janusz Dobrowolski 
Added file missing from previous commit.
A	includes/ui/attachment.inc

2019-10-07 23:40:55 +0200 Janusz Dobrowolski 
Added new attachment types for customer and supplier specific documents.
M	admin/attachments.php
M	admin/db/attachments_db.inc
M	admin/db/transactions_db.inc
M	includes/sysnames.inc
M	includes/types.inc
M	purchasing/manage/suppliers.php
M	sales/manage/customers.php

2019-10-06 10:00:28 +0200 Joe Hunt 
reports_classes.inc:40: count() has been fixed.
M	reporting/includes/pdf_report.inc

2019-10-04 09:48:59 +0200 Joe Hunt 
Additional Transaction Date presence check
M	admin/db/transactions_db.inc

2019-09-03 18:04:42 +0200 Joe Hunt 
inventory location transfer from sales kit did not work. Fixed.
M	inventory/includes/stock_transfers_ui.inc

2019-08-28 17:24:52 +0200 Joe Hunt 
Database error message in sales_order_db.inc fixed.
M	sales/includes/db/sales_order_db.inc

2019-08-17 17:39:07 +0200 Joe Hunt 
Clone Manufactured Item -> Clone BOM.
M	manufacturing/manage/bom_edit.php

2019-08-17 17:38:19 +0200 Joe Hunt 
Report Sales Listing fix.
M	reporting/rep106.php

2019-08-17 16:59:41 +0200 Joe Hunt 
Bug 4987: In rtl languages, text aligned centered is printed aligned right in PDF documents. Fixed.
M	reporting/includes/class.pdf.inc

2019-08-08 08:09:28 +0200 Joe Hunt 
Bug 4980: The field characters size of "Memo" in voiding a transaction doesn't correspond to the field size in the database. Fixed by cutting the text to 60 characters in ausit_trail.
M	includes/db/audit_trail_db.inc

2019-08-05 09:29:23 +0200 Joe Hunt 
Rerun - Show more relevant info in CounterPart Field, Journal Inquiry.
M	gl/includes/db/gl_db_trans.inc

2019-08-01 22:57:27 +0200 Joe Hunt 
Show more relevant info in CounterPart Field, Journal Inquiry.
M	gl/includes/db/gl_db_trans.inc
M	gl/inquiry/journal_inquiry.php

2019-07-30 09:56:48 +0200 Janusz Dobrowolski 
Allocate Customer Payments or Credit Notes: fully allocated payments with discount where still displayed even with settled option off, fixed.
M	sales/includes/db/custalloc_db.inc

2019-07-24 15:19:38 +0200 Joe Hunt 
Journal Inquiry Dates should follow the User Preference Transaction Days. Fixed.
M	gl/inquiry/journal_inquiry.php

2019-07-19 11:11:17 +0200 Joe Hunt 
4950: Field for supplier name is too short in the supplier form. Increased from 40 chars to maximum 60 chars in the Suppliers form.
M	purchasing/manage/suppliers.php

2019-07-19 10:45:28 +0200 Joe Hunt 
Paged transaction inquiries optimized for maximum links, continued.
M	dimensions/inquiry/search_dimensions.php
M	manufacturing/search_work_orders.php
M	purchasing/inquiry/supplier_inquiry.php
M	reporting/includes/reporting.inc
M	sales/inquiry/customer_inquiry.php
M	sales/inquiry/sales_orders_view.php

2019-07-19 00:29:39 +0200 Joe Hunt 
Paged transaction inquiries optimized for maximum links in Sales and Purchasing.
M	purchasing/includes/db/po_db.inc
M	purchasing/inquiry/po_search.php
M	purchasing/inquiry/po_search_completed.php
M	sales/inquiry/customer_inquiry.php
M	sales/inquiry/sales_orders_view.php

2019-07-18 16:13:35 +0200 Joe Hunt 
Rerun Sales_order_ui.inc (max chars 50 in Editable Stock Item list)
M	sales/includes/ui/sales_order_ui.inc

2019-07-18 16:06:32 +0200 Joe Hunt 
Limit editable stock items list in Sales Order, Credit Notes to 50 chars.
M	includes/ui/ui_lists.inc
M	sales/includes/ui/sales_order_ui.inc

2019-07-18 12:00:54 +0200 Joe Hunt 
Inventory Item Movements: Purcase Order Delivery and Credit Note has in reference column trans_no or Return memo presented instead of reference. Fixed.
M	inventory/includes/inventory_db.inc

2019-07-18 10:56:07 +0200 Joe Hunt 
Supplier Invoice. Wrong alignment i 2 first columns when selecting items to invoice. Fixed.
M	purchasing/includes/ui/invoice_ui.inc

2019-07-17 23:36:34 +0200 Joe Hunt 
4944: The field characters size of Supplier's Reference is too short. Fixed.
M	purchasing/includes/ui/po_ui.inc

2019-07-17 23:08:51 +0200 Joe Hunt 
4946: Inserting a supplier without the short name resets the whole form. Fixed.
M	purchasing/manage/suppliers.php

2019-07-08 21:54:13 +0200 Janusz Dobrowolski 
Supplier Invoice: on form opening currency was not displayed for foreign supplier.
M	includes/ui/ui_view.inc
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/ui/invoice_ui.inc

2019-07-06 20:49:17 +0200 Janusz Dobrowolski 
Code cleanup in supplier_invoice.php and supplier_credit.php
M	purchasing/includes/supp_trans_class.inc
M	purchasing/includes/ui/invoice_ui.inc
M	purchasing/supplier_credit.php
M	purchasing/supplier_invoice.php

2019-07-06 10:23:18 +0200 Janusz Dobrowolski 
Credit Note Modification: fixed check whether transaction is editable.
M	purchasing/supplier_credit.php

2019-07-06 10:20:00 +0200 Janusz Dobrowolski 
Strict SQL related error when background journal transaction was saved. Fixed.
M	gl/includes/db/gl_journal.inc

2019-07-05 19:09:50 +0200 Janusz Dobrowolski 
Purchase Order View: fixed dates, added overdue delivery marker.
M	purchasing/includes/db/grn_db.inc
M	purchasing/includes/ui/grn_ui.inc
M	purchasing/view/view_grn.php

2019-07-03 11:51:16 +0200 Janusz Dobrowolski 
Audit Trail: regression in audit history (after sql strict mode related changes) fixed.
M	includes/db/audit_trail_db.inc

2019-07-03 11:35:03 +0200 Joe Hunt 
Bug 4920: Search icon in 'items table' wraps underneath select combo when screen width reduced. Fixed
M	includes/ui/ui_lists.inc

2019-06-28 14:01:47 +0200 Janusz Dobrowolski 
Inventory Adjustment: negative adjustment should always use current average item cost.
M	inventory/adjustments.php
M	inventory/includes/item_adjustments_ui.inc
M	js/inserts.js

2019-06-27 14:29:13 +0200 Janusz Dobrowolski 
Inventory Adjustment: fixed error in adjustment entry when inventory notifications are switched on.
M	inventory/includes/db/items_adjust_db.inc

2019-06-24 22:57:49 +0200 Joe Hunt 
Release 2.4.7.
M	CHANGELOG.txt
M	lang/new_language_template/LC_MESSAGES/empty.po
M	themes/canvas/default.css
M	themes/default/default.css
M	themes/dropdown/default.css
M	version.php

2019-06-23 22:49:00 +0200 Janusz Dobrowolski 
Fixed inventory cost calculation for fiscal year deletion.
M	admin/db/fiscalyears_db.inc

2019-06-23 12:23:53 +0200 Janusz Dobrowolski 
Reverted latest changes in inventory adjustment to ensure database consistency.
M	inventory/includes/db/items_adjust_db.inc
M	reporting/rep301.php
M	reporting/rep308.php

2019-06-20 09:17:13 +0200 Joe Hunt 
Rerun rep306. Fixed dupplicated rows.
M	reporting/rep306.php

2019-06-20 09:11:13 +0200 Joe Hunt 
Fixed Inventory Purchasing Report with physical rate from line.
M	reporting/rep306.php

2019-06-17 09:54:59 +0200 Joe Hunt 
Rerun of items_adjust_db.inc. @itronics.
M	inventory/includes/db/items_adjust_db.inc

2019-06-17 08:25:43 +0200 Joe Hunt 
Anomaly created by Cost Update in Inventory Sales Report (rep304). Updated bugfix. @boxygen.
M	inventory/includes/db/items_adjust_db.inc
M	reporting/rep301.php
M	reporting/rep308.php

2019-06-16 09:44:09 +0200 Joe Hunt 
General Leger - List of journal entries - change in memo fields. @Braath Waate.
M	reporting/rep702.php

2019-06-16 08:55:00 +0200 Joe Hunt 
Fixing Get_domestic_price in rep301 and rep308. @boxygen.
M	reporting/rep301.php
M	reporting/rep308.php

2019-06-15 11:02:24 +0200 Janusz Dobrowolski 
Rolled back invalid update of stock_move costs on cost update.
M	inventory/includes/db/items_trans_db.inc

2019-06-04 08:11:17 +0200 Joe Hunt 
Bug 4896: Standard Cost is not Updated in debtor_trans_detail table if Customer Credit Note is processed. @boxygen.
M	sales/includes/db/sales_credit_db.inc

2019-06-04 07:58:40 +0200 Joe Hunt 
Fixed Supplier Allocation Inquiry - Due Date. @poncho1234.
M	purchasing/inquiry/supplier_allocation_inquiry.php

2019-06-02 18:29:32 +0200 Joe Hunt 
Wrong Presentation of supp balance in forms. @JimmyC
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/db/po_db.inc

2019-05-18 15:45:11 +0200 Joe Hunt 
Rerun fix Supplier Trial Balance.
M	reporting/rep206.php

2019-05-18 15:35:34 +0200 Joe Hunt 
Buxfix in Customer and Supplier Trial Balance Report and margin fixes. @boxygen.
M	reporting/rep115.php
M	reporting/rep206.php

2019-05-01 10:00:31 +0200 Joe Hunt 
Fixed Email Receipt to customer.
M	reporting/includes/reporting.inc
M	reporting/rep112.php
M	reporting/reports_main.php
M	sales/customer_payments.php

2019-04-22 10:07:25 +0200 Joe Hunt 
New Soluton to sales_order_ui.inc has a bug. @kvvaradha.
M	sales/includes/ui/sales_order_ui.inc

2019-04-19 16:40:04 +0200 Joe Hunt 
Rerun: user_list_cells Real name sometimes shows empty. @apmuthu
M	includes/ui/ui_lists.inc

2019-04-14 23:30:50 +0200 Joe Hunt 
user_list_cells Real name shows empty when not entered in user table. @kvvaradha.
M	includes/ui/ui_lists.inc

2019-04-13 09:52:25 +0200 Joe Hunt 
rerun of sales_order_ui.inc has a bug. @Braath Waate and @kvvaradha.
M	sales/includes/ui/sales_order_ui.inc

2019-04-07 08:48:16 +0200 Joe Hunt 
Recurrent Invoices in 2.4 is not sending. Fixed by @Braath Waate.
M	sales/create_recurrent_invoices.php

2019-03-26 16:57:32 +0100 Joe Hunt 
4863: Dimension not defaulted on po entry, po modify. @Braath Waate and @joe fixed
M	purchasing/includes/db/grn_db.inc
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/db/po_db.inc

2019-03-26 11:17:08 +0100 Joe Hunt 
4867: supplier quick entry g/l account list should show the bank accounts in the line.
M	purchasing/includes/ui/invoice_ui.inc

2019-03-26 10:51:56 +0100 Joe Hunt 
Rerun /reporting/includes/report_classes.inc
M	reporting/includes/reports_classes.inc

2019-03-26 10:42:35 +0100 Joe Hunt 
4869: Work order listing and print work orders reports should omit voided orders. @Braath Waate fixed.
M	manufacturing/includes/db/work_orders_db.inc
M	reporting/includes/reports_classes.inc
M	reporting/rep402.php

2019-03-26 01:42:25 +0100 Joe Hunt 
Sometimes when amount tax details was zero and net amount was set an empty gl transaction was made. @JimmyC and @joe fixed it.
M	sales/includes/db/sales_invoice_db.inc

2019-03-24 18:07:25 +0100 Joe Hunt 
Rerun of sales_order_entry.php.
M	sales/sales_order_entry.php

2019-03-24 18:02:00 +0100 Joe Hunt 
Fixing bug in Sales Invoice and Sales Delivery when Cash Sales and document date is earlier then todays date. Due date should be the same.
M	sales/sales_order_entry.php

2019-03-23 10:50:42 +0100 Joe Hunt 
Presentation bug in Sales Order View when reference is 'auto'.
M	sales/view/view_sales_order.php

2019-03-21 22:28:35 +0100 Joe Hunt 
Removed CCA, (currencyconverterapi.com) is no longer working. Updated url from google api. @notrinos.
M	config.default.php
M	gl/includes/db/gl_db_rates.inc

2019-03-19 21:40:45 +0100 Joe Hunt 
No edit in supplier invoice quick entry fixed. @Braath Waate.
M	purchasing/includes/ui/invoice_ui.inc
M	purchasing/supplier_invoice.php

2019-03-06 22:55:17 +0100 Joe Hunt 
PHP 7.X produces A non-numeric value encountered in \includes\date_functions.inc when using date format 5 (YYYY/MM/D.
M	includes/date_functions.inc

2019-03-04 08:42:29 +0100 Joe Hunt 
Clean up in en_US-demo.sql and en_US-new.sql. @apmuthu.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2019-02-22 23:30:45 +0100 Joe Hunt 
4859: The Outstanding in Customer Balance is Not Ok with Journal Entry. Fixed by @boxygen.
M	reporting/rep101.php

2019-02-22 10:01:34 +0100 Joe Hunt 
0004847: FA allows reconciliation of closed transactions. Fixed by @Braath Waathe.
M	gl/bank_account_reconcile.php

2019-02-22 09:49:28 +0100 Joe Hunt 
Display of newlines in memo show as html during purchase order modify. Fixed by @Braath Waathe-
M	purchasing/includes/db/po_db.inc

2019-02-19 08:28:59 +0100 Joe Hunt 
Fixed users Last Visit Date with Time. @kvvaradha and @apmuthu.
M	admin/users.php

2019-02-13 16:05:42 +0100 Janusz Dobrowolski 
Process Depreciation: hardcoded fiscal years constraint removed.
M	includes/data_checks.inc
M	includes/ui/ui_lists.inc

2019-02-13 15:48:50 +0100 Joe Hunt 
Customer balance Report rep101.php has one extra parameter. Fixed @kvvaradha.
M	reporting/rep101.php

2019-01-29 15:10:00 +0100 Joe Hunt 
Bad english language in db error msg.
M	inventory/includes/db/items_units_db.inc

2019-01-27 15:57:06 +0100 Joe Hunt 
Fixed small bug item units db by @anoopmb.
M	inventory/includes/db/items_units_db.inc

2019-01-25 21:27:35 +0100 Janusz Dobrowolski 
Additional sql strict mode related fix in add_trans_tax_details().
M	gl/includes/db/gl_db_trans.inc

2019-01-25 10:20:55 +0100 Joe Hunt 
Rerun of sales_order_ui.inc has a bug.
M	sales/includes/ui/sales_order_ui.inc

2019-01-24 23:28:25 +0100 Joe Hunt 
Bugs in sales_db.inc and sales_order_ui.inc fixed by @kvvaradha.
M	sales/includes/sales_db.inc
M	sales/includes/ui/sales_order_ui.inc

2019-01-23 11:26:41 +0100 Joe Hunt 
items_cart class has a logical bug, fixed by @kvvaradha.
M	includes/ui/items_cart.inc

2019-01-22 12:29:08 +0100 Joe Hunt 
Redesign of the 2 core COAs. They are similar now except the demo data in the demo variant.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2019-01-21 23:09:30 +0100 Joe Hunt 
Rerun2 of updated en_US-demo.sql.
M	sql/en_US-demo.sql

2019-01-21 13:41:03 +0100 Joe Hunt 
Rerun of en_US-demo COA. Cleaning.
M	sql/en_US-demo.sql

2019-01-21 11:45:47 +0100 Joe Hunt 
Updated en_US-demo to contain 2018 and a couple of transes in 2019.
M	sql/en_US-demo.sql

2019-01-20 20:20:31 +0100 Janusz Dobrowolski 
Relaxed sql_mode set on database initialization to provide backward compatibility during backup restartion.
M	admin/db/maintenance_db.inc

2019-01-17 08:25:14 +0100 Joe Hunt 
Double semicolon line endings fixed by @apmuthu.
M	admin/attachments.php
M	fixed_assets/includes/fa_classes_db.inc
M	inventory/view/view_transfer.php
M	js/behaviour.js
M	manufacturing/view/wo_issue_view.php
M	purchasing/view/view_po.php
M	reporting/rep451.php
M	sales/customer_credit_invoice.php
M	sales/includes/db/customers_db.inc
M	taxes/tax_groups.php

2019-01-16 22:37:09 +0100 Joe Hunt 
Double Semi Colon in this line. Please remove one by £boxygen
M	gl/includes/db/gl_db_trans.inc

2019-01-16 22:24:19 +0100 Joe Hunt 
Placeholders Not Allowed for Dimensions. Fixed by @boxygen
M	includes/references.inc

2019-01-14 17:29:25 +0100 Joe Hunt 
wrong command symbol in ui_list.inc by @notrinos.
M	includes/ui/ui_lists.inc

2019-01-11 08:29:58 +0100 Joe Hunt 
Rerun of Update Material Cost Function. $notrinos.
M	manufacturing/includes/db/work_order_costing_db.inc

2019-01-10 20:04:20 +0100 Janusz Dobrowolski 
Fixed get_post() support for numeric fields.
M	admin/display_prefs.php
M	includes/ui/ui_controls.inc

2019-01-10 18:00:25 +0100 Janusz Dobrowolski 
Quick Entries: fixed false warning.
M	gl/manage/gl_quick_entries.php

2019-01-10 16:29:01 +0100 Janusz Dobrowolski 
Fixed allocation date for customer payments entry, additional fixes for strict sql mode.
M	includes/db/audit_trail_db.inc
M	sales/customer_payments.php

2019-01-10 10:17:14 +0100 Janusz Dobrowolski 
Activated strict SQL mode, minor SQL injection fix, fixed _vl() debug helper.
M	admin/display_prefs.php
M	includes/date_functions.inc
M	includes/db/class.reflines_db.inc
M	includes/db/connect_db_mysql.inc
M	includes/db/connect_db_mysqli.inc
M	includes/ui/class.crud_view.inc
M	includes/ui/class.reflines_crud.inc
M	includes/ui/ui_input.inc
M	includes/ui/ui_view.inc
M	inventory/includes/db/items_db.inc
M	inventory/manage/items.php
M	inventory/manage/locations.php
M	purchasing/manage/suppliers.php
M	sales/includes/cart_class.inc

2019-01-09 23:15:27 +0100 Joe Hunt 
Rollback. Update material cost when quantity on hand is zero. @notrinos.
M	manufacturing/includes/db/work_order_costing_db.inc

2019-01-08 23:42:04 +0100 Joe Hunt 
Merge branch 'master' of https://git.code.sf.net/p/frontaccounting/git
2019-01-08 23:41:40 +0100 Joe Hunt 
Password reset mail could take several hours. After fix only a couple of seconds. Using From: email in header.
M	includes/current_user.inc

2019-01-08 23:40:09 +0100 Joe Hunt 
Bug 4817: g/l account inquiry can timeout due to slow sql. @Braath Waate.
M	gl/includes/db/gl_db_trans.inc
M	gl/inquiry/gl_account_inquiry.php

2019-01-08 20:44:35 +0100 Janusz Dobrowolski 
New transaction reference formats {FF}/{FFFF} for fiscal years starting on other day than January 1st.
M	includes/references.inc

2019-01-07 17:31:09 +0100 Joe Hunt 
Optimized function get_trans_tax_details() by @apmuthu.
M	gl/includes/db/gl_db_trans.inc

2019-01-05 10:42:24 +0100 Joe Hunt 
Date Picker close when clicked outside of the datepicker. @kvvaradha and @apmuthu.
M	includes/ui/ui_view.inc

2019-01-02 09:12:17 +0100 Joe Hunt 
Supplier Transaction Inquiry for GRN did not filter on date. Fixed by @notrinos.
M	purchasing/includes/db/supp_trans_db.inc

2018-12-24 00:41:51 +0100 Joe Hunt 
Merge branch 'master' of https://git.code.sf.net/p/frontaccounting/git
2018-12-24 00:41:14 +0100 Joe Hunt 
New CHANGELOG.txt file.
M	CHANGELOG.txt

2018-12-24 00:38:18 +0100 Joe Hunt 
Release 2.4.6
M	version.php

2018-12-24 00:32:42 +0100 Joe Hunt 
Report Stock Check Sheet is now testing for valid barcodes of EAN, EAN-8, EAN-13, GTIN-8, GTIN-12, GTIN-14, UPC, UPC-12 coupon code, JAN if 'Using Barcodes' is enabled.
M	reporting/rep303.php

2018-12-23 15:39:52 +0100 Janusz Dobrowolski 
Update README.md, removed obsolete install/update info, added list of contributors.
M	README.md
M	doc/license.txt
D	install.html
D	update.html

2018-12-23 10:57:11 +0100 Janusz Dobrowolski 
Gettext template update.
M	lang/new_language_template/LC_MESSAGES/empty.po

2018-12-20 21:09:08 +0100 Janusz Dobrowolski 
Attach Documents: fixed SQL injection vulnerability.
M	admin/db/transactions_db.inc
M	includes/references.inc

2018-12-22 11:54:46 +0100 Joe Hunt 
Barcodes in report Stock Check Sheets should only print numeric stock id's.
M	reporting/rep303.php

2018-12-22 10:00:00 +0100 Joe Hunt 
Rerun of rep115.php and rep206. Wrong $no_zeroes check and missing parameters in rep115.php.
M	reporting/rep115.php
M	reporting/rep206.php

2018-12-21 17:34:10 +0100 Joe Hunt 
Rerun of rep115.php, Customer Trial Balance.
M	reporting/rep115.php

2018-12-21 17:01:03 +0100 Joe Hunt 
Added 2 new reports, Customer Trial Balance and Supplier Trial Balance. @boxygen.
A	reporting/rep115.php
M	reporting/rep201.php
A	reporting/rep206.php
M	reporting/reports_main.php

2018-12-20 13:01:02 +0100 Joe Hunt 
No exchange rate working in FA now. Fixed ECB, CCA and EXCHANGE-RATES.ORG. @notrinos.
M	config.default.php
M	gl/includes/db/gl_db_rates.inc

2018-12-19 13:22:55 +0100 Joe Hunt 
4821: banking overdraft message has php errors. Fixed. @Braathwaathe
M	gl/gl_bank.php
M	gl/includes/db/gl_db_bank_trans.inc

2018-12-19 11:56:34 +0100 Joe Hunt 
4811: magnifying glass select on deposits/payments erroneously shows bank account gl accounts. Fixed, @Braathwaathe.
M	gl/includes/db/gl_db_accounts.inc
M	gl/inquiry/accounts_list.php
M	includes/ui/ui_lists.inc

2018-12-19 11:52:47 +0100 Joe Hunt 
4796: Entering customer payment with a bank charge equal to the total amount results in database error. Fixed. @Braathwaate.
M	sales/customer_payments.php

2018-12-18 12:53:37 +0100 Joe Hunt 
Changed Journal # to GL # in GL Trans View.
M	gl/inquiry/journal_inquiry.php
M	gl/view/gl_trans_view.php
M	includes/ui/ui_view.inc

2018-12-17 23:14:19 +0100 Joe Hunt 
New reliable currency rate provider, EXCHANGE-RATES.ORG added as default. @notrinos.
M	config.default.php
M	gl/includes/db/gl_db_rates.inc

2018-12-17 15:56:32 +0100 Joe Hunt 
Credit Notes were never seen in View Sales Order. Fixed.
M	sales/view/view_sales_order.php

2018-12-17 09:41:08 +0100 Joe Hunt 
Foxed a non well formed numeric value encountered rep202.php. @apmuthu.
M	reporting/rep202.php

2018-12-16 23:25:40 +0100 Joe Hunt 
Pressing the Batch button in Invoice against Deliveries got a missing indes. Fixed. @notrinos.
M	sales/inquiry/sales_deliveries_view.php

2018-12-16 23:23:26 +0100 Joe Hunt 
Fixed a non well formed numeric value encountered rep102.php
M	reporting/rep102.php

2018-12-16 16:12:38 +0100 Joe Hunt 
Rerun of last php 7.2 count() buf.
M	includes/ui/ui_globals.inc

2018-12-16 08:32:32 +0100 Joe Hunt 
Fixed Bug in count_array(), /includes/ui/ui_globals.inc.
M	includes/ui/ui_globals.inc

2018-12-06 21:19:01 +0100 Joe Hunt 
New CHANGELOG.txt file.
M	CHANGELOG.txt

2018-12-06 21:16:27 +0100 Joe Hunt 
Release 2.4.5
M	version.php

2018-12-05 20:12:06 +0100 Janusz Dobrowolski 
Updated gettext template.
M	lang/new_language_template/LC_MESSAGES/empty.po

2018-11-29 14:15:12 +0100 Joe Hunt 
Fixed php 7.2 count() compatibility continued.
M	includes/ui/contacts_view.inc
M	includes/ui/items_cart.inc

2018-11-29 09:13:49 +0100 Joe Hunt 
Fixed php 7.2 count() compatibility and intval cast in number_format2 parameter 2.
M	admin/db/maintenance_db.inc
M	includes/current_user.inc
M	includes/ui/ui_globals.inc
M	reporting/includes/fpdi/fpdi.php
M	reporting/includes/reports_classes.inc
M	sales/includes/sales_db.inc

2018-11-28 09:30:25 +0100 Joe Hunt 
0004760: Rerun - new last_sales_order_detail function sql very slow. Optimized by @Braathwaate.
M	sales/includes/db/sales_order_db.inc

2018-11-24 23:21:40 +0100 Joe Hunt 
Purchase Order Delivery does not show the Supplier name in GL transactions report. @kvvaradha.
M	gl/includes/db/gl_db_trans.inc
M	reporting/rep704.php

2018-11-22 10:28:06 +0100 Joe Hunt 
Fixed Customer Balance Showing wrong Outstanding balance (Journal Entry allocation), @kvvaradha.
M	reporting/rep101.php

2018-11-22 09:58:50 +0100 Joe Hunt 
Fixed Revaluation amount is getting posted wrongly. @mugao-em and @andijani.
M	gl/includes/db/gl_db_banking.inc

2018-11-20 11:32:37 +0100 Joe Hunt 
Added Comany Setup Option. 'Open Print Dialog Direct on Reports'. @notrinos.
M	admin/company_preferences.php
M	reporting/includes/pdf_report.inc
M	sql/alter2.4.php
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2018-11-19 15:27:06 +0100 Joe Hunt 
0004760: new last_sales_order_detail function sql very slow. Optimized by @Braathwaate.
M	sales/includes/db/sales_order_db.inc

2018-11-18 22:53:51 +0100 Joe Hunt 
Added missing input data check for Gl Setup. @notrinos.
M	admin/gl_setup.php

2018-11-13 23:35:19 +0100 Joe Hunt 
Merge branch 'master' of https://git.code.sf.net/p/frontaccounting/git
2018-11-13 23:34:52 +0100 Joe Hunt 
Added input data check for company preferences. @notrinos.
M	admin/company_preferences.php

2018-11-05 12:02:11 +0100 Janusz Dobrowolski 
Cleanups (fixed obscure numeric references to some sql helpers results).
M	dimensions/dimension_entry.php
M	dimensions/view/view_dimension.php
M	manufacturing/includes/db/work_orders_db.inc
M	manufacturing/includes/manufacturing_ui.inc
M	manufacturing/work_order_add_finished.php
M	manufacturing/work_order_costs.php
M	manufacturing/work_order_entry.php
M	purchasing/includes/db/invoice_db.inc

2018-11-05 11:11:14 +0100 Janusz Dobrowolski 
[0004736] Addtitional fix in get_item helper.
M	inventory/includes/db/items_db.inc

2018-10-29 23:31:41 +0100 Joe Hunt 
bug fixed in reports_classes.inc:37: count(). @cleal.
M	reporting/includes/reports_classes.inc

2018-10-26 09:14:24 +0200 Joe Hunt 
Fixed deprecated each() function in PHP 7.2 (fpdi.php). @apmuthu.
M	reporting/includes/fpdi/fpdi.php

2018-10-25 20:08:57 +0200 Joe Hunt 
Merge branch 'master' of https://git.code.sf.net/p/frontaccounting/git
2018-10-25 20:08:35 +0200 Joe Hunt 
Fixed deprecated each() function in PHP 7.2 (tcpdf.php). @notrinos.
M	reporting/includes/tcpdf.php

2018-10-24 10:26:37 +0200 Janusz Dobrowolski 
[0004594] Suppliers: inactive tax groups should not appear in tax group selector for new supplier.
M	includes/ui/ui_lists.inc

2018-10-12 12:10:54 +0200 Janusz Dobrowolski 
[0004475] Modifying Journal Transaction: fixed form layout for gl edition containing subaccount.
M	includes/ui/items_cart.inc

2018-10-12 11:33:25 +0200 Janusz Dobrowolski 
[0004736] Items: item cloning did not preserved value for non-editable fields.
M	inventory/manage/items.php

2018-10-11 11:25:44 +0200 Janusz Dobrowolski 
[0004734] Fixed bug in costing procedure for produced items.
M	manufacturing/includes/db/work_order_costing_db.inc

2018-10-11 11:15:10 +0200 Janusz Dobrowolski 
[0004735] Search Outstanding Work Orders: voided work orders excluded.
M	manufacturing/includes/db/work_orders_db.inc

2018-10-10 16:03:24 +0200 Janusz Dobrowolski 
[0004216] Print Work Orders: database error fixed when voided WO is in selected range.
M	reporting/includes/reports_classes.inc
M	reporting/rep409.php

2018-10-10 15:47:28 +0200 Janusz Dobrowolski 
[0004212] Work Order Entry: fixed error when voided WO refence is reused.
M	manufacturing/includes/db/work_orders_db.inc

2018-10-06 12:51:22 +0200 Joe Hunt 
Fixed Customer statement reflecting wrong balance. @Braath Waate.
M	reporting/rep108.php

2018-10-02 10:04:57 +0200 Joe Hunt 
Merge branch 'master' of https://git.code.sf.net/p/frontaccounting/git
2018-10-02 10:04:32 +0200 Joe Hunt 
0004641: items->transactions should not show QOH for service items. @Braathwaate. Fixed by disabling transactions when non inventory item.
M	inventory/manage/items.php

2018-09-17 08:32:24 +0200 Janusz Dobrowolski 
Fixed comment for crm_contacts table in init sql files.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2018-09-15 10:19:13 +0200 Joe Hunt 
Error line break on supplier_list_cells when label is set to null. Fixed by @notrinos/kvvaradha.
M	includes/ui/ui_lists.inc

2018-09-13 09:05:56 +0200 Joe Hunt 
Left to allocate is showing wrong. Fixed by a rerun by @notrinos.
M	includes/ui/ui_view.inc

2018-09-12 22:27:40 +0200 Joe Hunt 
Left to allocate is showing wrong. Fixed by @notrinos.
M	includes/ui/ui_view.inc

2018-09-11 22:43:52 +0200 Joe Hunt 
Fixed error creating customer credit note: Undefined index: sales_gl_code. @notrinos.
M	taxes/tax_calc.inc

2018-08-31 15:27:27 +0200 Joe Hunt 
Rerun bug 4601: memo line not cleared after enter new payment item. @Braath Waate.
M	gl/includes/ui/gl_journal_ui.inc
M	gl/inquiry/bank_inquiry.php
M	includes/dashboard.inc
M	includes/ui/ui_input.inc

2018-08-30 23:12:52 +0200 Joe Hunt 
Rerun. Update material cost when quantity on hand is zero. @notrinos.
M	manufacturing/includes/db/work_order_costing_db.inc

2018-08-30 09:03:06 +0200 Joe Hunt 
2.4.4 no Longer Displays 0.00 Sales Invoices in customer_inquiry.php. Fixed. $Braath Waate.
M	sales/includes/db/cust_trans_db.inc
M	sales/inquiry/customer_inquiry.php

2018-08-30 08:04:27 +0200 Joe Hunt 
Update material cost when quantity on hand is zero. @notrinos.
M	manufacturing/includes/db/work_order_costing_db.inc

2018-08-26 19:07:18 +0200 Joe Hunt 
Merge branch 'master' of https://git.code.sf.net/p/frontaccounting/git
2018-08-26 18:57:14 +0200 Joe Hunt 
Bug 4601: memo line not cleared after enter new payment item Inbox. @Braathwaate.
M	gl/gl_bank.php
M	gl/includes/ui/gl_bank_ui.inc
M	gl/inquiry/bank_inquiry.php
M	includes/dashboard.inc
M	includes/ui/ui_input.inc

2018-08-26 18:54:20 +0200 Joe Hunt 
Bug 4504. utf-8 decoding not working for some special characters on pdf reports. @Braathwaate.
M	reporting/includes/tcpdf.php

2018-08-26 14:57:02 +0200 Janusz Dobrowolski 
[0004577] Ajax confirmation dialog ignored user answer in Sales Order cancelation.
M	js/inserts.js

2018-08-26 09:17:54 +0200 Joe Hunt 
Bug 4617: memo undefined at line 206 core/manufacturing/includes/db/work_order_costing_db.inc. @Braathwaate.
M	manufacturing/includes/db/work_order_costing_db.inc

2018-08-26 09:00:18 +0200 Joe Hunt 
Bug 4563: rep308 costed inventory movements do not reconcile. @Braatwaate.
M	reporting/rep308.php

2018-08-23 10:05:22 +0200 Joe Hunt 
Rolled back of A function line misplaced in sales_order_ui.
M	sales/includes/ui/sales_order_ui.inc

2018-08-18 08:55:32 +0200 Joe Hunt 
Function line misplaced.
M	sales/includes/ui/sales_order_ui.inc

2018-08-18 08:39:57 +0200 Joe Hunt 
Fixed bug in Report Supplier Balances.
M	reporting/rep201.php

2018-08-18 08:28:38 +0200 Joe Hunt 
Redundant sql sentences in Report Filters.
M	reporting/includes/reports_classes.inc

2018-08-12 14:46:48 +0200 Joe Hunt 
Avoid running same query multiple times. Rep307.php. Fixed
M	reporting/rep307.php

2018-08-12 14:40:46 +0200 Joe Hunt 
Solution for item editable description
M	includes/ui/ui_view.inc

2018-08-10 22:07:11 +0200 Joe Hunt 
Topic: Marker in Void Transactions fixed.
M	admin/void_transaction.php

2018-07-11 23:36:16 +0200 Joe Hunt 
Stock goes negative even, the negative inventory is turned off. Fix by kvvaradha.
M	admin/void_transaction.php

2018-07-11 21:06:43 +0200 Joe Hunt 
Fiscal year delete leads to undefined variable $total. Fixed.
M	admin/db/fiscalyears_db.inc

2018-06-18 11:39:24 +0200 Joe Hunt 
Wrong unit cost for AP Surf Set in demo data. Fixed and Rerun.
M	sql/en_US-demo.sql

2018-06-16 07:47:23 +0200 Joe Hunt 
Report Aged Supplier Analysis, Show Also Allocated = No. SQL Problem fixed.
M	purchasing/includes/db/suppliers_db.inc

2018-06-12 23:17:29 +0200 Joe Hunt 
Wrong type for AP Surf Set in demo data.
M	sql/en_US-demo.sql

2018-06-12 07:59:48 +0200 Joe Hunt 
Wrong standard cost for AP Surf Set in demo data (en_US-demo.sql). Fixed.
M	sql/en_US-demo.sql

2018-06-04 16:42:19 +0200 Joe Hunt 
Rerun Report Work Order Listing. More space in subtitles.
M	reporting/rep402.php

2018-06-04 10:32:53 +0200 Joe Hunt 
Changed Report Workorder Listing to include an option for listing GL rows.
M	reporting/rep402.php
M	reporting/reports_main.php

2018-05-31 23:26:11 +0200 Janusz Dobrowolski 
[0004461] Installer: added info about needed user database permissions.
M	install/index.php
M	install/lang/ar_EG/LC_MESSAGES/ar_EG.po
M	install/lang/da_DK/LC_MESSAGES/da_DK.po
M	install/lang/de_DE/LC_MESSAGES/de_DE.po
M	install/lang/el_GR/LC_MESSAGES/el_GR.po
M	install/lang/es_MX/LC_MESSAGES/es_MX.po
M	install/lang/fr_FR/LC_MESSAGES/fr_FR.po
M	install/lang/hi_IN/LC_MESSAGES/hi_IN.po
M	install/lang/id_ID/LC_MESSAGES/id_ID.po
M	install/lang/it_IT/LC_MESSAGES/it_IT.po
M	install/lang/ka_GE/LC_MESSAGES/ka_GE.po
M	install/lang/new_language_template/LC_MESSAGES/empty.po
M	install/lang/nl_BE/LC_MESSAGES/nl_BE.po
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.mo
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.po
M	install/lang/pt_BR/LC_MESSAGES/pt_BR.po
M	install/lang/pt_PT/LC_MESSAGES/pt_PT.po
M	install/lang/sv_SE/LC_MESSAGES/sv_SE.po
M	install/lang/ta_IN/LC_MESSAGES/ta_IN.po
M	install/lang/vi_VN/LC_MESSAGES/vi_VN.po
M	install/lang/zh_CN/LC_MESSAGES/zh_CN.po

2018-05-31 08:57:58 +0200 Joe Hunt 
0004468: Cannot modify a funds transfer twice. Fixed by Braathwaate.
M	gl/includes/db/gl_db_banking.inc

2018-05-31 08:47:54 +0200 Joe Hunt 
0004476: Our Order No is always 0 on customer payment receipt. Fixed by empty column.
M	reporting/includes/doctext.inc

2018-05-31 07:50:28 +0200 Joe Hunt 
0003317: "Forty" is misspelled on remittances, receipts. Fixed.
M	includes/ui/ui_view.inc

2018-05-24 22:19:59 +0200 Joe Hunt 
Rerun Updated google url for currency converter.
M	gl/includes/db/gl_db_rates.inc

2018-05-24 15:17:12 +0200 Joe Hunt 
Updated google url for currency converter.
M	gl/includes/db/gl_db_rates.inc

2018-05-09 15:38:01 +0200 Joe Hunt 
Adding Attachments to Dimension
M	dimensions/dimension_entry.php

2018-05-07 08:59:22 +0200 Joe Hunt 
The function get_customer_trans_details now includes itemPrice ex tax in SQL.
M	sales/includes/db/cust_trans_details_db.inc

2018-04-27 15:41:23 +0200 Joe Hunt 
0004161: g/l inquiry person/item displays number instead of person. Fixed. Rerun.
M	gl/includes/db/gl_db_trans.inc

2018-04-27 15:34:18 +0200 Joe Hunt 
0004161: g/l inquiry person/item displays number instead of person, Fixed.
M	gl/includes/db/gl_db_trans.inc

2018-04-18 11:23:41 +0200 Joe Hunt 
Fixed a php 7.2 bug in db_pager.inc.
M	includes/db_pager.inc

2018-04-17 22:29:11 +0200 Joe Hunt 
Typo in report Customer Detail Listing
M	reporting/rep103.php

2018-04-17 09:41:47 +0200 Janusz Dobrowolski 
Removed obsolete column 'Received' from direct purchase document entry forms.
M	purchasing/includes/ui/po_ui.inc

2018-04-16 15:32:38 +0200 Joe Hunt 
Updated alter2.4.php for 'Auto Increase of Document References'.
M	sql/alter2.4.php

2018-04-16 11:01:39 +0200 Joe Hunt 
Updating COAs after 'Auto Increase of Document References'.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2018-04-16 08:25:44 +0200 Joe Hunt 
Auto Increase of Document References (company setup)
M	admin/company_preferences.php
M	sales/includes/cart_class.inc

2018-04-09 09:52:03 +0200 Joe Hunt 
Fixed Session error in PHP 7.2.
M	includes/session.inc

2018-04-09 09:39:12 +0200 Joe Hunt 
report_classes.inc - Parameter must be an array fixed.
M	reporting/includes/reports_classes.inc

2018-04-02 07:45:23 +0200 Joe Hunt 
Fixed the summation of the outstanding open balance in Customer Balance Report.
M	reporting/rep101.php

2018-03-27 17:22:05 +0200 Joe Hunt 
Update Journal Entry SQL query fixed. Strange that it passed the MySql server!
M	gl/includes/db/gl_journal.inc

2018-03-17 15:25:44 +0100 Joe Hunt 
New Release 2.4.4.
M	CHANGELOG.txt
M	version.php

2018-03-16 22:23:47 +0100 Janusz Dobrowolski 
Fixed languages set in isession file.
M	install/isession.inc

2018-03-16 17:36:28 +0100 Janusz Dobrowolski 
New installer translations, updated gettext template.
M	install/lang/ar_EG/LC_MESSAGES/ar_EG.mo
M	install/lang/ar_EG/LC_MESSAGES/ar_EG.po
M	install/lang/de_DE/LC_MESSAGES/de_DE.mo
M	install/lang/de_DE/LC_MESSAGES/de_DE.po
A	install/lang/hi_IN/LC_MESSAGES/hi_IN.mo
A	install/lang/hi_IN/LC_MESSAGES/hi_IN.po
M	install/lang/id_ID/LC_MESSAGES/id_ID.mo
M	install/lang/id_ID/LC_MESSAGES/id_ID.po
A	install/lang/ta_IN/LC_MESSAGES/ta_IN.mo
A	install/lang/ta_IN/LC_MESSAGES/ta_IN.po
A	install/lang/vi_VN/LC_MESSAGES/vi_VN.mo
A	install/lang/vi_VN/LC_MESSAGES/vi_VN.po
M	lang/new_language_template/LC_MESSAGES/empty.po

2018-03-16 08:10:31 +0100 Joe Hunt 
Ref. edit boxes has been extended to show 16 instead of 10 chars.
M	includes/ui/ui_input.inc

2018-03-14 14:37:33 +0100 Joe Hunt 
Wrong error message in Save Items.
M	inventory/includes/db/items_db.inc

2018-03-11 23:18:55 +0100 Joe Hunt 
Rollback of last Ajax Inquiry Fixes.
M	includes/ui/ui_view.inc
M	js/inserts.js

2018-03-08 15:24:10 +0100 Joe Hunt 
Ajax Inquiry Fixes (Braatwaate).
M	includes/ui/ui_view.inc
M	js/inserts.js

2018-03-08 15:08:07 +0100 Joe Hunt 
Changed GL Inquiry to also include the Reference Number.
M	gl/inquiry/gl_account_inquiry.php

2018-03-04 14:27:29 +0100 Joe Hunt 
Open Balance bug in rep101.php (Customers Balance)
M	reporting/rep101.php

2018-02-05 23:34:23 +0100 Joe Hunt 
Fixed a minor weird bug in QOH in inventory Planning Report
M	reporting/rep302.php

2018-02-03 22:43:55 +0100 Joe Hunt 
Better check for fixed assets.
M	fixed_assets/process_depreciation.php

2018-02-03 12:11:08 +0100 Janusz Dobrowolski 
Fixed fallback mode entry on non-js browsers.
M	access/login.php

2018-02-03 12:09:56 +0100 Janusz Dobrowolski 
Added POS name in cash payment memo.
M	sales/includes/db/sales_invoice_db.inc

2018-02-03 11:56:45 +0100 Janusz Dobrowolski 
Reconcile Bank Account: added memo display, added Reconcile All button.
M	gl/bank_account_reconcile.php
M	gl/includes/db/gl_db_bank_accounts.inc

2018-02-03 11:26:30 +0100 Janusz Dobrowolski 
Bank Payment: for selected supplier payment set supplier account dimensions.
M	gl/includes/ui/gl_bank_ui.inc
M	purchasing/includes/db/suppliers_db.inc

2018-02-03 10:48:30 +0100 Janusz Dobrowolski 
GL Inquiry: search by memo, added journal edition link.
M	gl/includes/db/gl_db_trans.inc
M	gl/inquiry/gl_account_inquiry.php

2018-02-03 10:14:39 +0100 Janusz Dobrowolski 
Journal Edition: allow edit reconciliation status for bank related journals.
M	gl/gl_journal.php
M	gl/includes/db/gl_db_bank_trans.inc
M	gl/includes/ui/gl_journal_ui.inc

2018-02-03 09:37:51 +0100 Janusz Dobrowolski 
Sales Order Entry: initial item selector position points to last ordered item (seems to be more useful than always selecting first item in selector).
M	sales/includes/db/sales_order_db.inc
M	sales/includes/ui/sales_order_ui.inc

2018-01-27 16:18:17 +0100 Janusz Dobrowolski 
Void a Transaction: keeping date unchanged after transaction voiding to allow continuation on date.
M	admin/void_transaction.php

2018-01-29 20:55:33 +0100 Joe Hunt 
Rerun of Sales Orders Status with zero decimals in amounts.
M	reporting/rep105.php

2018-01-29 13:42:21 +0100 Joe Hunt 
Added a Total Amount for Sales Orders Report and a Grand Total.
M	reporting/rep105.php

2018-01-20 12:23:46 +0100 Joe Hunt 
Fixed redundant $sign in reports Sales Order, Sales Quotation and Purchase Order
M	reporting/rep109.php
M	reporting/rep111.php
M	reporting/rep209.php

2018-01-20 01:53:22 +0100 Joe Hunt 
Fixed a Shipping bug in Sales Order Report
M	reporting/rep110.php

2018-01-16 09:09:20 +0100 Janusz Dobrowolski 
Added deferred income account and prepayment terms in init sql files.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2018-01-15 12:36:26 +0100 Janusz Dobrowolski 
Refreshed sql init files. Happy New Year!
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2018-01-13 18:47:24 +0100 Janusz Dobrowolski 
Fixed bank account auto-selection in Customer Payments (continued).
M	sales/customer_payments.php

2018-01-13 14:14:42 +0100 Joe Hunt 
Merge branch 'master' of https://git.code.sf.net/p/frontaccounting/git
2018-01-13 14:14:24 +0100 Joe Hunt 
Fixed printing sequences of Sales Invoices.
M	reporting/rep107.php

2018-01-13 12:41:28 +0100 Janusz Dobrowolski 
Fixed account auto-selection on Customer Payments page.
M	sales/customer_payments.php

2018-01-04 23:45:57 +0100 Joe Hunt 
Fixed a multipart form in backups.
M	admin/backups.php

2017-12-24 08:12:09 +0100 Joe Hunt 
Extra default parameter added to meta_forward function.
M	includes/ui/ui_controls.inc

2017-12-23 23:51:24 +0100 Joe Hunt 
tax group can be null as argument
M	taxes/db/tax_groups_db.inc

2017-12-23 15:45:53 +0100 Joe Hunt 
Sales Area list, added 'No Area Filter'.
M	includes/ui/ui_lists.inc
M	reporting/includes/reports_classes.inc

2017-12-23 09:50:11 +0100 Joe Hunt 
Card Session Error and Fix.
M	sales/includes/sales_ui.inc

2017-12-22 09:33:22 +0100 Joe Hunt 
Rerun of Company Logo On Reports. Better Logo align.
M	reporting/includes/pdf_report.inc

2017-12-21 08:13:56 +0100 Joe Hunt 
subledger_list shows inactive records in Journal Entry. Fixed.
M	includes/ui/ui_lists.inc

2017-12-19 13:10:01 +0100 Janusz Dobrowolski 
Password field in installer changed to hide text.
M	install/index.php

2017-12-19 13:01:44 +0100 Janusz Dobrowolski 
Added VARLIB_PATH and VARLOG_PATH defines to simplify packaging.
M	admin/includes/fa_patch.class.inc
M	admin/inst_upgrade.php
M	admin/view/view_upgrade_log.php
M	config.default.php
M	gl/includes/db/gl_db_rates.inc
M	includes/packages.inc
M	includes/session.inc
M	includes/system_tests.inc
M	install/isession.inc

2017-12-16 14:40:37 +0100 Janusz Dobrowolski 
Produce Finished Items: fixed broken document reference (changed input order).
M	manufacturing/work_order_add_finished.php

2017-12-15 19:14:49 +0100 Janusz Dobrowolski 
Work Order Entry, Work Order Additional Costs: fixed input data checks.
M	manufacturing/work_order_costs.php
M	manufacturing/work_order_entry.php

2017-12-15 18:44:52 +0100 Janusz Dobrowolski 
Stock Status display, Manufacturing Reports: fixed products on WO count.
M	includes/db/manufacturing_db.inc
M	reporting/rep303.php

2017-12-19 09:35:41 +0100 Joe Hunt 
Installed Third Party extension version display
M	admin/inst_module.php

2017-12-18 07:55:01 +0100 Joe Hunt 
Rerun, Inventory purchasing transaction based report.
M	reporting/rep310.php

2017-12-15 08:58:00 +0100 Joe Hunt 
New Report: Inventory purchasing transaction based report
A	reporting/rep310.php
M	reporting/reports_main.php

2017-12-15 08:00:00 +0100 Joe Hunt 
Installing third party extensions broken and FIX
M	includes/packages.inc

2017-12-13 23:32:31 +0100 Janusz Dobrowolski 
System Diagnostics: fixed set of tested themes directories.
M	includes/system_tests.inc

2017-12-12 22:45:03 +0100 Joe Hunt 
Google and Bloomberg Exchange Rate fix. Addendum.
M	gl/includes/db/gl_db_rates.inc

2017-12-12 08:26:44 +0100 Joe Hunt 
Bloomberg Exchange Rate fix
M	gl/includes/db/gl_db_rates.inc

2017-12-09 09:49:00 +0100 Joe Hunt 
Inventory Valuation Report showing 0 (zero) on Unit Cost and decimal precision fix.
M	includes/current_user.inc
M	reporting/rep301.php
M	reporting/rep308.php

2017-12-06 14:29:45 +0100 Joe Hunt 
Rerun of System Checks.
M	includes/system_tests.inc

2017-12-01 20:53:46 +0100 Janusz Dobrowolski 
Backups/Restore: fixed compressed backup view, fixed obsolete ajax indicator during download.
M	admin/backups.php
M	includes/ui/ui_input.inc
M	js/inserts.js

2017-11-27 09:37:22 +0100 Joe Hunt 
Account Class/Group drill down added according to Apmuthu.
M	gl/manage/gl_account_classes.php
M	gl/manage/gl_account_types.php
M	gl/manage/gl_accounts.php
M	includes/ui/ui_lists.inc

2017-11-27 00:09:15 +0100 Joe Hunt 
Adapting to google's error when getting exchange rates. Fixed.
M	gl/includes/db/gl_db_rates.inc

2017-11-25 10:00:46 +0100 Joe Hunt 
Misleading on system diagnostics (MariaDB), fixed.
M	includes/system_tests.inc

2017-11-23 09:10:07 +0100 Janusz Dobrowolski 
Fixed regression introduced with sales transaction rounding fix.
M	sales/includes/db/sales_delivery_db.inc

2017-11-23 08:10:01 +0100 Joe Hunt 
Rerun Barcodes, missing files, wrong name.
M	sql/alter2.4.php
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2017-11-23 00:12:27 +0100 Joe Hunt 
New Company Setup 'Barcodes On Stock' implemented. Rep303 shows barcodes if set.
M	admin/company_preferences.php
M	inventory/manage/items.php
M	reporting/includes/barcodes.php
M	reporting/rep303.php
M	sql/alter2.4.php

2017-11-19 08:12:28 +0100 Joe Hunt 
Sort Chart of Accounts by name. Fixed.
M	admin/inst_chart.php

2017-11-17 08:48:09 +0100 Janusz Dobrowolski 
Fixed rounding differences (continued).
M	sales/includes/db/sales_delivery_db.inc

2017-11-16 19:56:08 +0100 Janusz Dobrowolski 
Fixed rounding differences in sales delivery and invoice.
M	sales/includes/db/sales_delivery_db.inc

2017-11-16 08:25:27 +0100 Joe Hunt 
0004082: Missing file errors and fix
M	includes/current_user.inc
M	includes/hooks.inc
M	includes/session.inc

2017-11-13 14:51:30 +0100 Joe Hunt 
White screen on Supplier Invoices and Supplier Credit Notes. Fixed.
M	purchasing/supplier_credit.php
M	purchasing/supplier_invoice.php

2017-11-10 14:58:14 +0100 Joe Hunt 
Bug in php 7.1 when using $go_debug>0 in config.php. Only a warning. Work around.
M	includes/current_user.inc

2017-11-10 11:41:39 +0100 Joe Hunt 
Updated main repo git url.
M	README.md

2017-11-09 22:45:08 +0100 Janusz Dobrowolski 
Updated gettext template.
M	lang/new_language_template/LC_MESSAGES/empty.po

2017-11-09 15:29:49 +0100 Joe Hunt 
Release 2.4.3.
M	CHANGELOG.txt
M	version.php

2017-11-06 12:21:25 +0100 Janusz Dobrowolski 
Workaround for segfaults in some buggy php encoding library versions.
M	includes/db/connect_db_mysqli.inc
M	includes/page/header.inc
M	includes/ui/ui_input.inc
M	inventory/manage/item_units.php

2017-11-02 00:46:09 +0100 Janusz Dobrowolski 
Fixed memory limit during database export.
M	admin/db/maintenance_db.inc

2017-10-13 21:18:19 +0200 Janusz Dobrowolski 
PHP7 compatibility fixes.
M	admin/includes/fa_patch.class.inc
M	applications/application.php
M	applications/customers.php
M	applications/dimensions.php
M	applications/fixed_assets.php
M	applications/generalledger.php
M	applications/inventory.php
M	applications/manufacturing.php
M	applications/setup.php
M	applications/suppliers.php
M	frontaccounting.php
M	includes/JsHttpRequest.php
M	includes/ajax.inc
M	includes/archive.inc
M	includes/current_user.inc
M	includes/db/class.data_set.inc
M	includes/db/class.reflines_db.inc
M	includes/db_pager.inc
M	includes/errors.inc
M	includes/lang/language.inc
M	includes/packages.inc
M	includes/prefs/sysprefs.inc
M	includes/prefs/userprefs.inc
M	includes/references.inc
M	includes/session.inc
M	includes/ui/allocation_cart.inc
M	includes/ui/class.crud_view.inc
M	includes/ui/class.reflines_crud.inc
M	includes/ui/contacts_view.inc
M	includes/ui/items_cart.inc
M	includes/ui/simple_crud_class.inc
M	purchasing/includes/po_class.inc
M	purchasing/includes/supp_trans_class.inc
M	reporting/includes/Workbook.php
M	reporting/includes/barcodes.php
M	reporting/includes/class.graphic.inc
M	reporting/includes/class.mail.inc
M	reporting/includes/class.pdf.inc
M	reporting/includes/excel_report.inc
M	reporting/includes/fpdi/decoders/ASCII85Decode.php
M	reporting/includes/fpdi/decoders/LZWDecode.php
M	reporting/includes/fpdi/fpdi_pdf_parser.php
M	reporting/includes/fpdi/pdf_context.php
M	reporting/includes/fpdi/pdf_parser.php
M	reporting/includes/pdf_report.inc
M	reporting/includes/printer_class.inc
M	reporting/includes/reports_classes.inc
M	reporting/includes/tcpdf.php
M	sales/includes/cart_class.inc
M	sql/alter2.1.php
M	sql/alter2.2.php
M	sql/alter2.3.php
M	sql/alter2.4.php
M	sql/alter2.4rc1.php

2017-11-07 15:27:29 +0100 Joe Hunt 
Rerun of Manufactored Items, Dashboard. Produced Items.
M	includes/dashboard.inc

2017-11-07 14:26:49 +0100 Joe Hunt 
Top manufactored dashboard shows wrong statistics. Fixed
M	includes/dashboard.inc

2017-11-07 08:21:07 +0100 Joe Hunt 
Default Credit Limit should be changed to price format.
M	admin/gl_setup.php

2017-11-01 13:07:21 +0100 Joe Hunt 
Wrong colspan in supplier credit note. Fixed.
M	purchasing/includes/ui/invoice_ui.inc

2017-11-01 11:46:11 +0100 Joe Hunt 
Fixing bug in Customer Inquiry and Supplier Inquiry
M	purchasing/inquiry/supplier_inquiry.php
M	sales/inquiry/customer_inquiry.php

2017-10-31 09:58:09 +0100 Joe Hunt 
Merge branch 'master' of https://git.code.sf.net/p/frontaccounting/git
2017-10-31 09:57:56 +0100 Joe Hunt 
Fixed Tax Report on Screen.
M	gl/includes/db/gl_db_trans.inc
M	gl/inquiry/tax_inquiry.php

2017-10-31 09:11:36 +0100 Janusz Dobrowolski 
Change on debtor_trans/supp_trans keys added in 2.4/2.4rc upgrade scripts
M	sql/alter2.4.sql
M	sql/alter2.4rc1.sql

2017-10-30 22:19:52 +0100 Janusz Dobrowolski 
Set NOT NULL on debtor_trans/supp_trans primary key fields.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2017-10-30 21:36:46 +0100 Joe Hunt 
Voiding cleanup.
M	admin/void_transaction.php

2017-10-29 12:01:31 +0100 Janusz Dobrowolski 
Items: fixed item tax type selector to exclude inactive item tax types.
M	includes/ui/ui_lists.inc
M	inventory/manage/items.php
M	taxes/db/item_tax_types_db.inc

2017-10-29 10:51:03 +0100 Joe Hunt 
On the fly editing (F2, F3 and F4) fix.
M	purchasing/manage/suppliers.php
M	sales/manage/customers.php

2017-10-28 10:27:23 +0200 Janusz Dobrowolski 
Fixed supp_trans primary keys, rerun.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2017-10-27 12:30:06 +0200 Janusz Dobrowolski 
Fixed supp_trans primary key.
M	sql/en_US-demo.sql

2017-10-27 09:06:42 +0200 Janusz Dobrowolski 
Fixed debtor_trans primary key to allow multiply AR accounts in journal transactions.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2017-10-27 08:59:58 +0200 Janusz Dobrowolski 
Removed sparse code line in hooks.inc
M	includes/hooks.inc

2017-10-27 01:03:42 +0200 Joe Hunt 
Add Items on the Fly. Behavior Changed in FA24. Fixed.
M	inventory/manage/items.php

2017-10-26 05:36:59 +0200 Joe Hunt 
Merge branch 'master' of https://git.code.sf.net/p/frontaccounting/git
2017-10-26 05:36:30 +0200 Joe Hunt 
Fixed FA2.4.2 error getting exchange rate from Google
M	gl/includes/db/gl_db_rates.inc

2017-10-13 10:31:04 +0200 Janusz Dobrowolski 
Supplier Inquiry/Customer Inquiry: removed inconsistency in unsettled/overdue transactions.
M	includes/ui/ui_lists.inc
M	lang/new_language_template/LC_MESSAGES/empty.po
M	purchasing/includes/db/supp_trans_db.inc
M	purchasing/includes/db/suppliers_db.inc
M	purchasing/inquiry/supplier_inquiry.php
M	sales/includes/db/cust_trans_db.inc
M	sales/includes/db/customers_db.inc
M	sales/inquiry/customer_inquiry.php

2017-10-13 11:04:22 +0200 Janusz Dobrowolski 
Added prepayment amount invoiced in Prepayment Invoice view.
M	sales/view/view_invoice.php

2017-10-13 16:10:17 +0200 Joe Hunt 
A bug in Customer Allocations fixed.
M	sales/allocations/customer_allocate.php
M	sales/allocations/customer_allocation_main.php
M	sales/includes/db/custalloc_db.inc
M	sales/inquiry/customer_allocation_inquiry.php
M	sales/inquiry/customer_inquiry.php

2017-10-12 17:05:21 +0200 Joe Hunt 
Fixed Bug in includes\ui\ui_input.inc
M	includes/ui/ui_input.inc

2017-10-10 10:04:33 +0200 Janusz Dobrowolski 
Fixed reference number referesh on conflict during concurrent sales documents entry.
M	sales/sales_order_entry.php

2017-10-09 15:20:35 +0200 Joe Hunt 
Fixed Undefined variable: site_ip in file.
M	gl/includes/db/gl_db_rates.inc

2017-10-09 10:21:21 +0200 Janusz Dobrowolski 
Fixed bug in exchange rate display helper.
M	includes/ui/ui_view.inc

2017-10-04 22:07:19 +0200 Joe Hunt 
Searching Journal Inquiry by user not working? FA 2.4.2.
M	gl/inquiry/journal_inquiry.php

2017-10-03 00:11:33 +0200 Joe Hunt 
Fixed After successful Backup, loader.gif still present
M	admin/backups.php

2017-10-02 14:37:18 +0200 Joe Hunt 
Fixed Bug in includes\ui\ui_controls.inc
M	includes/ui/ui_controls.inc

2017-10-02 07:57:45 +0200 Joe Hunt 
Optimised get_company_pref()
M	admin/db/company_db.inc

2017-10-01 23:03:41 +0200 Joe Hunt 
Fixed user config values unavailable error generated before user login
M	includes/current_user.inc

2017-09-29 13:29:49 +0200 Joe Hunt 
Test for open_ssl in extensions.
M	includes/packages.inc

2017-09-28 18:06:56 +0200 Joe Hunt 
Cleanup in gl_db_trans.inc
M	gl/includes/db/gl_db_trans.inc

2017-09-28 00:40:59 +0200 Joe Hunt 
The variable $show_voided_gl_trans has been removed. Not used in 2.4.
M	config.default.php

2017-09-27 23:53:16 +0200 Joe Hunt 
Better wrapping on comments in documents.
M	reporting/rep107.php
M	reporting/rep109.php
M	reporting/rep110.php
M	reporting/rep111.php
M	reporting/rep113.php
M	reporting/rep209.php
M	sales/includes/sales_ui.inc

2017-09-22 23:36:38 +0200 Joe Hunt 
Bug in presenting ST_JOURNAL in AR/AP Reports.
M	reporting/rep108.php
M	sales/includes/db/customers_db.inc

2017-09-21 00:38:26 +0200 Joe Hunt 
Right align numbers in inquiries and lists.
M	includes/ui/allocation_cart.inc
M	inventory/inquiry/stock_movements.php
M	purchasing/allocations/supplier_allocation_main.php
M	purchasing/includes/ui/invoice_ui.inc
M	purchasing/inquiry/po_search_completed.php
M	purchasing/inquiry/supplier_allocation_inquiry.php
M	purchasing/inquiry/supplier_inquiry.php
M	sales/allocations/customer_allocation_main.php
M	sales/create_recurrent_invoices.php
M	sales/inquiry/customer_allocation_inquiry.php
M	sales/inquiry/sales_deliveries_view.php
M	sales/inquiry/sales_orders_view.php
M	sales/manage/recurrent_invoices.php
M	sales/manage/sales_groups.php

2017-09-20 20:23:38 +0200 Janusz Dobrowolski 
Fixed bug in reallocation payments during purchase invoice edition.
M	purchasing/includes/db/invoice_db.inc

2017-09-20 16:16:14 +0200 Joe Hunt 
Right align numbers in customer inquiry.
M	sales/inquiry/customer_inquiry.php

2017-09-19 08:18:16 +0200 Joe Hunt 
Bug in rep108 (and 101) when using Journal Entry for making entries in AR account.
M	includes/ui/items_cart.inc

2017-09-17 11:52:23 +0200 Joe Hunt 
New Company Option for showing both Short Names and Names in Customer/Supplier lists.
M	admin/company_preferences.php
M	includes/ui/ui_lists.inc
M	sql/alter2.4.php
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2017-09-09 13:58:40 +0200 Joe Hunt 
Profit and Loss Statement. Compensate for to-date = leap-year in period compare.
M	reporting/rep707.php

2017-09-08 09:52:57 +0200 Joe Hunt 
Added the new Company Logo on Reports in default files.
M	sql/alter2.4.php
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2017-09-07 14:30:30 +0200 Janusz Dobrowolski 
Sales Invoice: fixed tax included amount position.
M	reporting/rep107.php

2017-09-05 11:30:54 +0200 Joe Hunt 
Rerun company_preferences.php. Company Logo on Reports.
M	admin/company_preferences.php

2017-09-05 08:58:11 +0200 Joe Hunt 
Option for showing company logo on reports. On company base.
M	admin/company_preferences.php
M	config.default.php
M	reporting/includes/pdf_report.inc

2017-09-04 23:16:49 +0200 Joe Hunt 
Option for Logo on Reports.
M	config.default.php
M	reporting/includes/pdf_report.inc

2017-09-02 23:15:40 +0200 Janusz Dobrowolski 
Fixed bug in product average cost calculations.
M	manufacturing/includes/db/work_order_produce_items_db.inc

2017-08-31 21:37:57 +0200 Joe Hunt 
Group Total in Trial Balance on Screen.
M	gl/inquiry/gl_trial_balance.php

2017-08-30 08:26:50 +0200 Joe Hunt 
Old Sales Quote Reference Fix
M	sales/includes/cart_class.inc
M	sales/view/view_sales_order.php

2017-08-29 17:01:23 +0200 Joe Hunt 
Fixed Logical Bug in Customer Balances Report.
M	reporting/rep101.php

2017-08-28 21:16:12 +0200 Joe Hunt 
Fix for too many parameters in submit_return.
M	inventory/manage/items.php

2017-08-28 21:15:36 +0200 Joe Hunt 
Fix in Popup Customer Window. Extended width to 700.
M	includes/ui/ui_controls.inc

2017-08-28 21:13:47 +0200 Joe Hunt 
Fix in date2sql function.
M	includes/date_functions.inc

2017-08-28 13:23:22 +0200 Janusz Dobrowolski 
Fixed invalid reference number update in document edition.
M	includes/ui/ui_input.inc

2017-08-04 18:30:32 +0200 Janusz Dobrowolski 
[0003964] Fixed bug in voiding GRN.
M	admin/void_transaction.php

2017-07-31 10:35:03 +0200 Joe Hunt 
db_version was changed by mistake. Should remain at 2.4.1.
M	version.php

2017-07-30 15:47:59 +0200 Joe Hunt 
Release 2.4.2
M	CHANGELOG.txt
M	version.php

2017-07-30 13:15:04 +0200 Joe Hunt 
0003954: RB not correct in Customer Transactions Inquiry. Removed RB from customer transactions.
M	sales/includes/db/cust_trans_db.inc
M	sales/inquiry/customer_inquiry.php

2017-07-30 12:57:08 +0200 Joe Hunt 
0003961: Undefined variables used during journal modify (tax included)
M	gl/gl_journal.php
M	purchasing/includes/db/grn_db.inc

2017-07-30 12:12:52 +0200 Joe Hunt 
0003962: in Inventory Purchasing Report the result is wrongly showing.
M	purchasing/includes/db/grn_db.inc

2017-07-27 20:25:47 +0200 Janusz Dobrowolski 
Updated language templates.
M	install/lang/new_language_template/LC_MESSAGES/empty.po
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.mo
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.po
M	lang/new_language_template/LC_MESSAGES/empty.po

2017-07-27 08:30:59 +0200 Joe Hunt 
Database connection issue with non standard port.
M	admin/create_coy.php
M	admin/db/maintenance_db.inc
M	includes/db/connect_db_mysql.inc
M	includes/db/connect_db_mysqli.inc
M	install/index.php
M	install/lang/new_language_template/LC_MESSAGES/empty.po
M	lang/new_language_template/LC_MESSAGES/empty.po

2017-07-26 08:07:30 +0200 Joe Hunt 
undefined myrow ['trans_type'] when updating sales order
M	sales/includes/db/sales_order_db.inc

2017-07-20 22:01:17 +0200 Joe Hunt 
Changing $use_costed_value to 1 instead of 0. Used in Inventory Valuation report.
M	config.default.php

2017-06-30 00:55:14 +0200 Joe Hunt 
0003921: Bug in Tax Groups fixed.
M	taxes/tax_groups.php

2017-06-28 02:34:10 +0200 Joe Hunt 
Quick Entries. Wrong number of QE rows in presentation. Fixed.
M	gl/manage/gl_quick_entries.php

2017-06-26 23:48:14 +0200 Joe Hunt 
Double escape of slash in translatable js strings. Fixed.
M	lang/new_language_template/LC_MESSAGES/empty.po

2017-06-19 16:26:56 +0200 Janusz Dobrowolski 
Additional fix to last commit.
M	purchasing/inquiry/supplier_inquiry.php

2017-06-18 19:45:33 +0200 Janusz Dobrowolski 
Fixed document total presentation in customer/supplier transaction inquiries.
M	purchasing/inquiry/supplier_inquiry.php
M	sales/includes/db/cust_trans_db.inc
M	sales/inquiry/customer_inquiry.php

2017-06-18 07:48:35 +0200 erling 
0003896: Fixed Assets valuation report, location parameter not working
M	reporting/rep451.php

2017-06-14 23:33:29 +0200 Janusz Dobrowolski 
Fixed payments reallocation for prepayment orders; blocked edition for open prepayment orders.
M	includes/db/allocations_db.inc
M	lang/new_language_template/LC_MESSAGES/empty.po
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/db/po_db.inc
M	sales/customer_invoice.php
M	sales/includes/cart_class.inc
M	sales/includes/db/sales_invoice_db.inc
M	sales/includes/db/sales_order_db.inc
M	sales/includes/sales_db.inc
M	sales/inquiry/sales_orders_view.php
M	sales/sales_order_entry.php

2017-06-08 11:31:28 +0200 Joe Hunt 
0003876: Notice: Trying to get property of non-object in C:\Apache24\htdocs\frontaccounting\includes\errors.inc on line 74
M	includes/errors.inc

2017-06-08 08:34:47 +0200 Joe Hunt 
Fixed dashboard page in Setup tab. Mixing customers in the Supplier diagram.
M	includes/dashboard.inc

2017-06-08 08:32:44 +0200 Joe Hunt 
Fixed more rows when reporting to Excel Reports. Greater then 65535 rows.
M	reporting/includes/Workbook.php
M	reporting/includes/excel_report.inc

2017-06-02 12:15:41 +0200 Janusz Dobrowolski 
Now stable version is 2.4
2017-05-22 15:38:16 +0200 Joe Hunt 
Changed update.html file.
M	update.html

2017-05-22 15:23:07 +0200 Joe Hunt 
Rerun en_US-demo.sql.
M	sql/en_US-demo.sql

2017-05-22 15:21:30 +0200 Joe Hunt 
Rerun en_US-demo.sql.
M	sql/en_US-demo.sql

2017-05-22 14:47:32 +0200 Joe Hunt 
Merge branch 'unstable' of ssh://git.code.sf.net/p/frontaccounting/git into unstable
2017-05-22 14:46:45 +0200 Joe Hunt 
Release 2.4.1
M	CHANGELOG.txt
M	sql/en_US-demo.sql
M	sql/en_US-new.sql
M	version.php

2017-05-22 14:45:02 +0200 Joe Hunt 
Release 2.3.26 (Final)
M	CHANGELOG.txt
M	sql/en_US-demo.sql
M	sql/en_US-new.sql
M	version.php

2017-05-22 10:55:30 +0200 Janusz Dobrowolski 
Fixed time zone setting in default config file.
M	config.default.php

2017-05-21 18:19:30 +0200 Joe Hunt 
Built-in Dashboard doesn't work after $hide_inaccessible_menu_items in config.php is set 1 (and there are disabled apps).
M	includes/dashboard.inc

2017-05-19 21:55:10 +0200 Joe Hunt 
Sales type bug in tax_included (persistent on)
M	sales/manage/sales_types.php

2017-05-19 21:53:28 +0200 Joe Hunt 
Sales type potential bug in tax_included (persistent on)
M	sales/manage/sales_types.php

2017-05-19 14:04:16 +0200 Joe Hunt 
Dedeted doc/CHANGELOG.old.txt. Not neede any more.
D	doc/CHANGELOG.old.txt

2017-05-19 14:02:50 +0200 Joe Hunt 
Deleted doc/CHANGELOG.old.txt. Not needed any more.
D	doc/CHANGELOG.old.txt

2017-05-19 12:28:20 +0200 Joe Hunt 
Merge branch 'unstable' of ssh://git.code.sf.net/p/frontaccounting/git into unstable
2017-05-19 12:27:41 +0200 Joe Hunt 
0003761: Reorder email is not sent for items used work order. Fixed.
M	manufacturing/includes/db/work_order_costing_db.inc

2017-05-19 12:25:49 +0200 Joe Hunt 
0003761: Reorder email is not sent for items used work order. Fixed
M	manufacturing/includes/db/work_orders_quick_db.inc

2017-05-18 22:02:12 +0200 Janusz Dobrowolski 
[0003780] Sales Invoice to partial delivery was improperly issued as final prepayment invoice.
M	sales/customer_invoice.php
M	sales/includes/cart_class.inc
M	sales/includes/db/sales_invoice_db.inc
M	sales/includes/ui/sales_order_ui.inc
M	sales/sales_order_entry.php

2017-05-17 23:47:26 +0200 Joe Hunt 
0003871: [Fixed Assets] new patch fix for: 0003866, 0003869
M	fixed_assets/includes/fixed_assets_db.inc
M	fixed_assets/inquiry/stock_inquiry.php
M	includes/db_pager.inc
M	includes/ui/db_pager_view.inc
M	reporting/rep451.php

2017-05-15 16:22:21 +0200 Joe Hunt 
0003789: Comments is cut off when actual invoice is printed. Maximized to 130 characters.
M	reporting/includes/reports_classes.inc

2017-05-15 15:08:39 +0200 Joe Hunt 
Rerun. 0003864: [Fixed Assets] GL Transactions for Fixed Asset Sales are wrong (patch provided)
M	sales/includes/db/sales_delivery_db.inc

2017-05-15 08:48:53 +0200 Joe Hunt 
Improvements to dashboard.
M	includes/dashboard.inc

2017-05-15 08:25:39 +0200 Joe Hunt 
0003862: Straight Line Depreciation value calculation is wrong 0003863: Fixed Assets Valuation Report Includes inactive Items with Valuation 0003864: [Fixed Assets] GL Transactions for Fixed Asset Sales are wrong (patch provided)
M	fixed_assets/includes/depreciation.inc
M	includes/db/inventory_db.inc
M	sales/includes/db/sales_delivery_db.inc

2017-05-14 21:21:33 +0200 Joe Hunt 
Optimized Inventory Valuation Reports, 301 and 308.
M	reporting/rep301.php
M	reporting/rep308.php

2017-05-14 21:18:19 +0200 Joe Hunt 
Optimized Inventory Valuation Reports, 301 and 308.
M	reporting/rep301.php
M	reporting/rep308.php

2017-05-12 18:02:36 +0200 Joe Hunt 
Added a small Arabic font file and improved the builtin DashBoard.
M	config.default.php
M	includes/dashboard.inc
A	reporting/fonts/zarnormal.ttf
M	reporting/includes/class.graphic.inc

2017-05-11 13:40:13 +0200 Joe Hunt 
Merge branch 'unstable' of ssh://git.code.sf.net/p/frontaccounting/git into unstable
2017-05-11 13:39:42 +0200 Joe Hunt 
Customer/Supplier Balances Report | Allocated column not showing correctly. Fixed.
M	reporting/rep101.php
M	reporting/rep201.php

2017-05-11 13:35:19 +0200 Joe Hunt 
Customer/Supplier Balances Report | Allocated column not showing correctly. Fixed.
M	reporting/rep101.php
M	reporting/rep201.php

2017-05-02 21:59:12 +0200 Janusz Dobrowolski 
[0003795] Fixed incorrect GL postings for cash purchase invoices.
M	purchasing/includes/db/supp_payment_db.inc

2017-05-02 08:38:21 +0200 Joe Hunt 
0003816: Customer Credit Note (stand alone) does not restore inventory
M	sales/includes/db/sales_credit_db.inc

2017-03-19 15:26:09 +0100 Janusz Dobrowolski 
Additional fix to previous commit.
M	reporting/prn_redirect.php

2017-03-19 15:25:15 +0100 Janusz Dobrowolski 
Additional fix to previous commit.
M	reporting/prn_redirect.php

2017-03-19 14:41:39 +0100 ApMuthu 
Fixed problems with excel report generation.
M	includes/main.inc
M	reporting/prn_redirect.php

2017-03-19 14:39:50 +0100 Janusz Dobrowolski 
Additional fix to unique filenames.
M	includes/dashboard.inc

2017-03-19 14:32:53 +0100 ApMuthu 
Fixed problems with excel report generation.
M	includes/main.inc
M	reporting/prn_redirect.php

2017-03-18 15:52:46 +0100 Janusz Dobrowolski 
Improved entropy for report file urls.
M	admin/attachments.php
M	includes/main.inc
M	includes/ui/ui_controls.inc
M	reporting/includes/excel_report.inc
M	reporting/includes/pdf_report.inc
M	reporting/rep102.php
M	reporting/rep202.php
M	reporting/rep706.php
M	reporting/rep707.php

2017-03-18 15:56:19 +0100 Janusz Dobrowolski 
Improved entropy for report file urls.
M	admin/attachments.php
M	includes/main.inc
M	includes/ui/ui_controls.inc
M	reporting/includes/excel_report.inc
M	reporting/includes/pdf_report.inc
M	reporting/rep102.php
M	reporting/rep202.php
M	reporting/rep706.php
M	reporting/rep707.php

2017-01-17 11:47:56 +0100 Janusz Dobrowolski 
Fixed buggy prefix in sql query in 2.1 upgrade class.
M	sql/alter2.1.php

2017-01-18 15:59:57 +0100 Joe Hunt 
Fixed an array_combine object issue.
M	includes/main.inc
M	includes/ui/ui_lists.inc

2017-01-18 15:52:40 +0100 Joe Hunt 
Missing Changelog
A	CHANGELOG.txt

2017-01-18 15:45:47 +0100 Joe Hunt 
Missing changelog.
D	CHANGELOG.txt

2017-01-18 15:32:57 +0100 Joe Hunt 
Fixed an array_combine object issue.
M	includes/ui/ui_lists.inc

2017-01-15 19:22:16 +0100 Janusz Dobrowolski 
[0003733] Fixed php7 compatibility issue.
M	frontaccounting.php

2017-01-15 18:28:20 +0100 Janusz Dobrowolski 
[0003658] Errors during reference line edition when no table prefix is used.
M	includes/db/class.reflines_db.inc

2016-12-23 08:57:23 +0100 Joe Hunt 
Bug submitting forms in FA 2.4.x when checkbox field not changed. Fixed
M	includes/ui/ui_input.inc

2016-12-23 08:56:18 +0100 Joe Hunt 
Bug submitting forms in FA 2.3.x when checkbox field not changed. Fixed
M	includes/ui/ui_input.inc

2016-12-03 23:15:02 +0100 Joe Hunt 
Rerun Items Summary Report
M	reporting/rep309.php

2016-12-03 23:14:30 +0100 Joe Hunt 
Rerun Items Summary Report fix
M	reporting/rep309.php

2016-11-29 16:20:32 +0100 Joe Hunt 
Fixed A Bug in Item Sales Summary Report
M	reporting/rep309.php

2016-11-29 16:19:27 +0100 Joe Hunt 
Fixed A Bug in Item Sales Summary Report
M	reporting/rep309.php

2016-11-28 23:14:44 +0100 Joe Hunt 
0003667: supplier payment link after entering supplier invoice result. Fixed.
M	purchasing/supplier_invoice.php

2016-11-18 14:30:47 +0100 Joe Hunt 
Merge branch 'unstable' of ssh://git.code.sf.net/p/frontaccounting/git into unstable
2016-11-18 14:30:11 +0100 Joe Hunt 
0003667: supplier payment link after entering supplier invoice resultes in erro. Fixed.
M	purchasing/supplier_invoice.php

2016-11-14 12:15:42 +0100 Janusz Dobrowolski 
Cleanup in sales_invoice_db.inc (obsolete parameteres in update_debtor_trans_allocation calls)
M	sales/includes/db/sales_invoice_db.inc

2016-09-06 12:34:03 +0200 Janusz Dobrowolski 
Fixed problem with installing third party extension packages.
M	includes/packages.inc

2016-09-06 08:55:51 +0200 Joe Hunt 
Increased space for built in number columns etc. in reports.
M	reporting/rep101.php
M	reporting/rep201.php
M	reporting/rep203.php
M	reporting/rep601.php
M	reporting/rep602.php
M	reporting/rep701.php
M	reporting/rep706.php
M	reporting/rep707.php

2016-01-30 21:50:20 +0700 Cambell 
Added functions for custom css files registered by modules
M	includes/main.inc
M	includes/page/header.inc

2016-02-06 11:32:32 +0700 Cambell 
Supplier Payment: by default bank account is selected to be the same as that used on the last payment for the supplier (if any, or default currency account otherwise).
M	purchasing/includes/db/supp_trans_db.inc
M	purchasing/supplier_payment.php

2016-08-05 15:55:19 +0700 Cambell 
Ajax calls: set the checkbox value = 0 for an unset checkbox rather than skipping the element.
M	js/utils.js

2016-08-06 10:43:40 +0200 Janusz Dobrowolski 
Fixed broken html enities handling in longer TextWrap fields in reports.
M	reporting/includes/class.pdf.inc

2016-08-06 10:36:43 +0200 Joe Hunt 
One comma too much in line 312 /purchasing/manage/suppliers.php. Fixed.
M	purchasing/manage/suppliers.php

2016-07-31 23:47:24 +0200 Joe Hunt 
Removed redundant line in reporting/includes/header2.inc.
M	reporting/includes/header2.inc

2016-07-26 09:13:39 +0200 Joe Hunt 
Rerun. Dimension is missing in Supplier Invoice View. GL Rows. Apmuthu.
M	purchasing/includes/db/invoice_db.inc

2016-07-26 08:11:54 +0200 Joe Hunt 
Dimension is missing in Supplier Invoice View  GL Rows. Fixed a parameter bug in add_supp_invoice_gl_item.
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/db/invoice_items_db.inc

2016-07-26 07:39:50 +0200 Joe Hunt 
Dimension is missing in Supplier Invoice View, GL Rows.
M	purchasing/includes/db/invoice_db.inc

2016-07-24 14:54:28 +0200 Joe Hunt 
Minor bug in deleting fiscal years. Apmuthu.
M	admin/db/fiscalyears_db.inc

2016-07-24 14:52:49 +0200 Joe Hunt 
Minor bugs in deleting fiscal years. Apmuthu.
M	admin/db/fiscalyears_db.inc

2016-07-15 10:55:11 +0200 Joe Hunt 
Bug 3585. 'Exclude from purchase' function not working in PO.
M	purchasing/includes/ui/po_ui.inc

2016-07-08 08:49:19 +0200 Joe Hunt 
Bug. is_date_closed() should be performed before is_date_in_fiscalyears().
M	admin/void_transaction.php
M	includes/date_functions.inc

2016-05-27 12:10:57 +0200 Joe Hunt 
Rerun. Tabbed dialogs allowed non access pages.
M	purchasing/manage/suppliers.php
M	sales/manage/customers.php

2016-05-27 12:09:47 +0200 Joe Hunt 
Rerun. Tabbed dialogs allowed non access pages.
M	inventory/manage/items.php
M	js/inserts.js
M	purchasing/manage/suppliers.php
M	sales/manage/customers.php

2016-05-27 11:19:00 +0200 Janusz Dobrowolski 
Fixed security check for last tab in tabbed_content.
M	inventory/manage/items.php
M	js/inserts.js

2016-05-27 09:11:57 +0200 Joe Hunt 
Tabbed dialogs allowed non access pages.
M	inventory/manage/items.php
M	purchasing/manage/suppliers.php
M	sales/manage/customers.php

2016-05-27 09:09:22 +0200 Joe Hunt 
Tabbed dialogs allowed non access pages.
M	inventory/manage/items.php
M	purchasing/manage/suppliers.php
M	sales/manage/customers.php

2016-05-22 22:29:20 +0200 Joe Hunt 
Bloomberg Rate has changed their wrapper from span to div.
M	gl/includes/db/gl_db_rates.inc

2016-05-22 22:28:03 +0200 Joe Hunt 
Bloomberg Rate has changed their wrapper from span to div.
M	gl/includes/db/gl_db_rates.inc

2016-05-19 22:48:45 +0200 Janusz Dobrowolski 
Fixed typo in last commit.
M	gl/manage/bank_accounts.php

2016-05-19 22:48:04 +0200 Janusz Dobrowolski 
Fixed typo in last commit.
M	gl/manage/bank_accounts.php

2016-05-19 22:37:03 +0200 Janusz Dobrowolski 
Fixed bug in bank account edition.
M	gl/manage/bank_accounts.php

2016-05-19 22:35:19 +0200 Janusz Dobrowolski 
Fixed bug in Bank Accounts edition.
M	gl/manage/bank_accounts.php

2016-05-17 19:05:28 +0200 Janusz Dobrowolski 
Fixed typos in installer translation files, fixed translations in dashboard procedures.
M	includes/dashboard.inc
M	install/lang/de_DE/LC_MESSAGES/de_DE.mo
M	install/lang/de_DE/LC_MESSAGES/de_DE.po
M	install/lang/pt_PT/LC_MESSAGES/pt_PT.mo
M	install/lang/pt_PT/LC_MESSAGES/pt_PT.po
M	lang/new_language_template/LC_MESSAGES/empty.po

2016-02-25 13:25:42 +0100 Janusz Dobrowolski 
Constant string after last placeholder in reference line definition was ignored.
M	includes/references.inc

2016-05-17 18:57:23 +0200 Janusz Dobrowolski 
Fixed typos in some installer translation files.
M	install/lang/de_DE/LC_MESSAGES/de_DE.mo
M	install/lang/de_DE/LC_MESSAGES/de_DE.po
M	install/lang/pt_PT/LC_MESSAGES/pt_PT.mo
M	install/lang/pt_PT/LC_MESSAGES/pt_PT.po

2016-02-23 20:08:46 +0100 Joe Hunt 
New CHANGELOG.txt file
M	CHANGELOG.txt

2016-02-22 15:33:49 +0100 Janusz Dobrowolski 
Fixed missing changes in upgrade sql files.
M	sql/alter2.4.sql
M	sql/alter2.4rc1.sql

2016-02-21 16:44:45 +0100 Joe Hunt 
New CHANGELOG.txt
M	CHANGELOG.txt

2016-02-21 16:43:01 +0100 Joe Hunt 
Release 2.4.RC1
M	update.html
M	version.php

2016-02-21 15:37:42 +0100 Joe Hunt 
New CHANGELOG.txt
M	CHANGELOG.txt

2016-02-21 15:34:07 +0100 Joe Hunt 
Release 2.3.25.
M	version.php

2016-02-21 12:51:03 +0100 Janusz Dobrowolski 
Upgrade procedures max execution time for this version rised to 900s due to WAMP performance problems.
M	sql/alter2.4.php
M	sql/alter2.4rc1.php

2016-02-16 11:34:44 +0100 Joe Hunt 
Error in two comment lines in demo and new sql file. phpMyAdmin bailed out.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2016-02-15 12:20:39 +0100 Joe Hunt 
More missing semicolons.
M	sql/alter2.4.sql
M	sql/alter2.4rc1.sql

2016-02-15 12:14:18 +0100 Joe Hunt 
Missing semicolon. Forgot the other file.
M	sql/alter2.4.sql

2016-02-15 11:47:39 +0100 Joe Hunt 
Missing semicolon in UPDATE instruction.
M	sql/alter2.4rc1.sql

2016-02-14 22:06:29 +0100 Janusz Dobrowolski 
Fixed upgrade procedures for manufacturing transactions, additional checks for voiding.
M	admin/db/voiding_db.inc
M	gl/view/gl_trans_view.php
M	manufacturing/includes/db/work_order_costing_db.inc
M	manufacturing/includes/db/work_order_issues_db.inc
M	manufacturing/includes/db/work_orders_db.inc
M	sql/alter2.4.sql
M	sql/alter2.4rc1.sql

2016-02-13 12:16:06 +0100 Janusz Dobrowolski 
Fixed manufacturing module voiding procedures.
M	admin/db/voiding_db.inc
M	manufacturing/includes/db/work_order_costing_db.inc
M	manufacturing/includes/db/work_order_issues_db.inc
M	manufacturing/includes/db/work_order_produce_items_db.inc
M	manufacturing/includes/db/work_orders_db.inc
M	manufacturing/work_order_costs.php

2016-01-23 12:24:28 +0100 Janusz Dobrowolski 
Fixed fixed assets stright line depreciation.
M	fixed_assets/includes/depreciation.inc

2016-01-21 10:53:33 +0100 Janusz Dobrowolski 
Fixed bug in work order view.
M	includes/types.inc

2016-01-10 10:45:45 +0100 Janusz Dobrowolski 
Manufacturing: assembly account renamed to WIP account.
M	admin/gl_setup.php
M	gl/includes/db/gl_db_accounts.inc
M	includes/db/inventory_db.inc
M	inventory/includes/db/items_category_db.inc
M	inventory/includes/db/items_db.inc
M	inventory/manage/item_categories.php
M	inventory/manage/items.php
M	manufacturing/includes/db/work_order_costing_db.inc
M	manufacturing/includes/db/work_order_issues_db.inc
M	manufacturing/includes/db/work_order_produce_items_db.inc
M	manufacturing/includes/db/work_orders_db.inc
M	sql/alter2.4.sql
M	sql/alter2.4rc1.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2016-01-09 22:03:10 +0100 Janusz Dobrowolski 
Removed sparse debit account selector from Work Order Additional Costs.
M	manufacturing/includes/db/work_order_costing_db.inc
M	manufacturing/includes/db/work_order_requirements_db.inc
M	manufacturing/includes/db/work_orders_db.inc
M	manufacturing/includes/manufacturing_ui.inc
M	manufacturing/work_order_costs.php

2016-01-09 21:19:59 +0100 Janusz Dobrowolski 
Removed redundant global wip_act preference, fixed invalid account used for service BOM items.
M	admin/gl_setup.php
M	includes/data_checks.inc
M	manufacturing/includes/db/work_order_costing_db.inc
M	manufacturing/includes/db/work_order_issues_db.inc
M	manufacturing/includes/db/work_order_produce_items_db.inc
M	manufacturing/work_order_add_finished.php
M	manufacturing/work_order_issue.php
M	sql/alter2.4rc1.php
M	sql/alter2.4rc1.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2016-01-21 13:34:10 +0100 Cambell Prince 
Fixed bank account balance checking procedure.
M	gl/includes/db/gl_db_bank_trans.inc
M	gl/includes/db/gl_db_banking.inc

2016-01-21 11:29:20 +0100 Cambell Prince 
Reconcile Bank Account shouldn't show void transactions.
M	gl/includes/db/gl_db_bank_accounts.inc

2016-01-09 12:44:36 +0100 Janusz Dobrowolski 
Fixed costs display in work order view.
M	manufacturing/includes/db/work_order_costing_db.inc
M	manufacturing/includes/db/work_order_issues_db.inc
M	manufacturing/includes/manufacturing_ui.inc

2016-01-14 08:02:59 +0100 Joe Hunt 
Added column Currency in Bank Accounts. Changed to all years in fixed assets.
M	includes/dashboard.inc

2016-01-13 08:23:04 +0100 Joe Hunt 
Created new fiscal year, 2016-01-01 to 2016-12-31.
M	sql/en_US-demo.sql

2016-01-13 08:21:19 +0100 Joe Hunt 
Created new fiscal years in en_US-demo.sql
M	sql/en_US-demo.sql

2016-01-10 09:50:38 +0100 Janusz Dobrowolski 
Reverted invalid changes in manufacturing accounts back to cogs_account for BOM service items.
M	manufacturing/includes/db/work_order_issues_db.inc
M	manufacturing/includes/db/work_order_produce_items_db.inc
M	manufacturing/includes/db/work_orders_db.inc
M	manufacturing/includes/db/work_orders_quick_db.inc

2016-01-02 11:08:32 +0100 Janusz Dobrowolski 
Overhead and labour cost changed to define standard costs.
M	gl/includes/db/gl_db_trans.inc
M	includes/db/inventory_db.inc
M	includes/db/manufacturing_db.inc
M	includes/ui/ui_view.inc
M	inventory/cost_update.php
M	inventory/includes/db/items_trans_db.inc
M	inventory/includes/item_adjustments_ui.inc
M	manufacturing/includes/db/work_order_costing_db.inc
M	manufacturing/includes/db/work_order_issues_db.inc
M	manufacturing/includes/db/work_order_produce_items_db.inc
M	manufacturing/includes/db/work_order_requirements_db.inc
M	manufacturing/includes/db/work_orders_db.inc
D	manufacturing/includes/db/work_orders_quick_db.inc
M	manufacturing/includes/manufacturing_db.inc
M	manufacturing/includes/manufacturing_ui.inc
M	manufacturing/includes/work_order_issue_ui.inc
M	manufacturing/view/wo_costs_view.php
M	manufacturing/work_order_costs.php
M	manufacturing/work_order_entry.php
M	purchasing/includes/db/grn_db.inc
M	purchasing/includes/purchasing_db.inc
M	reporting/rep104.php
M	reporting/rep301.php
M	reporting/rep304.php
M	sales/includes/db/sales_credit_db.inc
M	sales/includes/db/sales_delivery_db.inc
M	sales/includes/db/sales_order_db.inc
M	sales/includes/sales_db.inc
M	sales/sales_order_entry.php
M	sql/alter2.4rc1.sql

2015-12-30 15:46:52 +0100 Janusz Dobrowolski 
Removed obsolete stock_master.last_cost field.
M	fixed_assets/includes/fixed_assets_db.inc
M	inventory/includes/db/items_trans_db.inc
M	sql/alter2.4rc1.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-12-23 21:57:33 +0100 Janusz Dobrowolski 
Further changes in manufacturing, added unit_cost in issues and requirements
M	admin/inst_module.php
M	includes/db/inventory_db.inc
M	includes/ui/ui_lists.inc
M	manufacturing/includes/db/work_order_costing_db.inc
M	manufacturing/includes/db/work_order_issues_db.inc
M	manufacturing/includes/db/work_order_produce_items_db.inc
M	manufacturing/includes/db/work_order_requirements_db.inc
M	manufacturing/includes/db/work_orders_db.inc
M	manufacturing/includes/db/work_orders_quick_db.inc
M	manufacturing/manage/bom_edit.php
M	manufacturing/view/wo_issue_view.php
M	manufacturing/work_order_entry.php
M	reporting/includes/html_entity_decode_php4.php
M	sql/alter2.4rc1.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-12-23 23:54:22 +0100 Janusz Dobrowolski 
Added WIP account in GL setup.
M	admin/gl_setup.php
M	includes/data_checks.inc
M	manufacturing/search_work_orders.php
M	manufacturing/work_order_add_finished.php
M	manufacturing/work_order_issue.php
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-12-24 12:19:01 +0100 Janusz Dobrowolski 
Fixes in upgrade procedures.
M	sql/alter2.4.php
M	sql/alter2.4.sql
M	sql/alter2.4rc1.php
M	sql/alter2.4rc1.sql

2015-12-31 00:42:31 +0100 Janusz Dobrowolski 
Fixed regressions in reports after last merge.
M	reporting/rep109.php
M	reporting/rep111.php
M	reporting/rep113.php

2016-01-09 11:55:28 +0100 Janusz Dobrowolski 
Cleanup in popup lists related files.
M	.gitignore
M	gl/includes/db/gl_db_accounts.inc
M	gl/inquiry/accounts_list.php
M	inventory/includes/db/items_db.inc
M	inventory/inquiry/stock_list.php
M	purchasing/includes/db/suppliers_db.inc
M	purchasing/inquiry/suppliers_list.php
M	sales/includes/db/branches_db.inc
M	sales/includes/db/customers_db.inc
M	sales/inquiry/customer_branches_list.php
M	sales/inquiry/customers_list.php

2016-01-08 14:58:41 +0100 Janusz Dobrowolski 
Fixed upgrade procedure (collation written to confg file).
M	sql/alter2.4.php
M	sql/alter2.4rc1.php

2016-01-08 10:51:51 +0100 Janusz Dobrowolski 
Fixed dependency problem during fiscal year closing.
M	admin/db/fiscalyears_db.inc

2015-12-22 23:34:55 +0100 Joe Hunt 
Fine tuning of Standard themes and dashboard.
M	includes/dashboard.inc
M	themes/canvas/renderer.php
M	themes/default/renderer.php
M	themes/dropdown/renderer.php

2015-12-22 10:41:23 +0100 Joe Hunt 
Improvements to dashboard. All titles are outside the tables/graphics for better layout. A final touch on canvas theme.
M	includes/dashboard.inc
M	themes/canvas/default.css

2015-12-22 00:52:57 +0100 Joe Hunt 
Fixed shrinking screen problem in canvas theme
M	themes/canvas/default.css

2015-12-21 08:56:43 +0100 Joe Hunt 
Dashboard. When empty data in company, suppress graphics. Thanks to Apmuthu.
M	includes/dashboard.inc

2015-12-20 16:40:59 +0100 Joe Hunt 
Rerun of last commit. A minor bug was detected.
M	includes/dashboard.inc

2015-12-20 16:30:28 +0100 Joe Hunt 
Fixed some bugs and added a new chart, Last weeks performance in GL.
M	includes/dashboard.inc

2015-12-15 22:01:35 +0100 Joe Hunt 
Fixed a couple of small bugs in canvas theme.
M	themes/canvas/default.css
M	themes/canvas/renderer.php

2015-12-15 00:36:59 +0100 Joe Hunt 
Rerun of dashboard.inc file
M	includes/dashboard.inc

2015-12-15 00:24:41 +0100 Joe Hunt 
Credited forum user bogeyman2007 for popup search lists and making it GPL3
M	gl/inquiry/accounts_list.php
M	inventory/inquiry/stock_list.php
M	purchasing/inquiry/suppliers_list.php
M	sales/inquiry/customer_branches_list.php
M	sales/inquiry/customers_list.php

2015-12-15 00:21:42 +0100 Joe Hunt 
New standard dashboard routines to be used by all themes
A	admin/dashboard.php
A	includes/dashboard.inc

2015-12-15 00:18:16 +0100 Joe Hunt 
New standard themes, default, canvas and dropdown.
D	themes/aqua/images/ajax-loader.gif
D	themes/aqua/images/ajax-loader2.gif
D	themes/aqua/images/button_ok.png
D	themes/aqua/images/closed.png
D	themes/aqua/images/locate.png
D	themes/aqua/images/log.png
D	themes/aqua/images/menu_entry.png
D	themes/aqua/images/menu_inquiry.png
D	themes/aqua/images/menu_maintenance.png
D	themes/aqua/images/menu_report.png
D	themes/aqua/images/menu_settings.png
D	themes/aqua/images/menu_system.png
D	themes/aqua/images/menu_transaction.png
D	themes/aqua/images/menu_update.png
D	themes/aqua/images/progressbar.gif
D	themes/aqua/images/sort_asc.gif
D	themes/aqua/images/sort_desc.gif
D	themes/aqua/images/sort_none.gif
D	themes/aqua/images/warning.png
D	themes/aqua/renderer.php
R054	themes/aqua/default.css	themes/canvas/default.css
R100	themes/aqua/images/add.png	themes/canvas/images/add.png
A	themes/canvas/images/ajax-loader.gif
A	themes/canvas/images/ajax-loader2.gif
R100	themes/aqua/images/alloc.png	themes/canvas/images/alloc.png
A	themes/canvas/images/arrow_12.gif
A	themes/canvas/images/body_bg.png
A	themes/canvas/images/button_ok.png
A	themes/canvas/images/cal.gif
R100	themes/aqua/images/cancel.png	themes/canvas/images/cancel.png
A	themes/canvas/images/content_bg.png
R100	themes/aqua/images/credit.gif	themes/canvas/images/credit.gif
R100	themes/aqua/images/delete.gif	themes/canvas/images/delete.gif
R100	themes/aqua/images/download.gif	themes/canvas/images/download.gif
R100	themes/aqua/images/edit.gif	themes/canvas/images/edit.gif
A	themes/canvas/images/enter.png
R100	themes/aqua/images/escape.png	themes/canvas/images/escape.png
A	themes/canvas/images/folder.gif
A	themes/canvas/images/footer_bg.png
R100	themes/aqua/images/gl.png	themes/canvas/images/gl.png
R100	themes/aqua/images/help.gif	themes/canvas/images/help.gif
R100	themes/aqua/images/invoice.gif	themes/canvas/images/invoice.gif
A	themes/canvas/images/link_bg.png
A	themes/canvas/images/locate.png
R100	themes/aqua/images/lock.gif	themes/canvas/images/lock.gif
R100	themes/aqua/images/login.gif	themes/canvas/images/login.gif
A	themes/canvas/images/logo_frontaccounting.jpg
A	themes/canvas/images/logo_frontaccounting.png
A	themes/canvas/images/menu_break.png
R100	themes/aqua/images/money.png	themes/canvas/images/money.png
A	themes/canvas/images/news.gif
R100	themes/aqua/images/ok.gif	themes/canvas/images/ok.gif
A	themes/canvas/images/page_edit.png
R100	themes/aqua/images/pdf.gif	themes/canvas/images/pdf.gif
R100	themes/aqua/images/preferences.gif	themes/canvas/images/preferences.gif
R100	themes/aqua/images/print.png	themes/canvas/images/print.png
A	themes/canvas/images/progressbar.gif
R100	themes/aqua/images/receive.gif	themes/canvas/images/receive.gif
R100	themes/aqua/images/remove.png	themes/canvas/images/remove.png
R100	themes/aqua/images/report.png	themes/canvas/images/report.png
R100	themes/cool/images/sort_asc.gif	themes/canvas/images/sort_asc.gif
A	themes/canvas/images/sort_asc2.gif
R100	themes/cool/images/sort_desc.gif	themes/canvas/images/sort_desc.gif
A	themes/canvas/images/sort_desc2.gif
R078	themes/aqua/images/right.gif	themes/canvas/images/sort_none.gif
A	themes/canvas/images/spacer.png
R100	themes/aqua/images/view.gif	themes/canvas/images/view.gif
A	themes/canvas/images/warning.png
R093	themes/aqua/index.php	themes/canvas/index.php
A	themes/canvas/renderer.php
D	themes/cool/default.css
D	themes/cool/images/ajax-loader.gif
D	themes/cool/images/ajax-loader2.gif
D	themes/cool/images/alloc.png
D	themes/cool/images/button_ok.png
D	themes/cool/images/closed.png
D	themes/cool/images/download.gif
D	themes/cool/images/locate.png
D	themes/cool/images/log.png
D	themes/cool/images/menu_entry.png
D	themes/cool/images/menu_inquiry.png
D	themes/cool/images/menu_maintenance.png
D	themes/cool/images/menu_report.png
D	themes/cool/images/menu_settings.png
D	themes/cool/images/menu_system.png
D	themes/cool/images/menu_transaction.png
D	themes/cool/images/menu_update.png
D	themes/cool/images/progressbar.gif
D	themes/cool/images/sort_none.gif
D	themes/cool/images/warning.png
D	themes/cool/renderer.php
M	themes/default/renderer.php
A	themes/dropdown/default.css
R100	themes/cool/images/add.png	themes/dropdown/images/add.png
A	themes/dropdown/images/ajax-loader.gif
A	themes/dropdown/images/ajax-loader2.gif
A	themes/dropdown/images/arrow_12.gif
A	themes/dropdown/images/basket.png
A	themes/dropdown/images/body_bg.png
R078	themes/cool/images/right.gif	themes/dropdown/images/breadcrumb.gif
A	themes/dropdown/images/button_ok.png
A	themes/dropdown/images/cal.gif
R100	themes/cool/images/cancel.png	themes/dropdown/images/cancel.png
A	themes/dropdown/images/cog.png
A	themes/dropdown/images/content_bg.png
A	themes/dropdown/images/controller.png
R100	themes/cool/images/credit.gif	themes/dropdown/images/credit.gif
R100	themes/cool/images/delete.gif	themes/dropdown/images/delete.gif
A	themes/dropdown/images/download.gif
R100	themes/cool/images/edit.gif	themes/dropdown/images/edit.gif
A	themes/dropdown/images/enter.png
R100	themes/cool/images/escape.png	themes/dropdown/images/escape.png
A	themes/dropdown/images/folder.gif
A	themes/dropdown/images/footer_bg.png
R100	themes/cool/images/gl.png	themes/dropdown/images/gl.png
R100	themes/cool/images/help.gif	themes/dropdown/images/help.gif
R100	themes/cool/images/invoice.gif	themes/dropdown/images/invoice.gif
A	themes/dropdown/images/link_bg.png
A	themes/dropdown/images/locate.png
R100	themes/cool/images/lock.gif	themes/dropdown/images/lock.gif
A	themes/dropdown/images/login.gif
A	themes/dropdown/images/logo_frontaccounting.jpg
A	themes/dropdown/images/logo_frontaccounting.png
A	themes/dropdown/images/menu_break.png
R100	themes/cool/images/money.png	themes/dropdown/images/money.png
A	themes/dropdown/images/news.gif
R100	themes/cool/images/ok.gif	themes/dropdown/images/ok.gif
A	themes/dropdown/images/on_off.png
A	themes/dropdown/images/page_edit.png
R100	themes/cool/images/pdf.gif	themes/dropdown/images/pdf.gif
R100	themes/cool/images/preferences.gif	themes/dropdown/images/preferences.gif
R100	themes/cool/images/print.png	themes/dropdown/images/print.png
A	themes/dropdown/images/progressbar.gif
R100	themes/cool/images/receive.gif	themes/dropdown/images/receive.gif
R100	themes/cool/images/remove.png	themes/dropdown/images/remove.png
R100	themes/cool/images/report.png	themes/dropdown/images/report.png
R068	themes/cool/images/login.gif	themes/dropdown/images/sort_asc.gif
A	themes/dropdown/images/sort_asc2.gif
A	themes/dropdown/images/sort_desc.gif
A	themes/dropdown/images/sort_desc2.gif
A	themes/dropdown/images/sort_none.gif
A	themes/dropdown/images/spacer.png
A	themes/dropdown/images/test.png
A	themes/dropdown/images/test_stock.png
A	themes/dropdown/images/time.png
A	themes/dropdown/images/transparent.gif
R100	themes/cool/images/view.gif	themes/dropdown/images/view.gif
A	themes/dropdown/images/warning.png
R093	themes/cool/index.php	themes/dropdown/index.php
A	themes/dropdown/renderer.php

2015-12-12 11:16:34 +0100 Joe Hunt 
Fixed small bug when calling ui_lists.inc from WO issue.
M	includes/ui/ui_lists.inc

2015-12-12 10:33:18 +0100 Joe Hunt 
Fixed bug in adding wo costs journal
M	manufacturing/includes/db/work_order_costing_db.inc

2015-12-12 09:39:02 +0100 Joe Hunt 
Rerun of Moving bugfixes from 2.3 to 2.4, Manufacturing routines
M	gl/includes/db/gl_db_trans.inc
M	manufacturing/includes/db/work_order_costing_db.inc
M	manufacturing/includes/db/work_orders_db.inc
M	manufacturing/includes/db/work_orders_quick_db.inc
M	manufacturing/includes/manufacturing_db.inc
M	manufacturing/includes/manufacturing_ui.inc
M	manufacturing/work_order_costs.php

2015-12-11 23:22:20 +0100 Joe Hunt 
Moving bugfixes from 2.3 to 2.4 and updated install languages for Denmark and Sweden.
M	admin/inst_module.php
M	gl/includes/db/gl_db_trans.inc
M	gl/manage/gl_accounts.php
M	includes/hooks.inc
M	install/lang/da_DK/LC_MESSAGES/da_DK.mo
M	install/lang/da_DK/LC_MESSAGES/da_DK.po
M	install/lang/sv_SE/LC_MESSAGES/sv_SE.mo
M	install/lang/sv_SE/LC_MESSAGES/sv_SE.po
M	manufacturing/includes/db/work_order_issues_db.inc
M	manufacturing/includes/db/work_order_produce_items_db.inc
M	manufacturing/includes/db/work_orders_db.inc
M	manufacturing/includes/db/work_orders_quick_db.inc
M	manufacturing/includes/manufacturing_db.inc
M	manufacturing/includes/manufacturing_ui.inc
M	manufacturing/work_order_costs.php
M	purchasing/includes/db/grn_db.inc
M	purchasing/includes/po_class.inc
M	reporting/includes/html_entity_decode_php4.php
M	reporting/rep107.php
M	reporting/rep109.php
M	reporting/rep110.php
M	reporting/rep111.php
M	reporting/rep113.php
M	reporting/rep709.php
M	sales/view/view_credit.php
M	sales/view/view_dispatch.php
M	sales/view/view_invoice.php
M	sales/view/view_sales_order.php

2015-12-11 13:17:57 +0100 Janusz Dobrowolski 
Updated upgraded procedures, application version and gettext templates.
M	install/lang/ar_EG/LC_MESSAGES/ar_EG.mo
M	install/lang/ar_EG/LC_MESSAGES/ar_EG.po
M	install/lang/da_DK/LC_MESSAGES/da_DK.mo
M	install/lang/da_DK/LC_MESSAGES/da_DK.po
M	install/lang/de_DE/LC_MESSAGES/de_DE.mo
M	install/lang/de_DE/LC_MESSAGES/de_DE.po
M	install/lang/el_GR/LC_MESSAGES/el_GR.mo
M	install/lang/el_GR/LC_MESSAGES/el_GR.po
M	install/lang/es_MX/LC_MESSAGES/es_MX.mo
M	install/lang/es_MX/LC_MESSAGES/es_MX.po
M	install/lang/fr_FR/LC_MESSAGES/fr_FR.mo
M	install/lang/fr_FR/LC_MESSAGES/fr_FR.po
M	install/lang/id_ID/LC_MESSAGES/id_ID.mo
M	install/lang/id_ID/LC_MESSAGES/id_ID.po
M	install/lang/it_IT/LC_MESSAGES/it_IT.mo
M	install/lang/it_IT/LC_MESSAGES/it_IT.po
M	install/lang/ka_GE/LC_MESSAGES/ka_GE.mo
M	install/lang/ka_GE/LC_MESSAGES/ka_GE.po
M	install/lang/new_language_template/LC_MESSAGES/empty.po
M	install/lang/nl_BE/LC_MESSAGES/nl_BE.mo
M	install/lang/nl_BE/LC_MESSAGES/nl_BE.po
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.mo
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.po
M	install/lang/pt_BR/LC_MESSAGES/pt_BR.mo
M	install/lang/pt_BR/LC_MESSAGES/pt_BR.po
M	install/lang/pt_PT/LC_MESSAGES/pt_PT.mo
M	install/lang/pt_PT/LC_MESSAGES/pt_PT.po
M	install/lang/sv_SE/LC_MESSAGES/sv_SE.mo
M	install/lang/sv_SE/LC_MESSAGES/sv_SE.po
M	install/lang/zh_CN/LC_MESSAGES/zh_CN.mo
M	install/lang/zh_CN/LC_MESSAGES/zh_CN.po
M	lang/new_language_template/LC_MESSAGES/empty.po
M	sql/alter2.4.php
M	sql/alter2.4.sql
M	sql/alter2.4rc1.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql
M	version.php

2015-12-11 11:42:44 +0100 Janusz Dobrowolski 
Exchange Rates: removed sparse home currency from selector.
M	gl/manage/exchange_rates.php
M	includes/ui/ui_lists.inc

2015-12-09 10:24:09 +0100 Janusz Dobrowolski 
Changed actual_cost to purchase_cost field in en_US-* init files.
M	fixed_assets/includes/depreciation.inc
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-12-11 11:22:55 +0100 Joe Hunt 
Rerun of last non fixed assets search.
M	includes/ui/ui_lists.inc

2015-12-10 22:21:42 +0100 Joe Hunt 
Removed fixed assets from list item search and popup search.
M	includes/ui/ui_lists.inc
M	inventory/inquiry/stock_list.php

2015-12-10 00:13:10 +0100 Joe Hunt 
Rerun of stock list search.
M	inventory/inquiry/stock_list.php

2015-12-09 23:04:55 +0100 Joe Hunt 
Fixed a couple of bugs in stock list and account list search.
M	gl/inquiry/accounts_list.php
M	includes/ui/ui_lists.inc
M	inventory/inquiry/stock_list.php

2015-12-09 14:52:45 +0100 Joe Hunt 
Fixed inventory reports that didn't know about our new Fixed Asset flag.
M	reporting/rep104.php
M	reporting/rep301.php
M	reporting/rep304.php
M	reporting/rep305.php
M	reporting/rep307.php
M	reporting/rep308.php
M	reporting/rep309.php

2015-12-09 14:22:46 +0100 Joe Hunt 
Changed search icons for popup search for the standard themes.
M	themes/aqua/images/view.gif
M	themes/cool/images/view.gif
M	themes/default/images/view.gif

2015-12-09 14:06:48 +0100 Joe Hunt 
Fixed a hardcoded amount_row with fixed 2 decimals. Removed and the default user_price_dec() is used
M	purchasing/supplier_payment.php

2015-12-09 14:04:45 +0100 Joe Hunt 
Fixed a hardcoded amount_row with fixed 2 decimals. Removed and the default user_price_dec() is used.
M	purchasing/supplier_payment.php

2015-12-09 13:53:15 +0100 Joe Hunt 
Also remove report classes when disabling Manufacturing or Fixed Assets.
M	reporting/reports_main.php

2015-12-09 13:34:52 +0100 Joe Hunt 
Enabling popup search in Customers, branches, suppliers, inventory, fixed assets and GL Accounts. This is optional and can be disabled by setting $use_pop_search to false. This also works with built in search lists.
M	.gitignore
M	admin/gl_setup.php
M	config.default.php
A	gl/inquiry/accounts_list.php
M	gl/manage/gl_accounts.php
M	includes/prefs/sysprefs.inc
M	includes/ui/ui_input.inc
M	includes/ui/ui_lists.inc
M	includes/ui/ui_view.inc
A	inventory/inquiry/stock_list.php
M	inventory/inquiry/stock_status.php
M	inventory/manage/item_categories.php
M	inventory/manage/item_codes.php
M	inventory/manage/sales_kits.php
M	inventory/prices.php
M	inventory/purchasing_data.php
M	inventory/reorder_level.php
A	purchasing/inquiry/suppliers_list.php
M	reporting/reports_main.php
A	sales/inquiry/customer_branches_list.php
A	sales/inquiry/customers_list.php
M	sales/manage/customer_branches.php

2015-12-08 21:01:15 +0100 Janusz Dobrowolski 
Option to hide Manufacturing and Fixed Assets tabs in reorganized company settings, fixed typo in en_US-new file.
M	admin/company_preferences.php
M	frontaccounting.php
M	sql/alter2.4rc1.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-12-08 11:40:34 +0100 Janusz Dobrowolski 
Fixed consistency in sql init/upgrade files.
M	sql/alter2.4rc1.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-12-08 08:36:21 +0100 Joe Hunt 
Improvement of standard themes. 2 small gif files added. Shown upper right.
A	themes/aqua/images/lock.gif
A	themes/aqua/images/preferences.gif
M	themes/aqua/renderer.php
A	themes/cool/images/lock.gif
A	themes/cool/images/preferences.gif
M	themes/cool/renderer.php
A	themes/default/images/lock.gif
A	themes/default/images/preferences.gif
M	themes/default/renderer.php

2015-12-08 00:35:00 +0100 Joe Hunt 
Fixed Assets, a couple of small bugs more.
M	fixed_assets/includes/fa_classes_db.inc
M	reporting/rep451.php

2015-12-07 23:42:11 +0100 Joe Hunt 
Fixed Assets fixes, bugs and improvements.
M	fixed_assets/includes/depreciation.inc
M	fixed_assets/includes/fixed_assets_db.inc
M	fixed_assets/inquiry/stock_inquiry.php
M	includes/db/inventory_db.inc
M	includes/sysnames.inc
M	includes/ui/items_cart.inc
M	inventory/adjustments.php
M	inventory/includes/item_adjustments_ui.inc
M	inventory/inquiry/stock_movements.php
M	inventory/manage/items.php
M	inventory/transfers.php
M	purchasing/includes/db/invoice_db.inc
M	reporting/rep451.php
M	sales/sales_order_entry.php
M	sql/alter2.4rc1.sql

2015-12-07 14:17:16 +0100 Janusz Dobrowolski 
Bugfixes in fixed assets editor.
M	includes/ui/ui_lists.inc
M	inventory/manage/items.php

2015-12-07 11:22:01 +0100 Janusz Dobrowolski 
Fixed Assets: Added sum-of-the-year digits method, fixed declining balance method, changed related db scheme.
M	fixed_assets/fixed_asset_classes.php
M	fixed_assets/includes/depreciation.inc
M	fixed_assets/includes/fa_classes_db.inc
M	fixed_assets/includes/fixed_assets_db.inc
M	fixed_assets/inquiry/stock_inquiry.php
M	includes/sysnames.inc
M	inventory/includes/db/items_db.inc
M	inventory/manage/items.php
M	sql/alter2.4rc1.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-12-02 11:17:04 +0100 Janusz Dobrowolski 
Added fixed asset related db changes in upgrade class.
M	admin/includes/fa_patch.class.inc
M	includes/access_levels.inc
M	includes/ui/ui_lists.inc
A	sql/alter2.4rc1.php
A	sql/alter2.4rc1.sql

2015-12-07 08:28:57 +0100 Joe Hunt 
Changed login.gif icon.
M	themes/aqua/images/login.gif
M	themes/cool/images/login.gif
M	themes/default/images/login.gif

2015-12-01 16:19:32 +0100 Joe Hunt 
New Fixed Assets Report file
A	reporting/rep451.php

2015-12-01 16:16:35 +0100 Joe Hunt 
Fixed layout, changes, bugs and improvements to Fixed Assets application.
M	admin/gl_setup.php
M	applications/fixed_assets.php
M	fixed_assets/includes/fixed_assets_db.inc
M	fixed_assets/inquiry/stock_inquiry.php
M	frontaccounting.php
M	inventory/adjustments.php
M	inventory/manage/item_categories.php
M	inventory/manage/items.php
M	inventory/manage/locations.php
M	reporting/includes/reports_classes.inc
M	reporting/reports_main.php

2015-11-29 14:43:49 +0100 Mithy 
Added fixed assets module
M	admin/gl_setup.php
A	applications/fixed_assets.php
A	fixed_assets/fixed_asset_classes.php
A	fixed_assets/includes/depreciation.inc
A	fixed_assets/includes/fa_classes_db.inc
A	fixed_assets/includes/fixed_assets_db.inc
A	fixed_assets/inquiry/stock_inquiry.php
A	fixed_assets/process_depreciation.php
M	frontaccounting.php
M	includes/access_levels.inc
M	includes/data_checks.inc
M	includes/db/class.reflines_db.inc
M	includes/db/inventory_db.inc
M	includes/inventory.inc
M	includes/sysnames.inc
M	includes/types.inc
M	includes/ui/class.reflines_crud.inc
M	includes/ui/items_cart.inc
M	includes/ui/ui_controls.inc
M	includes/ui/ui_input.inc
M	includes/ui/ui_lists.inc
M	install/lang/es_MX/LC_MESSAGES/es_MX.po
M	inventory/adjustments.php
M	inventory/cost_update.php
M	inventory/includes/db/items_adjust_db.inc
M	inventory/includes/db/items_category_db.inc
M	inventory/includes/db/items_db.inc
M	inventory/includes/db/items_locations_db.inc
M	inventory/includes/db/items_trans_db.inc
M	inventory/includes/item_adjustments_ui.inc
M	inventory/includes/stock_transfers_ui.inc
M	inventory/inquiry/stock_movements.php
M	inventory/manage/item_categories.php
M	inventory/manage/items.php
M	inventory/manage/locations.php
M	inventory/transfers.php
M	purchasing/includes/po_class.inc
M	purchasing/includes/ui/po_ui.inc
M	purchasing/po_entry_items.php
M	sales/includes/cart_class.inc
M	sales/includes/db/sales_delivery_db.inc
M	sales/includes/db/sales_invoice_db.inc
M	sales/includes/db/sales_order_db.inc
M	sales/includes/ui/sales_order_ui.inc
M	sales/sales_order_entry.php
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-11-26 21:48:19 +0100 Janusz Dobrowolski 
Fixed es_MX installer translation file.
M	install/lang/es_MX/LC_MESSAGES/es_MX.mo
M	install/lang/es_MX/LC_MESSAGES/es_MX.po

2015-11-23 09:26:48 +0100 Joe Hunt 
No display of shipping if there are no shipping costs on sales documents or views.
M	reporting/rep107.php
M	reporting/rep109.php
M	reporting/rep110.php
M	reporting/rep111.php
M	reporting/rep113.php
M	sales/view/view_credit.php
M	sales/view/view_dispatch.php
M	sales/view/view_invoice.php
M	sales/view/view_sales_order.php

2015-11-16 18:43:25 +0100 Janusz Dobrowolski 
Fixed regression in Sales Invoice.
M	sales/includes/db/sales_order_db.inc

2015-11-14 22:26:25 +0100 Joe Hunt 
Rerun. Backport of fixing vertical alignment on date picker icon
M	reporting/includes/reports_classes.inc

2015-11-14 09:34:54 +0100 Joe Hunt 
Accounts entry. We only accept 0-9 and a dot if $accounts_alpha = 0 (default)
M	gl/manage/gl_accounts.php

2015-11-13 11:54:10 +0100 Joe Hunt 
Backport of fixing vertical alignment on date picker icon
M	includes/ui/ui_input.inc
M	reporting/includes/reports_classes.inc

2015-11-13 05:48:02 +0100 Joe Hunt 
Better vertical alignment of date picker icon.
M	includes/ui/ui_input.inc
M	reporting/includes/reports_classes.inc

2015-11-11 22:46:51 +0100 Janusz Dobrowolski 
Fixed a couple of refrences to transaction type number instead of type name.
M	manufacturing/includes/manufacturing_ui.inc
M	manufacturing/view/wo_issue_view.php
M	manufacturing/work_order_add_finished.php
M	purchasing/inquiry/po_search.php
M	purchasing/inquiry/po_search_completed.php
M	sales/create_recurrent_invoices.php
M	sales/customer_invoice.php
M	sales/includes/db/customers_db.inc
M	sales/includes/db/sales_order_db.inc
M	sales/inquiry/customer_allocation_inquiry.php

2015-11-10 23:24:35 +0100 Janusz Dobrowolski 
Further cleanups in sql statements.
M	includes/ui/ui_lists.inc
M	inventory/includes/db/items_db.inc
M	reporting/includes/reports_classes.inc
M	sales/includes/db/customers_db.inc
M	sales/includes/db/sales_order_db.inc
M	sales/includes/sales_db.inc
M	taxes/db/item_tax_types_db.inc
M	taxes/db/tax_types_db.inc

2015-11-09 20:19:47 +0100 Joe Hunt 
Cleanup comments. Small bugfixes. Final run
M	frontaccounting.php
M	includes/ui/ui_view.inc
M	reporting/includes/class.graphic.inc
M	reporting/includes/class.pdf.inc
M	reporting/includes/excel_report.inc
M	reporting/includes/pdf_report.inc
M	reporting/includes/reporting.inc
M	reporting/includes/reports_classes.inc
M	reporting/rep101.php
M	reporting/rep102.php
M	reporting/rep103.php
M	reporting/rep107.php
M	reporting/rep109.php
M	reporting/rep111.php
M	reporting/rep113.php
M	reporting/rep201.php
M	reporting/rep203.php
M	reporting/rep205.php
M	reporting/rep303.php
M	reporting/rep307.php
M	reporting/rep309.php
M	reporting/rep401.php
M	reporting/rep409.php
M	reporting/rep601.php
M	reporting/rep701.php
M	reporting/rep704.php
M	reporting/rep705.php
M	reporting/rep706.php
M	reporting/rep707.php
M	reporting/rep708.php
M	reporting/rep709.php
M	reporting/reports_main.php
M	sales/allocations/customer_allocation_main.php
M	sales/create_recurrent_invoices.php
M	sales/credit_note_entry.php
M	sales/customer_credit_invoice.php
M	sales/customer_delivery.php
M	sales/customer_invoice.php
M	sales/customer_payments.php
M	sales/includes/cart_class.inc
M	sales/includes/db/payment_db.inc
M	sales/includes/db/sales_credit_db.inc
M	sales/includes/db/sales_delivery_db.inc
M	sales/includes/db/sales_invoice_db.inc
M	sales/includes/sales_db.inc
M	sales/includes/ui/sales_credit_ui.inc
M	sales/includes/ui/sales_order_ui.inc
M	sales/inquiry/sales_orders_view.php
M	sales/manage/sales_people.php
M	sales/sales_order_entry.php
M	taxes/tax_calc.inc
M	themes/default/renderer.php
M	version.php

2015-11-09 12:04:08 +0100 Joe Hunt 
Fixed tabbed dialogs. Removed redundant 'popup' variables.
M	inventory/cost_update.php
M	inventory/includes/db/items_purchases_db.inc
M	inventory/inquiry/stock_movements.php
M	inventory/inquiry/stock_status.php
M	inventory/manage/items.php
M	inventory/prices.php
M	inventory/purchasing_data.php
M	inventory/reorder_level.php
M	purchasing/manage/suppliers.php
M	sales/inquiry/customer_inquiry.php
M	sales/manage/customers.php

2015-11-09 09:42:38 +0100 Joe Hunt 
Fixing check for non supplier reference. Cleanup.
M	purchasing/po_entry_items.php
M	purchasing/supplier_credit.php
M	purchasing/supplier_invoice.php

2015-11-09 00:47:57 +0100 Joe Hunt 
Transaction Inquiry inside Supplier didn't work.
M	purchasing/inquiry/supplier_inquiry.php
M	purchasing/manage/suppliers.php

2015-11-08 22:34:28 +0100 Joe Hunt 
Supplier Invoice/Credit Note. Moved Dimensions entry from left section to middle section for better layout.
M	purchasing/includes/ui/invoice_ui.inc

2015-11-08 21:50:15 +0100 Janusz Dobrowolski 
Fixed bug in price_format() helper leading to problems in various entry forms (e.g. Supplier/Customer Allocation)
M	includes/current_user.inc

2015-11-08 20:34:45 +0100 Janusz Dobrowolski 
Customer Transaction Inquiry, Supplier Inquiry: fixed icons for closed transactions.
M	includes/types.inc

2015-11-08 20:08:08 +0100 Janusz Dobrowolski 
Supplier Invoices, Supplier Credit Notes: fixed editon form bugs, fixed reference to unexisting $invoice_no variable in ass_supp_invoice().
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/purchasing_db.inc
M	purchasing/includes/ui/invoice_ui.inc
M	purchasing/supplier_credit.php

2015-11-08 17:53:59 +0100 Janusz Dobrowolski 
Tax Report: not taxable sales printed in separate summary line.
M	reporting/rep709.php

2015-11-08 08:56:42 +0100 Joe Hunt 
Cleanup comments. Small bugfixes. Third run
M	install/index.php
M	inventory/adjustments.php
M	inventory/cost_update.php
M	inventory/includes/db/items_trans_db.inc
M	inventory/includes/db/items_units_db.inc
M	inventory/includes/inventory_db.inc
M	inventory/includes/item_adjustments_ui.inc
M	inventory/includes/stock_transfers_ui.inc
M	inventory/inquiry/stock_movements.php
M	inventory/manage/item_codes.php
M	inventory/manage/items.php
M	inventory/manage/sales_kits.php
M	inventory/purchasing_data.php
M	js/inserts.js
M	manufacturing/includes/db/work_order_issues_db.inc
M	manufacturing/includes/db/work_order_produce_items_db.inc
M	manufacturing/includes/db/work_orders_quick_db.inc
M	manufacturing/includes/work_order_issue_ui.inc
M	manufacturing/inquiry/bom_cost_inquiry.php
M	manufacturing/manage/bom_edit.php
M	manufacturing/search_work_orders.php
M	manufacturing/work_order_add_finished.php
M	manufacturing/work_order_entry.php
M	manufacturing/work_order_issue.php
M	purchasing/includes/db/grn_db.inc
M	purchasing/includes/db/po_db.inc
M	purchasing/includes/db/suppalloc_db.inc
M	purchasing/includes/purchasing_db.inc
M	purchasing/includes/ui/grn_ui.inc
M	purchasing/includes/ui/invoice_ui.inc
M	purchasing/includes/ui/po_ui.inc
M	purchasing/manage/suppliers.php
M	purchasing/po_entry_items.php
M	purchasing/po_receive_items.php
M	purchasing/supplier_credit.php
M	purchasing/view/view_po.php
M	reporting/rep709.php

2015-11-06 16:33:41 +0100 Joe Hunt 
Cleanup comments. Small bugfixes. Second run
M	gl/bank_account_reconcile.php
M	gl/bank_transfer.php
M	gl/gl_bank.php
M	gl/gl_budget.php
M	gl/manage/close_period.php
M	gl/manage/gl_account_classes.php
M	gl/manage/gl_account_types.php
M	gl/manage/revaluate_currencies.php
M	gl/view/accrual_trans.php
M	gl/view/gl_deposit_view.php
M	gl/view/gl_payment_view.php
M	gl/view/gl_trans_view.php
M	includes/access_levels.inc
M	includes/ajax.inc
M	includes/current_user.inc
M	includes/db/connect_db_mysql.inc
M	includes/db/connect_db_mysqli.inc
M	includes/db/manufacturing_db.inc
M	includes/db_pager.inc
M	includes/errors.inc
M	includes/hooks.inc
M	includes/lang/gettext.inc
M	includes/packages.inc
M	includes/page/header.inc
M	includes/session.inc
M	includes/types.inc
M	includes/ui/allocation_cart.inc
M	includes/ui/class.reflines_crud.inc
M	includes/ui/contacts_view.inc
M	includes/ui/db_pager_view.inc
M	includes/ui/items_cart.inc
M	includes/ui/simple_crud_class.inc
M	includes/ui/ui_controls.inc
M	includes/ui/ui_input.inc
M	includes/ui/ui_lists.inc
M	includes/ui/ui_view.inc

2015-11-05 20:53:16 +0100 Joe Hunt 
Faulty escape in empty.po. Source to problem.
M	includes/ui/ui_controls.inc

2015-11-05 18:40:56 +0100 Joe Hunt 
Cleanup comments. Small bugfixes. First run.
M	access/login.php
M	access/password_reset.php
M	admin/attachments.php
M	admin/create_coy.php
M	admin/db/maintenance_db.inc
M	admin/db/users_db.inc
M	admin/includes/fa_patch.class.inc
M	admin/inst_chart.php
M	admin/inst_theme.php
M	admin/inst_upgrade.php
M	admin/print_profiles.php
M	admin/security_roles.php
M	admin/void_transaction.php
M	applications/application.php
M	dimensions/inquiry/search_dimensions.php
M	gl/includes/db/gl_db_bank_trans.inc
M	gl/includes/db/gl_db_banking.inc
M	gl/includes/db/gl_db_rates.inc
M	gl/includes/db/gl_db_trans.inc
M	gl/includes/db/gl_journal.inc
M	gl/includes/ui/gl_bank_ui.inc
M	gl/includes/ui/gl_journal_ui.inc
M	gl/inquiry/balance_sheet.php
M	gl/inquiry/gl_account_inquiry.php
M	gl/inquiry/gl_trial_balance.php
M	gl/inquiry/profit_loss.php
M	gl/inquiry/tax_inquiry.php

2015-11-05 15:02:50 +0100 Janusz Dobrowolski 
Print Deliveries: Fixed not working print as packing slip option.
M	reporting/includes/doctext.inc
M	reporting/rep110.php

2015-11-05 14:39:09 +0100 Janusz Dobrowolski 
Print Remittances: fixed usage of sys_prefs 'print_invoice_no' option.
M	reporting/includes/reports_classes.inc

2015-11-05 14:04:40 +0100 Janusz Dobrowolski 
Global fixes in SQL queries aimed to make them more readible and easier for maintence.
M	dimensions/includes/dimensions_db.inc
M	gl/includes/db/gl_db_account_types.inc
M	gl/includes/db/gl_db_accounts.inc
M	gl/includes/db/gl_db_bank_accounts.inc
M	gl/includes/db/gl_db_bank_trans.inc
M	gl/includes/db/gl_db_banking.inc
M	gl/includes/db/gl_db_rates.inc
M	gl/includes/db/gl_db_trans.inc
M	includes/db/inventory_db.inc
M	includes/db/manufacturing_db.inc
M	inventory/includes/db/items_prices_db.inc
M	inventory/includes/db/items_purchases_db.inc
M	inventory/includes/db/items_trans_db.inc
M	inventory/includes/inventory_db.inc
M	manufacturing/includes/db/work_order_issues_db.inc
M	manufacturing/includes/db/work_order_produce_items_db.inc
M	manufacturing/includes/db/work_order_requirements_db.inc
M	manufacturing/includes/db/work_orders_quick_db.inc
M	purchasing/includes/db/grn_db.inc
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/db/po_db.inc
M	purchasing/includes/db/supp_trans_db.inc
M	reporting/rep102.php
M	reporting/rep103.php
M	reporting/rep104.php
M	reporting/rep105.php
M	reporting/rep108.php
M	reporting/rep112.php
M	reporting/rep201.php
M	reporting/rep202.php
M	reporting/rep203.php
M	reporting/rep204.php
M	reporting/rep205.php
M	reporting/rep209.php
M	reporting/rep210.php
M	reporting/rep301.php
M	reporting/rep302.php
M	reporting/rep303.php
M	reporting/rep305.php
M	reporting/rep401.php
M	reporting/rep602.php
M	sales/includes/db/branches_db.inc
M	sales/includes/db/credit_status_db.inc
M	sales/includes/db/cust_trans_db.inc
M	sales/includes/db/cust_trans_details_db.inc
M	sales/includes/db/recurrent_invoices_db.inc

2015-11-05 13:53:01 +0100 Janusz Dobrowolski 
Tax Inquiry: fixed refrences to non-existing database fields.
M	gl/includes/db/gl_db_trans.inc

2015-11-05 13:34:50 +0100 Janusz Dobrowolski 
Produce/Unassemble Finished Items from WorkOrder: fixed syntax error.
M	manufacturing/includes/work_order_issue_ui.inc

2015-11-05 12:52:23 +0100 Janusz Dobrowolski 
Receive Purchase Order Items: invalid date was passed to reference number provider.
M	purchasing/po_receive_items.php

2015-11-05 08:13:36 +0100 Joe Hunt 
faulty escape in empty.po
M	lang/new_language_template/LC_MESSAGES/empty.po

2015-10-18 11:08:15 +0200 Joe Hunt 
Rerun. Fixed wrong calculaiton of standard cost during Advanced Manufacturing. Petros
M	manufacturing/includes/db/work_order_produce_items_db.inc
M	manufacturing/includes/db/work_orders_db.inc

2015-10-17 14:42:42 +0200 Joe Hunt 
Fixed wrong calculaiton of standard cost during Advanced Manufacturing. Petros.
M	manufacturing/includes/db/work_order_produce_items_db.inc
M	manufacturing/includes/db/work_orders_db.inc
M	manufacturing/includes/db/work_orders_quick_db.inc
M	manufacturing/work_order_costs.php

2015-10-15 10:28:09 +0200 Joe Hunt 
Fixed correct calculation of stock_moves standard_cost when producing an Advanced Assembly. Petros
M	manufacturing/includes/db/work_order_produce_items_db.inc
M	manufacturing/includes/db/work_orders_quick_db.inc

2015-10-14 15:34:41 +0200 Joe Hunt 
Changed the GL accounts in Manufacturing to go from Cost accounts to Assembly Accounts. Petros.
M	manufacturing/includes/db/work_order_issues_db.inc
M	manufacturing/includes/db/work_order_produce_items_db.inc
M	manufacturing/includes/db/work_orders_db.inc
M	manufacturing/includes/db/work_orders_quick_db.inc

2015-10-13 20:41:39 +0200 Janusz Dobrowolski 
Fixed net value calculations for GRN leading to unbalanced clearing account.
M	purchasing/includes/db/grn_db.inc
M	purchasing/includes/po_class.inc

2015-10-09 22:47:18 +0200 Joe Hunt 
Material cost doubles itself, if quantity = 0. Fixed.
M	manufacturing/includes/db/work_orders_db.inc

2015-10-06 09:28:40 +0200 Janusz Dobrowolski 
Fixed  deactive_extension hook execution on extension deactivation.
M	admin/inst_module.php
M	includes/hooks.inc

2015-09-23 13:00:04 +0200 Janusz Dobrowolski 
[0003305] Direct Purchase Invoice: added link to payment entry on final page.
M	purchasing/po_entry_items.php

2015-09-23 12:40:12 +0200 Janusz Dobrowolski 
[0003304] Purchase Order Entry: fixed support for editable items description.
M	includes/ui/ui_lists.inc
M	purchasing/includes/ui/po_ui.inc

2015-09-07 15:07:27 +0200 Joe Hunt 
Improved safety handling of bad PHP interpretor releases.
M	reporting/includes/html_entity_decode_php4.php

2015-08-31 08:45:40 +0200 Janusz Dobrowolski 
Small cleanups in mail class.
M	reporting/includes/class.mail.inc

2015-08-29 15:23:33 +0200 Janusz Dobrowolski 
Fixed sparse js dialog when canceling sales document entry.
M	sales/sales_order_entry.php

2015-08-29 11:42:42 +0200 Janusz Dobrowolski 
Void a Transaction: fixed GRN voiding.
M	admin/db/voiding_db.inc
M	admin/void_transaction.php

2015-08-29 11:32:32 +0200 Janusz Dobrowolski 
PDF documents sent by email have now meaningful names.
M	reporting/includes/class.mail.inc
M	reporting/includes/pdf_report.inc

2015-08-25 18:59:42 +0200 Janusz Dobrowolski 
Small warning cleanup in purchase order report.
M	reporting/includes/doctext.inc

2015-07-28 08:06:20 +0200 Joe Hunt 
Added undefined function cache_invalidate() in install/isession.inc
M	install/isession.inc

2015-07-27 09:50:54 +0200 Joe Hunt 
en_US-demo.sql and en_US-new.sql cleanup
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-07-23 11:34:34 +0200 Janusz Dobrowolski 
[0003239] Bank Account Inquiry: fixed missing counterparty info for some transactions.
M	gl/inquiry/bank_inquiry.php
M	includes/types.inc

2015-07-23 10:34:10 +0200 Janusz Dobrowolski 
[0003246] Fixed wrong url generated by menu_link helper in final transaction entry menus.
M	includes/ui/ui_controls.inc

2015-07-23 10:07:08 +0200 Janusz Dobrowolski 
[0003245] Invoice/Quotation Report: fixed option for printing order as quotation.
M	reporting/includes/doctext.inc
M	reporting/rep109.php

2015-07-23 09:48:08 +0200 Janusz Dobrowolski 
[0003238] Profit & Loss Drill Down fixed regression in reference period selection.
M	gl/inquiry/profit_loss.php

2015-07-11 07:38:04 +0200 Joe Hunt 
Merge branch 'master' of ssh://git.code.sf.net/p/frontaccounting/git
2015-07-11 07:37:36 +0200 Joe Hunt 
New CHANGELOG
M	CHANGELOG.txt

2015-07-10 15:22:28 +0200 Janusz Dobrowolski 
[0003240] Tax Report: duplicated lines were listed for edited transactions.
M	reporting/rep709.php

2015-07-09 08:18:41 +0200 Joe Hunt 
Bug 3241. Parse error sales_credit_ui.inc on line 84.
M	sales/includes/ui/sales_credit_ui.inc

2015-07-06 10:33:47 +0200 Janusz Dobrowolski 
[0003230] Fixed typo in gl_deposit_view.
M	gl/view/gl_deposit_view.php

2015-07-06 10:24:20 +0200 Janusz Dobrowolski 
[0003231] Fixed warning about non well formed value in purchase pricing.
M	inventory/purchasing_data.php

2015-06-02 19:51:29 +0200 Janusz Dobrowolski 
Fixed edit key icon display in Direct Supplier Invoice.
M	includes/ui/ui_lists.inc

2015-07-06 09:32:15 +0200 Joe Hunt 
Changes user admin email address from adm@adm.com to adm@example.com. Also minor clean up.
M	company/0/images/102.jpg
M	company/0/images/103.jpg
M	doc/CHANGELOG.old.txt
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-05-22 13:47:17 +0200 Janusz Dobrowolski 
Fixed delays during access to external urls (e.g. exchange rate services).
M	includes/remote_url.inc

2015-05-17 18:54:38 +0200 Janusz Dobrowolski 
Fixed Zend OpCache related issues in extension modules installer.
M	admin/db/maintenance_db.inc
M	admin/inst_theme.php
M	includes/main.inc
M	includes/session.inc

2015-05-14 15:57:03 +0200 Joe Hunt 
Release 2.4 beta
M	CHANGELOG.txt

2015-05-14 10:16:15 +0200 Janusz Dobrowolski 
Gettext templates updated, version 2.4 beta.
M	install/lang/ar_EG/LC_MESSAGES/ar_EG.mo
M	install/lang/ar_EG/LC_MESSAGES/ar_EG.po
M	install/lang/da_DK/LC_MESSAGES/da_DK.mo
M	install/lang/da_DK/LC_MESSAGES/da_DK.po
M	install/lang/de_DE/LC_MESSAGES/de_DE.mo
M	install/lang/de_DE/LC_MESSAGES/de_DE.po
M	install/lang/el_GR/LC_MESSAGES/el_GR.mo
M	install/lang/el_GR/LC_MESSAGES/el_GR.po
M	install/lang/es_MX/LC_MESSAGES/es_MX.mo
M	install/lang/es_MX/LC_MESSAGES/es_MX.po
M	install/lang/fr_FR/LC_MESSAGES/fr_FR.mo
M	install/lang/fr_FR/LC_MESSAGES/fr_FR.po
M	install/lang/id_ID/LC_MESSAGES/id_ID.mo
M	install/lang/id_ID/LC_MESSAGES/id_ID.po
M	install/lang/it_IT/LC_MESSAGES/it_IT.mo
M	install/lang/it_IT/LC_MESSAGES/it_IT.po
M	install/lang/ka_GE/LC_MESSAGES/ka_GE.mo
M	install/lang/ka_GE/LC_MESSAGES/ka_GE.po
M	install/lang/new_language_template/LC_MESSAGES/empty.po
M	install/lang/nl_BE/LC_MESSAGES/nl_BE.mo
M	install/lang/nl_BE/LC_MESSAGES/nl_BE.po
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.mo
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.po
M	install/lang/pt_BR/LC_MESSAGES/pt_BR.mo
M	install/lang/pt_BR/LC_MESSAGES/pt_BR.po
M	install/lang/pt_PT/LC_MESSAGES/pt_PT.mo
M	install/lang/pt_PT/LC_MESSAGES/pt_PT.po
M	install/lang/sv_SE/LC_MESSAGES/sv_SE.mo
M	install/lang/sv_SE/LC_MESSAGES/sv_SE.po
M	install/lang/zh_CN/LC_MESSAGES/zh_CN.mo
M	install/lang/zh_CN/LC_MESSAGES/zh_CN.po
M	lang/new_language_template/LC_MESSAGES/empty.po
M	version.php

2015-05-13 18:06:15 +0200 Janusz Dobrowolski 
Updated en_US demo init file.
M	sql/en_US-demo.sql

2015-05-13 14:28:16 +0200 Janusz Dobrowolski 
Improved recurrent orders feature: added invoice date and memo edition, additional checks for proper nvoice generation.
M	includes/data_checks.inc
M	sales/create_recurrent_invoices.php
M	sales/includes/db/recurrent_invoices_db.inc
M	sales/inquiry/sales_orders_view.php
M	sales/manage/recurrent_invoices.php

2015-05-13 12:58:18 +0200 Janusz Dobrowolski 
Fixed check_value helper to treat empty input as unset checkbox.
M	includes/ui/ui_input.inc

2015-05-13 12:26:27 +0200 Janusz Dobrowolski 
Customer Delivery: fixed regression after last commit.
M	sales/customer_delivery.php

2015-05-10 19:39:04 +0200 Janusz Dobrowolski 
Merged changes from master branch up to current state.
2015-05-10 19:24:43 +0200 Janusz Dobrowolski 
Added branch 2.4 in extensions repository.
M	FA.pem
M	version.php

2015-05-10 19:20:38 +0200 Janusz Dobrowolski 
Prevent empty log lines and a couple of include cleanups.
M	admin/includes/fa_patch.class.inc
M	includes/errors.inc
M	includes/references.inc
M	includes/remote_url.inc
M	includes/session.inc

2015-05-10 19:14:11 +0200 Janusz Dobrowolski 
Install/Activate Themes: fixed hangups during theme removal.
M	admin/db/company_db.inc
M	admin/inst_theme.php

2015-05-09 23:18:51 +0200 Joe Hunt 
New CHANGELOG.txt format.
M	CHANGELOG.txt
M	doc/CHANGELOG.old.txt

2015-05-09 23:07:36 +0200 Joe Hunt 
Merge branch 'master' of ssh://git.code.sf.net/p/frontaccounting/git
2015-05-09 23:06:09 +0200 Joe Hunt 
New CHANGELOG.txt format.
M	CHANGELOG.txt
M	doc/CHANGELOG.old.txt

2015-05-07 15:11:14 +0200 Joe Hunt 
Finished Swedish and Danish translations for install wizard.
M	install/lang/da_DK/LC_MESSAGES/da_DK.mo
M	install/lang/da_DK/LC_MESSAGES/da_DK.po
M	install/lang/sv_SE/LC_MESSAGES/sv_SE.mo
M	install/lang/sv_SE/LC_MESSAGES/sv_SE.po

2015-05-07 12:53:58 +0200 Janusz Dobrowolski 
Cleanups in gettext files.
M	install/lang/ar_EG/LC_MESSAGES/ar_EG.mo
M	install/lang/ar_EG/LC_MESSAGES/ar_EG.po
M	install/lang/da_DK/LC_MESSAGES/da_DK.mo
M	install/lang/da_DK/LC_MESSAGES/da_DK.po
M	install/lang/de_DE/LC_MESSAGES/de_DE.mo
M	install/lang/de_DE/LC_MESSAGES/de_DE.po
M	install/lang/el_GR/LC_MESSAGES/el_GR.mo
M	install/lang/el_GR/LC_MESSAGES/el_GR.po
M	install/lang/es_MX/LC_MESSAGES/es_MX.mo
M	install/lang/es_MX/LC_MESSAGES/es_MX.po
M	install/lang/fr_FR/LC_MESSAGES/fr_FR.mo
M	install/lang/fr_FR/LC_MESSAGES/fr_FR.po
M	install/lang/id_ID/LC_MESSAGES/id_ID.mo
M	install/lang/id_ID/LC_MESSAGES/id_ID.po
M	install/lang/it_IT/LC_MESSAGES/it_IT.mo
M	install/lang/it_IT/LC_MESSAGES/it_IT.po
M	install/lang/ka_GE/LC_MESSAGES/ka_GE.mo
M	install/lang/ka_GE/LC_MESSAGES/ka_GE.po
M	install/lang/new_language_template/LC_MESSAGES/empty.po
M	install/lang/nl_BE/LC_MESSAGES/nl_BE.mo
M	install/lang/nl_BE/LC_MESSAGES/nl_BE.po
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.mo
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.po
M	install/lang/pt_BR/LC_MESSAGES/pt_BR.mo
M	install/lang/pt_BR/LC_MESSAGES/pt_BR.po
M	install/lang/pt_PT/LC_MESSAGES/pt_PT.mo
M	install/lang/pt_PT/LC_MESSAGES/pt_PT.po
M	install/lang/sv_SE/LC_MESSAGES/sv_SE.mo
M	install/lang/sv_SE/LC_MESSAGES/sv_SE.po
M	install/lang/zh_CN/LC_MESSAGES/zh_CN.mo
M	install/lang/zh_CN/LC_MESSAGES/zh_CN.po
M	lang/en_US/LC_MESSAGES/en_US.mo
M	lang/new_language_template/LC_MESSAGES/empty.po

2015-05-07 10:13:33 +0200 Janusz Dobrowolski 
Fixed sales kits edition (false validation errors during new kit entry).
M	inventory/includes/db/items_codes_db.inc
M	inventory/manage/sales_kits.php

2015-05-06 23:05:20 +0200 Janusz Dobrowolski 
Fixed amibiguity in few text messages to make translations easier, updated gettext templates.
M	applications/suppliers.php
M	install/lang/new_language_template/LC_MESSAGES/empty.po
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.mo
M	install/lang/pl_PL/LC_MESSAGES/pl_PL.po
M	inventory/manage/items.php
M	inventory/view/view_adjustment.php
M	inventory/view/view_transfer.php
M	lang/new_language_template/LC_MESSAGES/empty.po

2015-05-06 22:30:47 +0200 Janusz Dobrowolski 
Fixed regression in db_pager.
M	includes/db_pager.inc

2015-04-13 19:03:26 +0200 Janusz Dobrowolski 
Empty password is forbidden when creating new user account.
M	admin/users.php

2015-04-12 00:58:31 +0200 Janusz Dobrowolski 
HTML cleanup in fiscal years selector helper.
M	includes/ui/ui_lists.inc

2015-05-06 17:27:15 +0200 Janusz Dobrowolski 
Fixed text typos in installer and item codes editor.
M	install/index.php
M	inventory/manage/item_codes.php

2015-05-06 17:24:23 +0200 Janusz Dobrowolski 
Costed Inventory Movement Report: fixed regression after changes in stock_moves.
M	reporting/rep308.php

2015-05-06 15:34:20 +0200 Janusz Dobrowolski 
Supplier Invoice: removed obsolete column from displayed delivery lines containing internal line id.
M	purchasing/includes/ui/invoice_ui.inc

2015-05-06 10:30:34 +0200 Janusz Dobrowolski 
Fixed backward compatibility for extensions repository settings in config.php, cleanups in extensions related screens.
M	admin/inst_chart.php
M	admin/inst_module.php
M	admin/inst_theme.php
M	includes/packages.inc
M	version.php

2015-05-05 09:59:14 +0200 Janusz Dobrowolski 
Help links switched on for new FA installations.
M	config.default.php
M	includes/page/header.inc

2015-04-26 23:08:42 +0200 Janusz Dobrowolski 
Purchases/Direct Invoice: added Update button for refreshing tax summary on demand.
M	purchasing/includes/ui/po_ui.inc
M	purchasing/po_entry_items.php

2015-04-26 23:02:33 +0200 Janusz Dobrowolski 
Foreign Item Codes: fixed message displayed for invalid quantity entered.
M	inventory/manage/item_codes.php

2015-04-29 16:39:48 +0200 Joe Hunt 
Only first item in Supplier Credit Notes had tax added. Fixed.
M	purchasing/supplier_credit.php

2015-04-29 14:18:44 +0200 Joe Hunt 
Fixed wrong headers in Supplier Credit Note.
M	purchasing/includes/ui/invoice_ui.inc

2015-04-28 16:20:06 +0200 Joe Hunt 
IE 11 doesn't work with input file type in forms. Fixed.
M	includes/page/header.inc

2015-04-27 10:04:03 +0200 Joe Hunt 
Fixed empty(trim)) error in versions prior to php 5.5
M	purchasing/po_entry_items.php

2015-04-27 10:02:58 +0200 Joe Hunt 
Fixed wrong company path in config.default.php
M	config.default.php

2015-04-21 09:53:47 +0200 Janusz Dobrowolski 
Removed obsolete keys on supp_trans and cust_branch tables.
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-04-20 19:17:06 +0200 Janusz Dobrowolski 
After timeout UI was always switched into fallback mode.
M	access/login.php
M	js/inserts.js

2015-04-20 16:15:10 +0200 Janusz Dobrowolski 
Fixed source compatibility to PHP 5.0, fixed bug in epassword reset feature.
M	includes/current_user.inc
M	includes/main.inc
M	includes/system_tests.inc
M	sales/includes/ui/sales_credit_ui.inc
M	sales/includes/ui/sales_order_ui.inc

2015-02-18 13:13:33 +0100 Janusz Dobrowolski 
Transaction references extended with parametrized patterns, added check_reference() ui helper, initial transaction reference pattern set to {001}/{YYYY}.
M	admin/db/fiscalyears_db.inc
M	admin/db/transactions_db.inc
M	admin/forms_setup.php
M	applications/setup.php
M	dimensions/dimension_entry.php
M	gl/bank_transfer.php
M	gl/gl_bank.php
M	gl/gl_journal.php
M	gl/includes/db/gl_db_banking.inc
M	gl/includes/db/gl_db_trans.inc
M	gl/includes/ui/gl_bank_ui.inc
M	gl/manage/revaluate_currencies.php
M	includes/data_checks.inc
A	includes/db/class.data_set.inc
A	includes/db/class.reflines_db.inc
M	includes/db/inventory_db.inc
D	includes/db/references_db.inc
M	includes/references.inc
A	includes/ui/class.crud_view.inc
A	includes/ui/class.reflines_crud.inc
M	includes/ui/ui_input.inc
M	includes/ui/ui_lists.inc
M	includes/ui/ui_view.inc
M	inventory/adjustments.php
M	inventory/includes/item_adjustments_ui.inc
M	inventory/includes/stock_transfers_ui.inc
M	inventory/transfers.php
M	manufacturing/includes/db/work_order_costing_db.inc
M	manufacturing/includes/work_order_issue_ui.inc
M	manufacturing/work_order_add_finished.php
M	manufacturing/work_order_costs.php
M	manufacturing/work_order_entry.php
M	manufacturing/work_order_issue.php
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/purchasing_db.inc
M	purchasing/includes/ui/grn_ui.inc
M	purchasing/includes/ui/invoice_ui.inc
M	purchasing/includes/ui/po_ui.inc
M	purchasing/po_entry_items.php
M	purchasing/po_receive_items.php
M	purchasing/supplier_credit.php
M	purchasing/supplier_invoice.php
M	purchasing/supplier_payment.php
M	sales/create_recurrent_invoices.php
M	sales/credit_note_entry.php
M	sales/customer_credit_invoice.php
M	sales/customer_delivery.php
M	sales/customer_invoice.php
M	sales/customer_payments.php
M	sales/includes/cart_class.inc
M	sales/includes/db/sales_invoice_db.inc
M	sales/includes/db/sales_order_db.inc
M	sales/includes/ui/sales_credit_ui.inc
M	sales/includes/ui/sales_order_ui.inc
M	sales/sales_order_entry.php
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-04-17 14:54:33 +0200 Janusz Dobrowolski 
Added text_input() helper.
M	includes/ui/ui_input.inc

2015-04-19 19:06:36 +0200 Janusz Dobrowolski 
Fixed journal view and journal inquiry (regression).
M	gl/includes/db/gl_db_trans.inc
M	gl/inquiry/journal_inquiry.php
M	gl/view/gl_trans_view.php

2015-04-19 18:27:30 +0200 Janusz Dobrowolski 
Backup/Restore: added option to preserve security settings during database restoration.
M	admin/backups.php

2015-04-17 23:40:08 +0200 Janusz Dobrowolski 
Collation selection in installer and company creation, rewritten Create Companies page; fixed pre-login decimal settings.
M	admin/create_coy.php
M	admin/db/maintenance_db.inc
M	includes/current_user.inc
M	includes/db/connect_db.inc
M	includes/db/connect_db_mysql.inc
M	includes/db/connect_db_mysqli.inc
M	includes/sysnames.inc
M	includes/ui/ui_input.inc
M	includes/ui/ui_lists.inc
M	install/index.php
M	sql/alter2.4.php
M	sql/en_US-demo.sql
M	sql/en_US-new.sql
M	themes/aqua/renderer.php
M	themes/cool/renderer.php
M	themes/default/renderer.php

2015-04-19 11:50:10 +0200 Joe Hunt 
Cleanup in inventory reports after merge.
M	reporting/rep304.php
M	reporting/rep308.php

2015-04-18 11:41:45 +0200 Janusz Dobrowolski 
Merging latest changes from stable branch up to 2.3.24
2015-04-17 17:54:42 +0200 Janusz Dobrowolski 
Fixed upgrade procedures (obsolete columns dropped in post_install phase), restored lost line in initial demo sql file.
M	sql/alter2.4.php
M	sql/alter2.4.sql
M	sql/en_US-new.sql

2015-04-17 15:16:10 +0200 Janusz Dobrowolski 
Upgrade process started as non-ajax request to avoid UI timeout.
M	admin/inst_upgrade.php
M	js/inserts.js

2015-04-17 10:00:27 +0200 Janusz Dobrowolski 
Fixed small issues in upgrade procedures.
M	admin/includes/fa_patch.class.inc
M	sql/alter2.4.php
M	sql/alter2.4.sql

2015-04-16 15:10:23 +0200 Janusz Dobrowolski 
Added extensions compatibility checks during site upgrade and per company activation.
M	admin/includes/fa_patch.class.inc
M	admin/inst_module.php
M	includes/packages.inc
M	version.php

2015-04-16 10:30:49 +0200 Janusz Dobrowolski 
Backup and Restore: system settings has not been refreshed after restore (typo).
M	admin/backups.php

2015-04-16 10:27:04 +0200 Janusz Dobrowolski 
Salesman Report: fixed bug in provision calculation, Sales Persons: changed break point definition to turnover level.
M	reporting/rep106.php
M	sales/manage/sales_people.php
M	sql/alter2.4.sql

2015-04-16 09:21:16 +0200 Janusz Dobrowolski 
Purchasse Order Inquire: finalized oders are hidden by default.
M	purchasing/includes/db/po_db.inc
M	purchasing/inquiry/po_search_completed.php

2015-04-16 09:02:55 +0200 Janusz Dobrowolski 
Item Tax Types: fixed inactive item tax types display switching.
M	taxes/db/item_tax_types_db.inc
M	taxes/db/tax_types_db.inc

2015-04-15 15:50:18 +0200 Janusz Dobrowolski 
Fixed typo in Suppliers Report.
M	reporting/rep205.php

2015-04-15 15:43:23 +0200 Janusz Dobrowolski 
Fixed db_import to allow select/delete queries in upgrade files.
M	admin/db/maintenance_db.inc

2015-04-15 12:17:30 +0200 Janusz Dobrowolski 
Small warning cleanup in bank payment/deposit edition.
M	gl/includes/db/gl_db_banking.inc

2015-04-11 15:57:19 +0200 Janusz Dobrowolski 
Additional syntax cleanup to previous patch.
M	includes/db_pager.inc

2015-04-11 10:30:39 +0200 Janusz Dobrowolski 
Fixed problem with counting number of rows for some SQL queries displayed in db pager.
M	gl/includes/db/gl_db_trans.inc
M	includes/db_pager.inc

2015-04-11 09:20:16 +0200 Joe Hunt 
Included option for Show Service Items in Inventory Sales Report
M	reporting/rep304.php
M	reporting/reports_main.php

2015-04-09 00:42:47 +0200 Janusz Dobrowolski 
Cleanup in inventory transfer view.
M	inventory/includes/db/items_transfer_db.inc
M	inventory/view/view_transfer.php

2015-04-07 22:14:55 +0200 Janusz Dobrowolski 
Fixed value returned by items_cart's check_qoh method.
M	includes/ui/items_cart.inc

2015-04-06 11:48:15 +0200 Janusz Dobrowolski 
Removed obsolete stock_move.person_id field and related handling.
M	includes/db/inventory_db.inc
M	manufacturing/includes/db/work_orders_quick_db.inc
M	purchasing/includes/db/grn_db.inc
M	purchasing/includes/db/invoice_db.inc
M	sales/includes/db/sales_credit_db.inc
M	sales/includes/db/sales_delivery_db.inc
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-04-06 11:18:13 +0200 Janusz Dobrowolski 
Removed obsolete Movement Types handling.
M	applications/inventory.php
M	includes/data_checks.inc
M	includes/ui/ui_lists.inc
D	inventory/includes/db/movement_types_db.inc
M	inventory/includes/inventory_db.inc
D	inventory/manage/movement_types.php
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-04-06 10:19:42 +0200 Janusz Dobrowolski 
Removed stock_move.person_id references from stock movements inquiry.
M	inventory/includes/db/movement_types_db.inc
M	inventory/includes/inventory_db.inc
M	inventory/inquiry/stock_movements.php

2015-04-06 09:26:22 +0200 Janusz Dobrowolski 
Removed stock_move.person_id references from inventory reports.
M	reporting/rep301.php
M	reporting/rep306.php
M	reporting/rep308.php

2015-04-06 00:27:10 +0200 Janusz Dobrowolski 
Inventory Adjustment: removed obsolete increase/descrease selector from entry form (negative quantities can now be entered just with minus sign).
M	doc/api_changes.txt
M	inventory/adjustments.php
M	inventory/includes/db/items_adjust_db.inc
M	inventory/includes/item_adjustments_ui.inc

2015-04-05 23:28:29 +0200 Janusz Dobrowolski 
Inventory Adjustment: removed movement type, cleanups.
M	doc/api_changes.txt
M	inventory/adjustments.php
M	inventory/includes/db/items_adjust_db.inc
M	inventory/includes/item_adjustments_ui.inc
M	inventory/view/view_adjustment.php

2015-04-05 23:06:14 +0200 Janusz Dobrowolski 
Inventory Transfer: removed movement type from transfer form, cleanups.
M	doc/api_changes.txt
M	inventory/includes/db/items_transfer_db.inc
M	inventory/includes/stock_transfers_ui.inc
M	inventory/transfers.php
M	inventory/view/view_transfer.php

2015-04-06 16:24:54 +0200 Janusz Dobrowolski 
Partial (inventory related) include files cleanup.
M	dimensions/dimension_entry.php
M	includes/db/inventory_db.inc
M	includes/db/manufacturing_db.inc
R085	includes/manufacturing.inc	includes/inventory.inc
M	inventory/cost_update.php
M	inventory/includes/inventory_db.inc
M	inventory/inquiry/stock_status.php
M	inventory/manage/item_codes.php
M	inventory/manage/sales_kits.php
M	inventory/purchasing_data.php
M	manufacturing/includes/manufacturing_db.inc
M	manufacturing/inquiry/bom_cost_inquiry.php
M	manufacturing/manage/bom_edit.php
M	manufacturing/view/wo_costs_view.php
M	manufacturing/view/wo_issue_view.php
M	manufacturing/view/wo_production_view.php
M	manufacturing/view/work_order_view.php
M	manufacturing/work_order_add_finished.php
M	manufacturing/work_order_costs.php
M	manufacturing/work_order_entry.php
M	manufacturing/work_order_release.php
M	purchasing/includes/purchasing_db.inc
M	sales/customer_credit_invoice.php
M	sales/customer_delivery.php
M	sales/customer_invoice.php
M	sales/includes/sales_db.inc
M	sales/includes/ui/sales_order_ui.inc

2015-04-06 16:56:56 +0200 Janusz Dobrowolski 
Fixed regression in Sales Kits.
M	inventory/manage/sales_kits.php

2015-04-06 15:34:57 +0200 Janusz Dobrowolski 
Fixed mysqli related warnings.
M	includes/db/manufacturing_db.inc
M	inventory/includes/db/items_codes_db.inc

2015-04-06 15:16:53 +0200 Janusz Dobrowolski 
Fixed typo in get_sql_for_work_orders.
M	manufacturing/includes/db/work_orders_db.inc

2015-04-05 18:39:43 +0200 Janusz Dobrowolski 
Fixed items_cart.check_qoh method (returned value, direct call to inventory checking function).
M	includes/ui/items_cart.inc
M	manufacturing/work_order_issue.php
M	sales/customer_delivery.php

2015-04-06 11:35:23 +0200 Janusz Dobrowolski 
Cleanup (unexisting field reference removed).
M	purchasing/includes/db/invoice_items_db.inc

2015-04-04 20:55:46 +0200 Janusz Dobrowolski 
Removed obsolete stock_move.discount_percent field
M	doc/api_changes.txt
M	includes/db/inventory_db.inc
M	reporting/rep304.php
M	reporting/rep306.php
M	sales/includes/db/sales_credit_db.inc
M	sales/includes/db/sales_delivery_db.inc
M	sales/includes/sales_db.inc
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2013-05-10 12:48:03 +0200 Janusz Dobrowolski 
Removed obsolete stock_moves.visible field; changed add_stock_move() prototype.
M	doc/api_changes.txt
M	includes/db/inventory_db.inc
M	manufacturing/includes/db/work_orders_quick_db.inc
M	purchasing/includes/db/grn_db.inc
M	purchasing/includes/db/invoice_db.inc
M	reporting/rep302.php
M	sales/includes/db/sales_credit_db.inc
M	sales/includes/db/sales_delivery_db.inc
M	sales/includes/sales_db.inc
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-04-03 14:33:39 +0200 Janusz Dobrowolski 
Fixed initial en_US-*.sql files (fiscal years setup, default value set for sys_prefs.value field).
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-04-04 10:42:22 +0200 Janusz Dobrowolski 
Fixed hidden fields support for ajax driven divs.
M	includes/ui/ui_controls.inc

2015-04-03 21:39:59 +0200 Joe Hunt 
Release 2.3.24
M	version.php

2015-04-03 21:11:19 +0200 ApMuthu 
Additional fix for Windows specific issue in access roles editor.
M	admin/security_roles.php

2015-04-03 19:25:35 +0200 Joe Hunt 
Issuing stocks in advanced manufacturing caused errors reporting negative stock always.
M	manufacturing/work_order_issue.php

2015-04-03 19:24:24 +0200 Joe Hunt 
Redundant check for negative stock removed.
M	reporting/rep409.php

2015-04-02 11:19:55 +0200 Joe Hunt 
Updated .gitattributes with export-ignore.
M	.gitattributes
M	update.html

2015-04-01 17:47:37 +0200 Janusz Dobrowolski 
Fixed hidden fields output (backported; fixes problem with security role editiom).
M	includes/ui/ui_controls.inc
M	includes/ui/ui_input.inc

2015-03-31 19:22:22 +0200 Janusz Dobrowolski 
[0002781] Improved error diagnostic during files upload.
M	admin/attachments.php
M	admin/company_preferences.php
M	inventory/manage/items.php

2015-03-31 14:35:26 +0200 Janusz Dobrowolski 
[0003084] Database password with special chars was stored distorted in config_db.
M	admin/create_coy.php

2015-03-31 13:41:22 +0200 Janusz Dobrowolski 
[0002707] Added check for email uniqueness during password reset.
M	admin/db/users_db.inc
M	includes/current_user.inc
M	includes/session.inc

2015-03-27 10:13:37 +0100 Janusz Dobrowolski 
Fixed meta files.
A	.gitattributes
A	.gitignore
D	.hgtags
A	README.md

2015-03-25 15:35:38 +0100 Janusz Dobrowolski 
Fixed hidden fields output. Fields are displayed after following table end (if any).
M	includes/ui/ui_controls.inc
M	includes/ui/ui_input.inc

2015-03-25 13:02:53 +0100 Janusz Dobrowolski 
Additional fix to merged stable branch changes.
M	themes/aqua/renderer.php
M	themes/cool/renderer.php
M	themes/default/renderer.php

2015-03-22 11:20:11 +0100 Janusz Dobrowolski 
Added missing company settings to upgrade script, fixed company settings refreshing method.
M	admin/backups.php
M	admin/company_preferences.php
M	admin/db/company_db.inc
M	admin/gl_setup.php
M	admin/includes/fa_patch.class.inc
M	includes/db/connect_db_mysql.inc
M	includes/db/connect_db_mysqli.inc
M	includes/prefs/sysprefs.inc
M	includes/session.inc
M	sql/alter2.4.sql

2015-03-22 07:54:03 +0100 Janusz Dobrowolski 
Fixed bug in journal related part of sql upgrade script.
M	sql/alter2.4.sql

2015-03-19 22:07:38 +0100 Janusz Dobrowolski 
Fixed regression in Supplier Invoice GL postings.
M	purchasing/includes/db/invoice_db.inc

2015-03-19 20:51:18 +0100 Janusz Dobrowolski 
Tax algorithm handling on supplier side is reverted as unpractical.
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/db/po_db.inc
M	purchasing/includes/db/supp_trans_db.inc
M	purchasing/includes/db/suppliers_db.inc
M	purchasing/includes/po_class.inc
M	purchasing/includes/purchasing_db.inc
M	purchasing/includes/supp_trans_class.inc
M	purchasing/includes/ui/invoice_ui.inc
M	purchasing/includes/ui/po_ui.inc
M	purchasing/manage/suppliers.php
M	purchasing/po_entry_items.php
M	purchasing/supplier_invoice.php
M	reporting/rep209.php
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-03-19 19:05:45 +0100 Janusz Dobrowolski 
Additional fixes for journal handling. Added reg_type in trans_tax_details.
M	gl/includes/db/gl_db_trans.inc
M	gl/inquiry/journal_inquiry.php
M	includes/ui/items_cart.inc
M	purchasing/includes/db/invoice_db.inc
M	reporting/rep709.php
M	sales/includes/db/sales_credit_db.inc
M	sales/includes/db/sales_delivery_db.inc
M	sales/includes/db/sales_invoice_db.inc
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-03-19 15:17:54 +0100 Janusz Dobrowolski 
Fixed handling extended journal entries in various places.
M	admin/db/transactions_db.inc
M	gl/includes/db/gl_db_banking.inc
M	gl/includes/db/gl_db_trans.inc
M	gl/inquiry/journal_inquiry.php
M	gl/view/gl_trans_view.php
M	includes/db/audit_trail_db.inc
M	includes/ui/ui_lists.inc
M	purchasing/allocations/supplier_allocation_main.php
M	purchasing/includes/db/supp_trans_db.inc
M	purchasing/inquiry/supplier_allocation_inquiry.php
M	purchasing/supplier_payment.php
M	reporting/rep101.php
M	reporting/rep102.php
M	sales/includes/db/cust_trans_db.inc
M	sales/includes/db/sales_invoice_db.inc
M	sales/inquiry/customer_allocation_inquiry.php
M	sales/inquiry/customer_inquiry.php

2015-03-19 11:05:37 +0100 Janusz Dobrowolski 
Sales invoice voiding is blocked when sales credit was issued against the invoice.
M	admin/db/voiding_db.inc
M	sales/includes/db/sales_invoice_db.inc

2015-03-19 11:05:04 +0100 Janusz Dobrowolski 
Improved error messages in transaction voiding.
M	admin/db/voiding_db.inc
M	admin/void_transaction.php
M	gl/includes/db/gl_db_banking.inc

2015-02-18 13:13:33 +0100 Janusz Dobrowolski 
Improved journal trans: added currency support, tax and source document date. Allowed multiply customer/supplier allocations to single journal transaction.
M	admin/db/fiscalyears_db.inc
M	gl/accruals.php
M	gl/gl_journal.php
M	gl/includes/db/gl_db_accounts.inc
M	gl/includes/db/gl_db_banking.inc
M	gl/includes/db/gl_db_trans.inc
A	gl/includes/db/gl_journal.inc
M	gl/includes/gl_db.inc
M	gl/includes/ui/gl_journal_ui.inc
M	includes/db/inventory_db.inc
M	includes/types.inc
M	includes/ui/allocation_cart.inc
M	includes/ui/items_cart.inc
M	includes/ui/ui_controls.inc
M	includes/ui/ui_input.inc
M	inventory/includes/db/items_trans_db.inc
M	manufacturing/includes/db/work_order_costing_db.inc
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/db/suppalloc_db.inc
M	purchasing/includes/db/suppliers_db.inc
M	purchasing/includes/purchasing_db.inc
M	reporting/includes/reporting.inc
M	sales/includes/db/branches_db.inc
M	sales/includes/db/cust_trans_db.inc
M	sales/includes/db/custalloc_db.inc
M	sales/includes/db/customers_db.inc
M	sales/includes/db/sales_invoice_db.inc
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-02-18 10:06:05 +0100 Janusz Dobrowolski 
Added memo, usage fields to Quick Entries.
M	gl/includes/db/gl_db_bank_accounts.inc
M	gl/manage/gl_quick_entries.php
M	includes/ui/ui_view.inc
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-03-04 18:57:09 +0100 Janusz Dobrowolski 
Fixed obvious mistake in en_US-demo.sql
M	sql/en_US-demo.sql

2015-03-25 10:58:57 +0100 Janusz Dobrowolski 
Merged changes from stable branch up to 2.3.23.
2015-03-23 16:29:56 +0100 Joe 
New CHANGELOG.txt
M	CHANGELOG.txt

2015-03-23 16:27:19 +0100 Joe 
Release 2.3.23
M	version.php

2015-03-23 14:55:38 +0100 Janusz Dobrowolski 
Gettext template update.
M	lang/new_language_template/LC_MESSAGES/empty.po

2015-03-14 16:05:36 +0100 Janusz Dobrowolski 
Additional cleanups in standard themes.
M	themes/aqua/renderer.php
M	themes/cool/renderer.php
M	themes/default/renderer.php

2015-03-12 13:00:10 +0100 Janusz Dobrowolski 
Fixed many issues in output HTML code according to HTML 4.01 Transitional format.
M	access/login.php
M	access/logout.php
M	access/password_reset.php
M	admin/create_coy.php
M	admin/crm_categories.php
M	admin/db/attachments_db.inc
M	admin/inst_upgrade.php
M	admin/security_roles.php
M	gl/gl_bank.php
M	gl/gl_journal.php
M	gl/includes/ui/gl_bank_ui.inc
M	gl/includes/ui/gl_journal_ui.inc
M	gl/inquiry/balance_sheet.php
M	gl/inquiry/profit_loss.php
M	gl/view/bank_transfer_view.php
M	gl/view/gl_deposit_view.php
M	gl/view/gl_payment_view.php
M	gl/view/gl_trans_view.php
M	includes/page/footer.inc
M	includes/page/header.inc
M	includes/system_tests.inc
M	includes/ui/allocation_cart.inc
M	includes/ui/contacts_view.inc
M	includes/ui/db_pager_view.inc
M	includes/ui/ui_controls.inc
M	includes/ui/ui_input.inc
M	includes/ui/ui_lists.inc
M	includes/ui/ui_msgs.inc
M	includes/ui/ui_view.inc
M	includes/ui/view_package.php
M	install/index.php
M	inventory/adjustments.php
M	inventory/includes/item_adjustments_ui.inc
M	inventory/includes/stock_transfers_ui.inc
M	inventory/manage/item_categories.php
M	inventory/manage/item_codes.php
M	inventory/manage/item_units.php
M	inventory/manage/movement_types.php
M	inventory/manage/sales_kits.php
M	inventory/prices.php
M	inventory/purchasing_data.php
M	inventory/reorder_level.php
M	inventory/transfers.php
M	inventory/view/view_adjustment.php
M	inventory/view/view_transfer.php
M	manufacturing/includes/manufacturing_ui.inc
M	manufacturing/includes/work_order_issue_ui.inc
M	manufacturing/manage/bom_edit.php
M	manufacturing/manage/work_centres.php
M	manufacturing/work_order_issue.php
M	purchasing/includes/ui/grn_ui.inc
M	purchasing/includes/ui/invoice_ui.inc
M	purchasing/includes/ui/po_ui.inc
M	purchasing/inquiry/supplier_inquiry.php
M	purchasing/po_receive_items.php
M	purchasing/supplier_payment.php
M	purchasing/view/view_grn.php
M	purchasing/view/view_po.php
M	purchasing/view/view_supp_credit.php
M	purchasing/view/view_supp_invoice.php
M	purchasing/view/view_supp_payment.php
M	reporting/includes/reports_classes.inc
M	sales/create_recurrent_invoices.php
M	sales/credit_note_entry.php
M	sales/customer_credit_invoice.php
M	sales/customer_delivery.php
M	sales/customer_invoice.php
M	sales/customer_payments.php
M	sales/includes/ui/sales_credit_ui.inc
M	sales/includes/ui/sales_order_ui.inc
M	sales/inquiry/customer_inquiry.php
M	sales/manage/sales_areas.php
M	sales/manage/sales_groups.php
M	sales/manage/sales_people.php
M	sales/manage/sales_types.php
M	sales/sales_order_entry.php
M	sales/view/view_credit.php
M	sales/view/view_dispatch.php
M	sales/view/view_invoice.php
M	sales/view/view_receipt.php
M	sales/view/view_sales_order.php
M	taxes/item_tax_types.php
M	themes/aqua/renderer.php
M	themes/cool/renderer.php
M	themes/default/renderer.php

2015-02-20 15:26:50 +0100 Janusz Dobrowolski 
Additional access control related ui helpers added: check_edit_access, access_post, access_num
M	includes/access_levels.inc

2015-02-20 11:02:50 +0100 Janusz Dobrowolski 
Attachments were not moved to new transaction after edition for some document types.
M	admin/db/attachments_db.inc
M	gl/includes/db/gl_db_banking.inc
M	purchasing/includes/db/invoice_db.inc
M	sales/includes/db/sales_delivery_db.inc
M	sales/includes/db/sales_invoice_db.inc

2015-02-20 10:34:29 +0100 Janusz Dobrowolski 
Added dimension edition on purchase invoice entry.
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/db/invoice_items_db.inc
M	purchasing/includes/po_class.inc
M	purchasing/includes/purchasing_db.inc
M	purchasing/includes/supp_trans_class.inc
M	purchasing/includes/ui/invoice_ui.inc
M	purchasing/includes/ui/po_ui.inc
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-02-19 22:40:57 +0100 Janusz Dobrowolski 
Changes in db scheme: gl_trans.type_no optimized to int, changed lock_stock.reorder_level type to double.
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-02-19 22:04:58 +0100 Janusz Dobrowolski 
Small cleanup to branch name length in input form and printouts.
M	reporting/includes/header2.inc
M	sales/includes/ui/sales_order_ui.inc
M	sales/manage/customer_branches.php

2015-02-19 20:51:16 +0100 Janusz Dobrowolski 
Added mysql query retry after database deadlock detection.
M	includes/db/connect_db.inc
M	includes/db/connect_db_mysql.inc
M	includes/db/connect_db_mysqli.inc

2015-02-17 23:27:06 +0100 Janusz Dobrowolski 
Fixed initialization of company specific settings in SysPrefs.
M	admin/db/company_db.inc
M	includes/prefs/sysprefs.inc
M	includes/session.inc
M	sales/sales_order_entry.php

2015-02-13 11:04:24 +0100 Janusz Dobrowolski 
Removed sparse update_stock_move_pid function.
M	includes/db/inventory_db.inc
M	purchasing/includes/db/invoice_db.inc

2015-02-13 11:03:25 +0100 Janusz Dobrowolski 
Added optional parameter timeout to meta_forward() helper.
M	includes/ui/ui_controls.inc

2015-02-20 01:44:21 +0100 Joe 
Rerun. The aging reports / inquiries had a 1 day error in presentation. Fixed.
M	purchasing/includes/db/suppliers_db.inc
M	reporting/rep102.php
M	reporting/rep202.php
M	sales/includes/db/customers_db.inc
M	sales/inquiry/customer_inquiry.php

2015-02-19 17:48:05 +0100 Joe 
The aging reports / inquiries had a 1 day error in presentation. Fixed.
M	purchasing/includes/db/suppliers_db.inc
M	reporting/rep102.php
M	reporting/rep202.php
M	sales/includes/db/customers_db.inc

2015-02-19 10:17:41 +0100 Joe 
Allow search by Id in search work orders.
M	manufacturing/includes/db/work_orders_db.inc
M	manufacturing/search_work_orders.php

2015-02-15 08:49:41 +0100 Joe 
Wrong number of parameters in document invoice in reporting.inc
M	reporting/includes/reporting.inc

2015-02-15 08:47:48 +0100 Joe 
Better error msg when trying to use a GL account with transactions.
M	gl/manage/bank_accounts.php

2015-02-13 22:46:35 +0100 Joe 
Rerun of rep107. Currency filter not working in documents.
M	reporting/rep107.php

2015-02-12 21:50:24 +0100 Joe 
Currency filter not working in documents.
M	reporting/rep107.php
M	reporting/rep108.php
M	reporting/rep109.php
M	reporting/rep111.php
M	reporting/rep112.php
M	reporting/rep113.php
M	reporting/rep209.php
M	reporting/rep210.php

2015-02-10 08:33:04 +0100 Joe 
Moved page number, when more than 1 page, on documents down 2 lines.
M	reporting/includes/header2.inc

2015-02-04 08:03:03 +0100 Joe 
Cleanup and preparing for XLS extension in class.mail.inc.
M	reporting/includes/class.mail.inc

2015-01-25 08:46:58 +0100 Joe 
Cleanup $go_debug in system_tests.inc
M	includes/system_tests.inc

2015-01-24 10:25:32 +0100 Joe 
Fixed Delivery note bug : Parent constraints not working if sales order line deleted after delivery
M	sales/includes/cart_class.inc

2015-01-23 22:19:46 +0100 Janusz Dobrowolski 
Cleanup: package info viewer moved to admin module.
R100	includes/ui/view_package.php	admin/view/view_package.php
M	includes/ui/ui_view.inc

2015-01-23 19:28:46 +0100 Janusz Dobrowolski 
Rewritten upgrade procedures, added fa_patch class, utf8 collation can be set before upgrade.
M	admin/backups.php
M	admin/db/company_db.inc
A	admin/includes/fa_patch.class.inc
A	admin/includes/index.php
M	admin/inst_module.php
M	admin/inst_upgrade.php
A	admin/view/view_upgrade_log.php
M	config.default.php
M	includes/db/connect_db.inc
M	includes/db/connect_db_mysqli.inc
M	includes/prefs/sysprefs.inc
M	includes/ui/ui_input.inc
M	includes/ui/view_package.php
M	sql/alter2.1.php
M	sql/alter2.2.php
M	sql/alter2.3.php
M	sql/alter2.4.php
A	themes/aqua/images/log.png
A	themes/cool/images/log.png
A	themes/default/images/log.png

2015-01-21 12:03:42 +0100 Joe 
cleanup2 according to Apmuthu's list.
M	includes/current_user.inc
M	reporting/rep111.php

2015-01-21 10:09:10 +0100 Joe 
Vlrsnup according to Apmuthu's list.
M	includes/current_user.inc
M	includes/db/connect_db_mysql.inc

2015-01-21 09:46:11 +0100 Joe 
Small fixes according to Apmuthu's list.
M	reporting/includes/pdf_report.inc
M	reporting/rep107.php
M	reporting/rep108.php
M	reporting/rep109.php
M	reporting/rep110.php
M	reporting/rep111.php
M	reporting/rep112.php
M	reporting/rep113.php
M	reporting/rep209.php
M	reporting/rep210.php
M	reporting/rep409.php

2015-01-18 00:27:51 +0100 Joe 
Rerun of PO Search.
M	purchasing/inquiry/po_search.php

2015-01-18 00:23:02 +0100 Joe 
Cleanup in PO Search and PO Search Completed.
M	purchasing/inquiry/po_search.php
M	purchasing/inquiry/po_search_completed.php

2015-01-17 20:03:22 +0100 Janusz Dobrowolski 
Fixed a couple of problems in installation procedures.
M	admin/create_coy.php
M	includes/current_user.inc
M	includes/db/connect_db_mysql.inc
M	includes/db/connect_db_mysqli.inc
M	includes/prefs/sysprefs.inc
M	install/index.php
M	install/isession.inc

2015-01-17 08:50:21 +0100 Joe 
Missing update of shipping tax when crediting an invoice.
M	sales/customer_credit_invoice.php

2015-01-13 10:07:29 +0100 Janusz Dobrowolski 
Whitespace cleanup.
M	admin/db/company_db.inc

2015-01-13 09:54:10 +0100 Janusz Dobrowolski 
selected_kit parameter should be passed to function as argument instead of global variable.
M	inventory/manage/sales_kits.php

2015-01-11 17:24:33 +0100 Janusz Dobrowolski 
Fixed regresion in inst_upgrade.php
M	admin/inst_upgrade.php
M	sql/alter2.4.sql

2015-01-11 17:21:53 +0100 Janusz Dobrowolski 
Fixed problems with htmlspecialchars() function for not dupported encodings on newer php versions, fixed report encoding issue.
M	includes/JsHttpRequest.php
M	includes/db/connect_db_mysql.inc
M	includes/db/connect_db_mysqli.inc
M	includes/errors.inc
M	includes/prefs/userprefs.inc
M	includes/session.inc
M	install/isession.inc
M	reporting/includes/pdf_report.inc

2015-01-11 15:28:23 +0100 Janusz Dobrowolski 
Fixed regression in items.php.
M	inventory/manage/items.php

2015-01-11 11:16:52 +0100 Janusz Dobrowolski 
Fixed problem with too early SysPrefs reference.
M	includes/session.inc

2015-01-10 20:44:20 +0100 Janusz Dobrowolski 
Unnecesary direct access to user setting superseded by calls to user_* functions.
M	access/login.php
M	access/password_reset.php
M	admin/backups.php
M	admin/create_coy.php
M	admin/db/fiscalyears_db.inc
M	config.default.php
M	gl/inquiry/bank_inquiry.php
M	gl/inquiry/gl_account_inquiry.php
M	gl/inquiry/gl_trial_balance.php
M	gl/inquiry/profit_loss.php
M	gl/inquiry/tax_inquiry.php
M	gl/view/accrual_trans.php
M	includes/current_user.inc
M	includes/db/connect_db_mysql.inc
M	includes/db/connect_db_mysqli.inc
M	inventory/inquiry/stock_movements.php
M	purchasing/includes/ui/invoice_ui.inc
M	purchasing/inquiry/po_search.php
M	purchasing/inquiry/po_search_completed.php
M	purchasing/inquiry/supplier_allocation_inquiry.php
M	purchasing/inquiry/supplier_inquiry.php
M	reporting/includes/pdf_report.inc
M	reporting/rep102.php
M	reporting/rep202.php
M	reporting/rep706.php
M	reporting/rep707.php
M	sales/inquiry/customer_allocation_inquiry.php
M	sales/inquiry/customer_inquiry.php
M	sales/inquiry/sales_deliveries_view.php
M	sales/inquiry/sales_orders_view.php
M	sales/sales_order_entry.php
M	themes/aqua/renderer.php
M	themes/cool/renderer.php
M	themes/default/renderer.php

2015-01-10 16:53:55 +0100 Janusz Dobrowolski 
Access to system settings moved from global scope to SysPrefs.
M	access/login.php
M	access/logout.php
M	access/password_reset.php
M	admin/attachments.php
M	admin/backups.php
M	admin/change_current_user_password.php
M	admin/company_preferences.php
M	admin/db/company_db.inc
M	admin/db/fiscalyears_db.inc
M	admin/db/maintenance_db.inc
M	admin/db/users_db.inc
M	admin/display_prefs.php
M	admin/inst_chart.php
M	admin/inst_lang.php
M	admin/inst_module.php
M	admin/inst_theme.php
M	admin/inst_upgrade.php
M	admin/print_profiles.php
M	admin/view_print_transaction.php
M	admin/void_transaction.php
M	config.default.php
M	dimensions/inquiry/search_dimensions.php
M	doc/api_changes.txt
M	gl/bank_account_reconcile.php
M	gl/bank_transfer.php
M	gl/gl_bank.php
M	gl/gl_journal.php
M	gl/includes/db/gl_db_rates.inc
M	gl/includes/db/gl_db_trans.inc
M	gl/inquiry/balance_sheet.php
M	gl/inquiry/bank_inquiry.php
M	gl/inquiry/gl_account_inquiry.php
M	gl/inquiry/gl_trial_balance.php
M	gl/inquiry/journal_inquiry.php
M	gl/inquiry/profit_loss.php
M	gl/inquiry/tax_inquiry.php
M	gl/manage/close_period.php
M	gl/manage/exchange_rates.php
M	gl/manage/gl_account_classes.php
M	includes/access_levels.inc
M	includes/current_user.inc
M	includes/date_functions.inc
M	includes/db/connect_db_mysql.inc
M	includes/db/connect_db_mysqli.inc
M	includes/db/sql_functions.inc
M	includes/db_pager.inc
M	includes/errors.inc
M	includes/main.inc
M	includes/page/header.inc
M	includes/prefs/sysprefs.inc
M	includes/prefs/userprefs.inc
M	includes/session.inc
M	includes/system_tests.inc
M	includes/types.inc
M	includes/ui/db_pager_view.inc
M	includes/ui/ui_lists.inc
M	includes/ui/ui_view.inc
M	inventory/adjustments.php
M	inventory/cost_update.php
M	inventory/inquiry/stock_movements.php
M	inventory/manage/items.php
M	inventory/manage/sales_kits.php
M	inventory/transfers.php
M	manufacturing/search_work_orders.php
M	manufacturing/view/wo_costs_view.php
M	manufacturing/view/wo_issue_view.php
M	manufacturing/view/wo_production_view.php
M	manufacturing/view/work_order_view.php
M	manufacturing/work_order_add_finished.php
M	manufacturing/work_order_costs.php
M	manufacturing/work_order_entry.php
M	manufacturing/work_order_issue.php
M	manufacturing/work_order_release.php
M	purchasing/allocations/supplier_allocate.php
M	purchasing/allocations/supplier_allocation_main.php
M	purchasing/inquiry/po_search.php
M	purchasing/inquiry/po_search_completed.php
M	purchasing/inquiry/supplier_allocation_inquiry.php
M	purchasing/inquiry/supplier_inquiry.php
M	purchasing/manage/suppliers.php
M	purchasing/po_entry_items.php
M	purchasing/po_receive_items.php
M	purchasing/supplier_credit.php
M	purchasing/supplier_invoice.php
M	purchasing/supplier_payment.php
M	purchasing/view/view_grn.php
M	purchasing/view/view_po.php
M	purchasing/view/view_supp_credit.php
M	purchasing/view/view_supp_invoice.php
M	purchasing/view/view_supp_payment.php
M	reporting/includes/Workbook.php
M	reporting/includes/class.graphic.inc
M	reporting/includes/doctext.inc
M	reporting/includes/excel_report.inc
M	reporting/includes/pdf_report.inc
M	reporting/includes/reporting.inc
M	reporting/includes/reports_classes.inc
M	reporting/rep102.php
M	reporting/rep104.php
M	reporting/rep109.php
M	reporting/rep110.php
M	reporting/rep111.php
M	reporting/rep202.php
M	reporting/rep301.php
M	reporting/rep303.php
M	reporting/rep705.php
M	reporting/rep706.php
M	reporting/rep707.php
M	reporting/rep708.php
M	reporting/rep709.php
M	sales/allocations/customer_allocate.php
M	sales/allocations/customer_allocation_main.php
M	sales/create_recurrent_invoices.php
M	sales/credit_note_entry.php
M	sales/customer_credit_invoice.php
M	sales/customer_delivery.php
M	sales/customer_invoice.php
M	sales/customer_payments.php
M	sales/includes/cart_class.inc
M	sales/includes/db/cust_trans_db.inc
M	sales/includes/sales_ui.inc
M	sales/inquiry/customer_allocation_inquiry.php
M	sales/inquiry/customer_inquiry.php
M	sales/inquiry/sales_deliveries_view.php
M	sales/inquiry/sales_orders_view.php
M	sales/manage/customers.php
M	sales/manage/recurrent_invoices.php
M	sales/sales_order_entry.php
M	sales/view/view_credit.php
M	sales/view/view_dispatch.php
M	sales/view/view_invoice.php
M	sales/view/view_receipt.php
M	sales/view/view_sales_order.php
M	themes/aqua/renderer.php
M	themes/cool/renderer.php
M	themes/default/renderer.php

2015-01-09 20:03:54 +0100 Cambell Prince 
Added Bank Transfer edition.
M	gl/bank_transfer.php
M	gl/includes/db/gl_db_bank_trans.inc
M	gl/includes/db/gl_db_banking.inc
M	gl/inquiry/bank_inquiry.php

2015-01-09 20:01:59 +0100 Janusz Dobrowolski 
Added two new helpers date_comp, sql_date_comp.
M	includes/date_functions.inc

2015-01-09 19:53:09 +0100 Cambell Prince 
Small cleanup in JsHttpRequest.
M	includes/JsHttpRequest.php

2015-01-09 19:50:36 +0100 Janusz Dobrowolski 
Added trans_editor_link helper.
M	gl/inquiry/journal_inquiry.php
M	includes/ui/ui_input.inc
M	includes/ui/ui_view.inc
M	manufacturing/search_work_orders.php
M	purchasing/inquiry/po_search.php
M	purchasing/inquiry/po_search_completed.php
M	purchasing/inquiry/supplier_inquiry.php
M	sales/includes/db/sales_order_db.inc
M	sales/inquiry/customer_inquiry.php
M	sales/inquiry/sales_deliveries_view.php
M	sales/inquiry/sales_orders_view.php

2015-01-09 17:15:54 +0100 Janusz Dobrowolski 
Fixed default value for audit_trail.fiscal_year column.
M	includes/db/audit_trail_db.inc
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-01-05 13:42:03 +0100 Janusz Dobrowolski 
Added stub for database query profiling.
M	includes/db/connect_db.inc
M	includes/db/connect_db_mysql.inc
M	includes/db/connect_db_mysqli.inc
M	sql/alter2.4.php

2015-01-06 12:02:48 +0100 Joe 
Pressing the link -Entry customer payment for this invoice- now shows correct branch in payment form.
M	sales/customer_payments.php

2015-01-05 23:45:33 +0100 Joe 
Fixed unmatched column count when inserting item.
M	inventory/includes/db/items_db.inc

2015-01-05 23:27:12 +0100 Joe 
Fixed merge problem in Item Cost Update.
M	inventory/includes/db/items_trans_db.inc

2015-01-05 16:58:24 +0100 Joe 
Cleanup in db_pager get_sql and testing it.
M	admin/view_print_transaction.php
M	admin/void_transaction.php
M	dimensions/inquiry/search_dimensions.php
M	gl/bank_account_reconcile.php
M	gl/manage/exchange_rates.php
M	manufacturing/includes/db/work_orders_db.inc
M	manufacturing/inquiry/where_used_inquiry.php
M	manufacturing/search_work_orders.php
M	purchasing/includes/db/po_db.inc
M	purchasing/inquiry/po_search.php
M	purchasing/inquiry/po_search_completed.php
M	purchasing/inquiry/supplier_allocation_inquiry.php
M	purchasing/inquiry/supplier_inquiry.php
M	sales/includes/db/cust_trans_db.inc
M	sales/includes/db/sales_order_db.inc
M	sales/inquiry/sales_deliveries_view.php
M	sales/inquiry/sales_orders_view.php

2015-01-05 09:42:01 +0100 Janusz Dobrowolski 
Fixed new company creation.
M	admin/create_coy.php
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-01-04 19:18:40 +0100 Janusz Dobrowolski 
Fixed exchange rate storage in GRN transactions.
M	purchasing/includes/db/grn_db.inc
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-01-04 17:19:10 +0100 Janusz Dobrowolski 
Additional validation check on template order during recurrent invoice definition entry.
M	sales/manage/recurrent_invoices.php

2015-01-04 12:32:16 +0100 Janusz Dobrowolski 
Cleanup: removed reference to nonexisiting company setting.
M	gl/includes/db/gl_db_trans.inc

2015-01-04 11:49:16 +0100 Janusz Dobrowolski 
Switching all MyISAM tables to InnoDB, fixed charset and small bugs in init sql files.
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-01-05 00:29:00 +0100 Joe 
Improved design in Suppliers form.
M	purchasing/manage/suppliers.php

2015-01-04 16:30:30 +0100 Joe 
Problems with merge in tabbed dialogs, customer, supplier, and some cleanup.
M	purchasing/inquiry/po_search_completed.php
M	sales/includes/db/sales_order_db.inc
M	sales/inquiry/sales_orders_view.php
M	sales/manage/customers.php

2015-01-04 10:32:05 +0100 Janusz Dobrowolski 
Cleanup: invalid transaction type constant used in get_counterparty_name()
M	admin/db/transactions_db.inc

2015-01-03 21:32:02 +0100 Janusz Dobrowolski 
Removed sparse fields contact_name,disable_trans from cust_branch, added branch bank account field on customer entry form.
M	includes/ui/ui_lists.inc
M	sales/includes/db/branches_db.inc
M	sales/manage/customer_branches.php
M	sales/manage/customers.php
M	sql/alter2.4.php
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2015-01-03 17:37:04 +0100 Janusz Dobrowolski 
Fixed customer reference column in Salesman Listing report.
M	reporting/rep103.php
M	reporting/rep106.php

2015-01-03 16:53:24 +0100 Janusz Dobrowolski 
Delivery against sales order fixed (merge bug).
M	sales/customer_delivery.php

2015-01-03 11:57:59 +0100 Janusz Dobrowolski 
Cleanup: removed all closing tags in php files.
M	access/index.php
M	access/login.php
M	access/logout.php
M	access/password_reset.php
M	access/timeout.php
M	admin/attachments.php
M	admin/backups.php
M	admin/change_current_user_password.php
M	admin/company_preferences.php
M	admin/create_coy.php
M	admin/crm_categories.php
M	admin/db/attachments_db.inc
M	admin/db/company_db.inc
M	admin/db/fiscalyears_db.inc
M	admin/db/index.php
M	admin/db/maintenance_db.inc
M	admin/db/printers_db.inc
M	admin/db/security_db.inc
M	admin/db/shipping_db.inc
M	admin/db/tags_db.inc
M	admin/db/transactions_db.inc
M	admin/db/users_db.inc
M	admin/db/voiding_db.inc
M	admin/display_prefs.php
M	admin/fiscalyears.php
M	admin/forms_setup.php
M	admin/gl_setup.php
M	admin/index.php
M	admin/inst_chart.php
M	admin/inst_lang.php
M	admin/inst_module.php
M	admin/inst_theme.php
M	admin/inst_upgrade.php
M	admin/payment_terms.php
M	admin/print_profiles.php
M	admin/printers.php
M	admin/security_roles.php
M	admin/shipping_companies.php
M	admin/system_diagnostics.php
M	admin/tags.php
M	admin/users.php
M	admin/view_print_transaction.php
M	admin/void_transaction.php
M	applications/application.php
M	applications/customers.php
M	applications/dimensions.php
M	applications/generalledger.php
M	applications/index.php
M	applications/inventory.php
M	applications/manufacturing.php
M	applications/setup.php
M	applications/suppliers.php
M	company/0/backup/index.php
M	company/0/images/index.php
M	company/0/index.php
M	company/0/js_cache/index.php
M	company/0/pdf_files/index.php
M	company/0/reporting/index.php
M	company/index.php
M	config.default.php
M	dimensions/dimension_entry.php
M	dimensions/includes/dimensions_db.inc
M	dimensions/includes/dimensions_ui.inc
M	dimensions/includes/index.php
M	dimensions/index.php
M	dimensions/inquiry/index.php
M	dimensions/inquiry/search_dimensions.php
M	dimensions/view/index.php
M	dimensions/view/view_dimension.php
M	doc/index.php
M	frontaccounting.php
M	gl/accruals.php
M	gl/bank_account_reconcile.php
M	gl/bank_transfer.php
M	gl/gl_bank.php
M	gl/gl_budget.php
M	gl/gl_journal.php
M	gl/includes/db/gl_db_account_types.inc
M	gl/includes/db/gl_db_bank_accounts.inc
M	gl/includes/db/gl_db_bank_trans.inc
M	gl/includes/db/gl_db_currencies.inc
M	gl/includes/db/gl_db_rates.inc
M	gl/includes/db/gl_db_trans.inc
M	gl/includes/db/index.php
M	gl/includes/gl_db.inc
M	gl/includes/gl_ui.inc
M	gl/includes/index.php
M	gl/includes/ui/gl_bank_ui.inc
M	gl/includes/ui/index.php
M	gl/index.php
M	gl/inquiry/balance_sheet.php
M	gl/inquiry/bank_inquiry.php
M	gl/inquiry/gl_account_inquiry.php
M	gl/inquiry/gl_trial_balance.php
M	gl/inquiry/index.php
M	gl/inquiry/journal_inquiry.php
M	gl/inquiry/profit_loss.php
M	gl/inquiry/tax_inquiry.php
M	gl/manage/bank_accounts.php
M	gl/manage/close_period.php
M	gl/manage/currencies.php
M	gl/manage/exchange_rates.php
M	gl/manage/gl_account_classes.php
M	gl/manage/gl_account_types.php
M	gl/manage/gl_accounts.php
M	gl/manage/gl_quick_entries.php
M	gl/manage/index.php
M	gl/manage/revaluate_currencies.php
M	gl/view/accrual_trans.php
M	gl/view/bank_transfer_view.php
M	gl/view/gl_deposit_view.php
M	gl/view/gl_payment_view.php
M	gl/view/gl_trans_view.php
M	gl/view/index.php
M	includes/access_levels.inc
M	includes/ajax.inc
M	includes/archive.inc
M	includes/banking.inc
M	includes/current_user.inc
M	includes/date_functions.inc
M	includes/db/audit_trail_db.inc
M	includes/db/comments_db.inc
M	includes/db/connect_db.inc
M	includes/db/crm_contacts_db.inc
M	includes/db/index.php
M	includes/db/manufacturing_db.inc
M	includes/db/references_db.inc
M	includes/db_pager.inc
M	includes/errors.inc
M	includes/index.php
M	includes/lang/gettext.inc
M	includes/lang/index.php
M	includes/lang/language.inc
M	includes/main.inc
M	includes/manufacturing.inc
M	includes/packages.inc
M	includes/page/footer.inc
M	includes/page/header.inc
M	includes/page/index.php
M	includes/prefs/index.php
M	includes/prefs/sysprefs.inc
M	includes/prefs/userprefs.inc
M	includes/references.inc
M	includes/sysnames.inc
M	includes/types.inc
M	includes/ui.inc
M	includes/ui/contacts_view.inc
M	includes/ui/db_pager_view.inc
M	includes/ui/index.php
M	includes/ui/items_cart.inc
M	includes/ui/simple_crud_class.inc
M	includes/ui/ui_controls.inc
M	includes/ui/ui_globals.inc
M	includes/ui/ui_input.inc
M	includes/ui/ui_msgs.inc
M	index.php
M	install/index.php
M	install/isession.inc
M	inventory/adjustments.php
M	inventory/cost_update.php
M	inventory/includes/db/index.php
M	inventory/includes/db/items_adjust_db.inc
M	inventory/includes/db/items_category_db.inc
M	inventory/includes/db/items_codes_db.inc
M	inventory/includes/db/items_db.inc
M	inventory/includes/db/items_locations_db.inc
M	inventory/includes/db/items_prices_db.inc
M	inventory/includes/db/items_purchases_db.inc
M	inventory/includes/db/items_trans_db.inc
M	inventory/includes/db/items_transfer_db.inc
M	inventory/includes/db/items_units_db.inc
M	inventory/includes/db/movement_types_db.inc
M	inventory/includes/index.php
M	inventory/includes/inventory_db.inc
M	inventory/includes/item_adjustments_ui.inc
M	inventory/includes/stock_transfers_ui.inc
M	inventory/index.php
M	inventory/inquiry/index.php
M	inventory/inquiry/stock_movements.php
M	inventory/inquiry/stock_status.php
M	inventory/manage/index.php
M	inventory/manage/item_categories.php
M	inventory/manage/item_codes.php
M	inventory/manage/item_units.php
M	inventory/manage/items.php
M	inventory/manage/locations.php
M	inventory/manage/movement_types.php
M	inventory/manage/sales_kits.php
M	inventory/prices.php
M	inventory/purchasing_data.php
M	inventory/transfers.php
M	inventory/view/index.php
M	inventory/view/view_adjustment.php
M	inventory/view/view_transfer.php
M	js/index.php
M	lang/index.php
M	lang/new_language_template/locale.inc
M	manufacturing/includes/db/index.php
M	manufacturing/includes/db/work_centres_db.inc
M	manufacturing/includes/db/work_order_issues_db.inc
M	manufacturing/includes/db/work_order_produce_items_db.inc
M	manufacturing/includes/db/work_order_requirements_db.inc
M	manufacturing/includes/db/work_orders_db.inc
M	manufacturing/includes/db/work_orders_quick_db.inc
M	manufacturing/includes/index.php
M	manufacturing/includes/manufacturing_db.inc
M	manufacturing/includes/manufacturing_ui.inc
M	manufacturing/includes/work_order_issue_ui.inc
M	manufacturing/index.php
M	manufacturing/inquiry/bom_cost_inquiry.php
M	manufacturing/inquiry/index.php
M	manufacturing/inquiry/where_used_inquiry.php
M	manufacturing/manage/bom_edit.php
M	manufacturing/manage/index.php
M	manufacturing/manage/work_centres.php
M	manufacturing/search_work_orders.php
M	manufacturing/view/index.php
M	manufacturing/view/wo_costs_view.php
M	manufacturing/view/wo_issue_view.php
M	manufacturing/view/wo_production_view.php
M	manufacturing/view/work_order_view.php
M	manufacturing/work_order_add_finished.php
M	manufacturing/work_order_costs.php
M	manufacturing/work_order_entry.php
M	manufacturing/work_order_issue.php
M	manufacturing/work_order_release.php
M	modules/_cache/index.php
M	modules/index.php
M	purchasing/allocations/index.php
M	purchasing/allocations/supplier_allocate.php
M	purchasing/allocations/supplier_allocation_main.php
M	purchasing/includes/db/grn_db.inc
M	purchasing/includes/db/index.php
M	purchasing/includes/db/invoice_items_db.inc
M	purchasing/includes/db/po_db.inc
M	purchasing/includes/db/supp_payment_db.inc
M	purchasing/includes/db/supp_trans_db.inc
M	purchasing/includes/db/suppalloc_db.inc
M	purchasing/includes/index.php
M	purchasing/includes/po_class.inc
M	purchasing/includes/purchasing_ui.inc
M	purchasing/includes/supp_trans_class.inc
M	purchasing/includes/ui/grn_ui.inc
M	purchasing/includes/ui/index.php
M	purchasing/includes/ui/invoice_ui.inc
M	purchasing/includes/ui/po_ui.inc
M	purchasing/index.php
M	purchasing/inquiry/index.php
M	purchasing/inquiry/po_search.php
M	purchasing/inquiry/po_search_completed.php
M	purchasing/inquiry/supplier_allocation_inquiry.php
M	purchasing/inquiry/supplier_inquiry.php
M	purchasing/manage/index.php
M	purchasing/manage/suppliers.php
M	purchasing/po_entry_items.php
M	purchasing/po_receive_items.php
M	purchasing/supplier_credit.php
M	purchasing/supplier_invoice.php
M	purchasing/supplier_payment.php
M	purchasing/view/index.php
M	purchasing/view/view_grn.php
M	purchasing/view/view_po.php
M	purchasing/view/view_supp_credit.php
M	purchasing/view/view_supp_invoice.php
M	purchasing/view/view_supp_payment.php
M	reporting/fonts/courier.php
M	reporting/fonts/helvetica.php
M	reporting/fonts/helveticab.php
M	reporting/fonts/helveticabi.php
M	reporting/fonts/helveticai.php
M	reporting/fonts/symbol.php
M	reporting/fonts/times.php
M	reporting/fonts/timesb.php
M	reporting/fonts/timesbi.php
M	reporting/fonts/timesi.php
M	reporting/fonts/zapfdingbats.php
M	reporting/forms/index.php
M	reporting/includes/Workbook.php
M	reporting/includes/barcodes.php
M	reporting/includes/class.graphic.inc
M	reporting/includes/class.mail.inc
M	reporting/includes/class.pdf.inc
M	reporting/includes/excel_report.inc
M	reporting/includes/header2.inc
M	reporting/includes/html_entity_decode_php4.php
M	reporting/includes/htmlcolors.php
M	reporting/includes/index.php
M	reporting/includes/pdf_report.inc
M	reporting/includes/printer_class.inc
M	reporting/includes/reporting.inc
M	reporting/includes/reports_classes.inc
M	reporting/includes/tcpdf.php
M	reporting/includes/unicode_data2.php
M	reporting/index.php
M	reporting/prn_redirect.php
M	reporting/rep101.php
M	reporting/rep102.php
M	reporting/rep103.php
M	reporting/rep104.php
M	reporting/rep105.php
M	reporting/rep106.php
M	reporting/rep107.php
M	reporting/rep108.php
M	reporting/rep109.php
M	reporting/rep110.php
M	reporting/rep111.php
M	reporting/rep112.php
M	reporting/rep113.php
M	reporting/rep114.php
M	reporting/rep201.php
M	reporting/rep202.php
M	reporting/rep203.php
M	reporting/rep204.php
M	reporting/rep205.php
M	reporting/rep209.php
M	reporting/rep210.php
M	reporting/rep301.php
M	reporting/rep302.php
M	reporting/rep303.php
M	reporting/rep305.php
M	reporting/rep306.php
M	reporting/rep307.php
M	reporting/rep308.php
M	reporting/rep309.php
M	reporting/rep401.php
M	reporting/rep402.php
M	reporting/rep409.php
M	reporting/rep501.php
M	reporting/rep601.php
M	reporting/rep602.php
M	reporting/rep701.php
M	reporting/rep702.php
M	reporting/rep704.php
M	reporting/rep705.php
M	reporting/rep706.php
M	reporting/rep707.php
M	reporting/rep708.php
M	reporting/rep709.php
M	reporting/rep710.php
M	reporting/reports_main.php
M	sales/allocations/customer_allocate.php
M	sales/allocations/customer_allocation_main.php
M	sales/allocations/index.php
M	sales/create_recurrent_invoices.php
M	sales/credit_note_entry.php
M	sales/customer_credit_invoice.php
M	sales/customer_delivery.php
M	sales/customer_invoice.php
M	sales/customer_payments.php
M	sales/includes/cart_class.inc
M	sales/includes/db/branches_db.inc
M	sales/includes/db/credit_status_db.inc
M	sales/includes/db/cust_trans_db.inc
M	sales/includes/db/cust_trans_details_db.inc
M	sales/includes/db/custalloc_db.inc
M	sales/includes/db/index.php
M	sales/includes/db/payment_db.inc
M	sales/includes/db/recurrent_invoices_db.inc
M	sales/includes/db/sales_credit_db.inc
M	sales/includes/db/sales_delivery_db.inc
M	sales/includes/db/sales_groups_db.inc
M	sales/includes/db/sales_points_db.inc
M	sales/includes/db/sales_types_db.inc
M	sales/includes/index.php
M	sales/includes/sales_db.inc
M	sales/includes/sales_ui.inc
M	sales/includes/ui/sales_credit_ui.inc
M	sales/includes/ui/sales_order_ui.inc
M	sales/index.php
M	sales/inquiry/customer_allocation_inquiry.php
M	sales/inquiry/customer_inquiry.php
M	sales/inquiry/index.php
M	sales/inquiry/sales_deliveries_view.php
M	sales/manage/credit_status.php
M	sales/manage/customer_branches.php
M	sales/manage/customers.php
M	sales/manage/index.php
M	sales/manage/recurrent_invoices.php
M	sales/manage/sales_areas.php
M	sales/manage/sales_groups.php
M	sales/manage/sales_people.php
M	sales/manage/sales_points.php
M	sales/manage/sales_types.php
M	sales/sales_order_entry.php
M	sales/view/index.php
M	sales/view/view_credit.php
M	sales/view/view_dispatch.php
M	sales/view/view_invoice.php
M	sales/view/view_receipt.php
M	sales/view/view_sales_order.php
M	sql/alter2.1.php
M	sql/alter2.2.php
M	sql/alter2.3.php
M	sql/index.php
M	taxes/db/index.php
M	taxes/db/item_tax_types_db.inc
M	taxes/db/tax_groups_db.inc
M	taxes/db/tax_types_db.inc
M	taxes/index.php
M	taxes/item_tax_types.php
M	taxes/tax_calc.inc
M	taxes/tax_groups.php
M	taxes/tax_types.php
M	themes/aqua/index.php
M	themes/aqua/renderer.php
M	themes/cool/index.php
M	themes/cool/renderer.php
M	themes/default/index.php
M	themes/default/renderer.php
M	tmp/index.php

2015-01-03 10:38:55 +0100 Janusz Dobrowolski 
Fixed include file issue in sales order entry.
M	includes/main.inc

2014-12-29 11:47:39 +0100 Janusz Dobrowolski 
Small correction to last cleanups.
M	gl/includes/db/gl_db_rates.inc
M	includes/types.inc

2014-12-31 12:55:54 +0100 Janusz Dobrowolski 
Fixed error handling (logged in debug instead of production mode).
M	includes/errors.inc

2014-12-31 12:55:11 +0100 Janusz Dobrowolski 
Purchase order reference was not restored after last PO cancelation.
M	purchasing/includes/db/po_db.inc

2014-12-28 23:33:49 +0100 Joe 
Cleanup, $SysPrefs.
2014-12-28 23:19:56 +0100 Joe 
Cleanup, $SysPrefs.
M	sales/sales_order_entry.php

2014-12-28 23:12:20 +0100 Janusz Dobrowolski 
Additional fixes to app options reorganization.
M	admin/display_prefs.php
M	sales/sales_order_entry.php
M	sql/alter2.4.php
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2014-12-27 21:01:24 +0100 Janusz Dobrowolski 
Cleanup: various random sql queries found in UI files moved to database interface files
M	admin/crm_categories.php
M	admin/db/company_db.inc
M	admin/db/transactions_db.inc
M	admin/inst_theme.php
M	gl/includes/db/gl_db_accounts.inc
M	gl/includes/db/gl_db_bank_accounts.inc
M	gl/includes/db/gl_db_rates.inc
M	includes/banking.inc
M	includes/db/crm_contacts_db.inc
M	includes/db/references_db.inc
M	includes/main.inc
M	includes/references.inc
D	includes/systypes.inc
M	includes/types.inc
M	manufacturing/work_order_entry.php
M	purchasing/includes/db/po_db.inc
M	purchasing/includes/db/suppliers_db.inc
M	purchasing/includes/ui/po_ui.inc
M	reporting/includes/doctext.inc
M	sales/customer_invoice.php
M	sales/includes/db/customers_db.inc
M	sales/includes/db/sales_order_db.inc
M	sales/inquiry/sales_orders_view.php
M	sales/sales_order_entry.php

2014-12-27 16:41:30 +0100 Janusz Dobrowolski 
Cleanup: removed _GET/_POST references from business logic model.
M	dimensions/includes/dimensions_db.inc
M	dimensions/inquiry/search_dimensions.php
M	gl/includes/db/gl_db_rates.inc
M	gl/manage/exchange_rates.php
M	includes/lang/language.inc
M	manufacturing/includes/db/work_orders_db.inc
M	manufacturing/inquiry/where_used_inquiry.php
M	manufacturing/search_work_orders.php
M	manufacturing/work_order_entry.php
M	purchasing/includes/db/po_db.inc
M	purchasing/includes/db/suppalloc_db.inc
M	purchasing/includes/db/suppliers_db.inc
M	purchasing/inquiry/po_search.php
M	purchasing/inquiry/po_search_completed.php
M	purchasing/inquiry/supplier_allocation_inquiry.php
M	sales/credit_note_entry.php
M	sales/customer_credit_invoice.php
M	sales/customer_delivery.php
M	sales/customer_invoice.php
M	sales/includes/db/branches_db.inc
M	sales/includes/db/cust_trans_db.inc
M	sales/includes/sales_ui.inc
M	sales/inquiry/customer_inquiry.php
M	sales/inquiry/sales_deliveries_view.php
M	sales/manage/customer_branches.php
M	sales/sales_order_entry.php

2014-12-27 16:23:53 +0100 Janusz Dobrowolski 
Cleanup: changed language.php, gettext.php file names to *.inc
R100	includes/lang/gettext.php	includes/lang/gettext.inc
R100	includes/lang/language.php	includes/lang/language.inc
M	includes/session.inc
M	install/isession.inc

2014-12-25 20:54:22 +0100 Janusz Dobrowolski 
Database errors should be sent to log instead of screen in debug mode.
M	includes/errors.inc

2014-12-25 19:57:27 +0100 Janusz Dobrowolski 
Fail log was not written when root directory was read only.
M	includes/session.inc

2014-12-25 18:31:05 +0100 Janusz Dobrowolski 
Fixed display issues when different settings were used for various app users (javascript files are now cached for every user separately).
M	access/login.php
M	admin/db/company_db.inc
M	includes/current_user.inc
M	includes/lang/language.php
M	includes/main.inc
M	includes/page/header.inc
M	includes/ui/ui_view.inc

2014-12-28 16:45:40 +0100 Joe 
Fixed update.html for new history and removal of global variables.
M	update.html

2014-12-28 16:38:46 +0100 Joe 
Fixed update.html for new history and removal of global variables.
M	update.html

2014-12-28 16:17:10 +0100 Joe 
Removed many global variables from config.default.php to GL Setup, Company Setup and Display Setup.
M	admin/company_preferences.php
M	admin/display_prefs.php
M	admin/fiscalyears.php
M	admin/gl_setup.php
M	admin/void_transaction.php
M	config.default.php
M	dimensions/dimension_entry.php
M	dimensions/inquiry/search_dimensions.php
M	dimensions/view/view_dimension.php
M	gl/accruals.php
M	gl/bank_account_reconcile.php
M	gl/bank_transfer.php
M	gl/gl_bank.php
M	gl/gl_journal.php
M	gl/inquiry/balance_sheet.php
M	gl/inquiry/bank_inquiry.php
M	gl/inquiry/gl_account_inquiry.php
M	gl/inquiry/gl_trial_balance.php
M	gl/inquiry/journal_inquiry.php
M	gl/inquiry/profit_loss.php
M	gl/inquiry/tax_inquiry.php
M	gl/manage/close_period.php
M	gl/manage/exchange_rates.php
M	gl/manage/gl_accounts.php
M	gl/manage/revaluate_currencies.php
M	includes/current_user.inc
M	includes/prefs/sysprefs.inc
M	includes/prefs/userprefs.inc
M	includes/ui/db_pager_view.inc
M	includes/ui/ui_input.inc
M	includes/ui/ui_lists.inc
M	includes/ui/ui_view.inc
M	inventory/adjustments.php
M	inventory/includes/db/items_adjust_db.inc
M	inventory/includes/db/items_transfer_db.inc
M	inventory/inquiry/stock_movements.php
M	inventory/manage/items.php
M	inventory/transfers.php
M	manufacturing/work_order_add_finished.php
M	manufacturing/work_order_costs.php
M	manufacturing/work_order_entry.php
M	manufacturing/work_order_issue.php
M	manufacturing/work_order_release.php
M	purchasing/inquiry/po_search.php
M	purchasing/inquiry/po_search_completed.php
M	purchasing/inquiry/supplier_allocation_inquiry.php
M	purchasing/inquiry/supplier_inquiry.php
M	purchasing/manage/suppliers.php
M	purchasing/po_entry_items.php
M	purchasing/po_receive_items.php
M	purchasing/supplier_credit.php
M	purchasing/supplier_invoice.php
M	purchasing/supplier_payment.php
M	reporting/includes/doctext.inc
M	reporting/includes/pdf_report.inc
M	reporting/includes/reporting.inc
M	reporting/includes/reports_classes.inc
M	reporting/prn_redirect.php
M	reporting/rep107.php
M	reporting/rep109.php
M	reporting/rep110.php
M	reporting/rep111.php
M	reporting/rep113.php
M	reporting/rep209.php
M	reporting/reports_main.php
M	sales/create_recurrent_invoices.php
M	sales/credit_note_entry.php
M	sales/customer_credit_invoice.php
M	sales/customer_delivery.php
M	sales/customer_invoice.php
M	sales/customer_payments.php
M	sales/includes/db/sales_order_db.inc
M	sales/inquiry/customer_allocation_inquiry.php
M	sales/inquiry/customer_inquiry.php
M	sales/inquiry/sales_deliveries_view.php
M	sales/inquiry/sales_orders_view.php
M	sales/manage/customers.php
M	sales/manage/recurrent_invoices.php
M	sales/sales_order_entry.php
M	sql/alter2.4.php
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql
M	taxes/db/tax_groups_db.inc

2014-12-25 18:17:03 +0100 Janusz Dobrowolski 
Additional fix to the merge.
M	sales/sales_order_entry.php

2014-12-25 16:59:14 +0100 Janusz Dobrowolski 
Merged changes form stabel branch up to the current state (2.3.22+).
2014-12-22 19:14:48 +0100 Janusz Dobrowolski 
Removed redundant indexes on supp_trans and cust_branch tables.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2014-12-22 19:11:49 +0100 Janusz Dobrowolski 
Reverting last last two commits mistakenly pushed to stable branch.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2014-12-21 17:32:41 +0100 Janusz Dobrowolski 
Removed redundant index on supp_trans.type.
M	sql/en_US-new.sql

2014-12-20 17:16:55 +0100 Janusz Dobrowolski 
Removed redundant indexes on cust_branch & supp_trans tables
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2014-12-19 00:22:30 +0100 Joe 
Extended email entries.
M	admin/company_preferences.php
M	inventory/manage/locations.php

2014-12-17 15:33:19 +0100 Joe 
Fixed Quote Valid Days in System and GL Setup, Setup tab.
M	admin/gl_setup.php
M	includes/prefs/sysprefs.inc
M	sales/includes/ui/sales_order_ui.inc

2014-12-08 20:14:01 +0100 Janusz Dobrowolski 
Fixed problems with latin2 encoding due to changes in htmlspecialchars() behaviour in newer php versions.
M	includes/db/connect_db.inc
M	includes/session.inc

2014-11-22 11:54:52 +0100 Cambell 
Further fixes to javascript multiple class handling.
M	js/inserts.js
M	js/utils.js

2014-11-21 10:18:42 +0100 Janusz Dobrowolski 
[0002950] Fixed false quantity on hand errors on sales delivery.
M	sales/customer_delivery.php
M	sales/includes/cart_class.inc

2014-11-21 10:17:54 +0100 Janusz Dobrowolski 
Fixed warning during database restore.
M	admin/db/maintenance_db.inc

2014-11-17 10:21:06 +0100 Janusz Dobrowolski 
Fixed warning about non-existing HTTP_USER_AGENT session variable on some Plesk configurations.
M	includes/session.inc

2014-11-19 00:07:10 +0100 Joe 
Fixed better CSS combobox select.
M	themes/aqua/default.css
M	themes/cool/default.css
M	themes/default/default.css

2014-11-17 11:04:14 +0100 Joe 
Fixed ECB URLs moved permanently.
M	gl/includes/db/gl_db_rates.inc

2014-11-13 21:25:07 +0700 Cambell 
Javascript now works with multiple classes on elements.
M	js/inserts.js
M	js/utils.js

2014-11-07 07:50:05 +0100 Joe 
Fixed deprecated preg_replace in php >= 5.3.0 with the /e flag in utf8 reports.
M	reporting/includes/html_entity_decode_php4.php

2014-10-27 21:34:36 +0100 Joe 
Improved calculation of standard cost in advanced manufacturing even if qoh = 0.
M	manufacturing/includes/db/work_orders_db.inc

2014-10-27 18:26:02 +0100 Janusz Dobrowolski 
Fixed 'C' english language display on Install/Update Languages page, to allow its selection on first page.
M	admin/inst_lang.php

2014-10-15 00:53:25 +0200 Janusz Dobrowolski 
Restoring compressed sql files sometimes failed due to nasty bug in php gzfile function.
M	admin/db/maintenance_db.inc

2014-10-08 20:50:59 +0200 Janusz Dobrowolski 
Fixed contact record creation when new customer is added (reference/name were superseded).
M	sales/manage/customers.php

2014-10-01 23:08:26 +0200 Joe 
Improved layout Reports Customer / Supplier Balances.
M	reporting/rep101.php
M	reporting/rep201.php

2014-10-01 13:32:38 +0200 Joe 
Wrong domestic open balance in Report Supplier Balance for currency suppliers.
M	reporting/rep201.php

2014-09-29 16:32:30 +0200 Joe 
Clean up. Standard COAs.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2014-09-29 16:06:38 +0200 Joe 
Changelog change
A	CHANGELOG.txt

2014-09-29 16:04:06 +0200 Joe 
Changelog change
D	CHANGELOG.txt

2014-09-29 15:57:38 +0200 Joe 
Release 2.3.22
M	update.html
M	version.php

2014-09-29 15:35:40 +0200 Janusz Dobrowolski 
Updated gettext template.
M	lang/new_language_template/LC_MESSAGES/empty.po

2014-09-26 15:34:33 +0200 Joe 
Updated en_US-demo.sql and en_US-new.sql COAs
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2014-09-24 23:42:01 +0200 Joe 
Global option for printing item images on sales quotations.
M	config.default.php
M	reporting/rep111.php

2014-09-24 07:51:57 +0200 Joe 
Improved Tax Report. Bank Payments/Deposits show 'order to/name' info in name column.
M	reporting/rep709.php

2014-09-22 23:20:05 +0200 Janusz Dobrowolski 
Small cleanups.
M	inventory/transfers.php
M	sales/includes/ui/sales_order_ui.inc

2014-09-21 00:09:59 +0200 Janusz Dobrowolski 
Fixed stock quantity checks to block transactions which would result in negative inventory status (if not allowed).
M	gl/includes/db/gl_db_bank_trans.inc
M	includes/db/inventory_db.inc
M	includes/db/manufacturing_db.inc
M	includes/db/sql_functions.inc
M	includes/ui/items_cart.inc
M	inventory/adjustments.php
M	inventory/includes/item_adjustments_ui.inc
M	inventory/includes/stock_transfers_ui.inc
M	inventory/transfers.php
M	manufacturing/includes/work_order_issue_ui.inc
M	manufacturing/work_order_add_finished.php
M	manufacturing/work_order_entry.php
M	manufacturing/work_order_issue.php
M	purchasing/supplier_credit.php
M	sales/customer_delivery.php
M	sales/includes/cart_class.inc
M	sales/includes/ui/sales_order_ui.inc
M	sales/sales_order_entry.php

2014-09-19 09:06:11 +0200 Joe 
Set default Show Also Allocated to Yes in aged reports, just like on screen transactions.
M	reporting/includes/reports_classes.inc

2014-09-19 02:40:34 +0200 Joe 
Rerun. We must also test for availability on document date.
M	sales/sales_order_entry.php

2014-09-19 02:04:30 +0200 Joe 
We must always test for stock availability by todays date.
M	sales/sales_order_entry.php

2014-09-18 18:51:29 +0200 Janusz Dobrowolski 
Fixed typo in last commit.
M	includes/db/connect_db_mysql.inc

2014-09-17 11:04:23 +0200 Janusz Dobrowolski 
Fixed POST array values paasing on timout screen.
M	access/login.php

2014-09-16 23:07:22 +0200 Janusz Dobrowolski 
Additional db driver fixes, mysqli api set as default regardless of php version.
M	admin/db/maintenance_db.inc
M	includes/db/connect_db.inc
M	includes/db/connect_db_mysql.inc
M	includes/db/connect_db_mysqli.inc

2014-09-14 00:43:07 +0200 Joe 
Added new report, Work Order Listing.
M	reporting/includes/reports_classes.inc
A	reporting/rep402.php
M	reporting/reports_main.php

2014-09-14 00:42:03 +0200 Joe 
Added sorting for number and name in work order inquiry.
M	manufacturing/search_work_orders.php

2014-09-12 08:19:48 +0200 Joe 
Bug fixes and option to print Inventory Valuation Report on Costed Values.
M	reporting/rep301.php
M	reporting/rep308.php

2014-09-12 08:18:10 +0200 Joe 
CItem Cost Update will also regulate the stock moves standard cost to mirror correct GL.
M	inventory/includes/db/items_trans_db.inc

2014-09-12 08:16:50 +0200 Joe 
New flag $use_costed_values in config.php for Inventory Valuation Report
M	config.default.php

2014-09-12 08:15:34 +0200 Joe 
Removed redundant mb_flag 'A'.
M	includes/db/manufacturing_db.inc

2014-09-01 14:18:04 +0200 Janusz Dobrowolski 
PHP 5.4 warning on deprecated mysql api is ignored to avoid folld in errors file. This is safe to use it with 5.4 in FA 2.3 anyway, will be moved to mysqli in 2.4.
M	includes/errors.inc

2014-08-22 22:26:32 +0200 Janusz Dobrowolski 
Fixed php5.4 specific problem with downloading extensions (by campbell-prince)
M	includes/archive.inc

2014-08-15 09:30:11 +0200 Joe 
Improved Costed Inventory Movement Report
M	reporting/rep308.php

2014-08-13 23:00:42 +0200 Joe 
Wrong parameter when saving Item Transfer
M	inventory/includes/db/items_transfer_db.inc

2014-08-12 23:46:20 +0200 Joe 
Wrong parameter when saving Item Adjustment
M	inventory/includes/db/items_adjust_db.inc

2014-07-10 10:43:31 +0200 Joe 
Added supplier search in Outstanding Purchase Orders and Purchase Orders Inquiry.
M	purchasing/includes/db/po_db.inc
M	purchasing/inquiry/po_search.php
M	purchasing/inquiry/po_search_completed.php
M	sales/includes/db/cust_trans_db.inc

2014-07-09 11:42:38 +0200 Joe 
Added customer search in Search not invoiced Deliveries.
M	sales/includes/db/cust_trans_db.inc
M	sales/inquiry/sales_deliveries_view.php

2014-07-07 10:59:55 +0200 Joe 
Improved readability in Graphics engine, x-legends for all languages.
M	reporting/includes/class.graphic.inc

2014-07-05 16:17:45 +0200 Joe 
New variable in config.default.php , $UTF8_fontfile. Needed due to FreeSans problem with Arabic and Chinese in Graphics Engine.
M	config.default.php

2014-07-05 16:15:08 +0200 Joe 
Enabled RTL text in Graphics Engine. Due to bug in imagettftext.
M	reporting/includes/class.graphic.inc

2014-06-24 09:15:17 +0200 Joe 
Fixed line overwrite in documents when using rtl language.
M	reporting/includes/header2.inc

2014-06-17 18:51:58 +0200 Joe 
User account should not be deleted if there are any entries on his/her name.
M	admin/users.php

2014-06-13 20:40:21 +0200 Joe 
Added short name, name and tax id as search options in customer and supplier lists
M	includes/ui/ui_lists.inc

2014-06-07 23:24:19 +0200 Janusz Dobrowolski 
Language template update
M	lang/new_language_template/LC_MESSAGES/empty.po

2014-05-31 13:33:31 +0200 Janusz Dobrowolski 
Stable branch merged up to 2.3.21
2014-05-27 20:56:31 +0200 Janusz Dobrowolski 
Customer Credit Note: fixed payments allocation after crediting sales invoice.
M	sales/includes/db/custalloc_db.inc

2014-05-27 18:02:16 +0200 Janusz Dobrowolski 
Payment/Deposit: new exchange rate was not used for GL postings, now ex_rate is stored before adding transaction.
M	gl/gl_bank.php

2014-05-21 16:00:20 +0200 Joe 
Release 2.3.21
M	CHANGELOG.txt
M	update.html
M	version.php

2014-05-21 08:59:54 +0200 Janusz Dobrowolski 
Fixed unexpected additional GL postings when tax was used in Supplier Invoice additional GL lines.
M	purchasing/includes/supp_trans_class.inc
M	purchasing/supplier_credit.php

2014-05-21 08:58:03 +0200 Janusz Dobrowolski 
Small code cleanups.
M	includes/current_user.inc
M	purchasing/supplier_invoice.php

2014-04-26 09:14:55 +0200 Janusz Dobrowolski 
Added option to allow password reset (by Mithy).
M	access/login.php
A	access/password_reset.php
M	admin/db/users_db.inc
M	config.default.php
M	includes/current_user.inc
M	includes/session.inc

2014-04-26 00:57:39 +0200 Janusz Dobrowolski 
Fixed directory traversal issues.
M	admin/inst_module.php
M	includes/hooks.inc

2014-04-26 00:12:09 +0200 Janusz Dobrowolski 
Redirect all database errors to error log unless $go_debug is switched on.
M	includes/errors.inc

2014-04-26 00:01:46 +0200 Janusz Dobrowolski 
A couple of security issues fixed.
M	access/logout.php
M	admin/create_coy.php
M	admin/db/users_db.inc
M	includes/current_user.inc
M	includes/session.inc
M	inventory/includes/db/items_db.inc
M	taxes/db/tax_types_db.inc

2014-03-23 16:02:59 +0100 Janusz Dobrowolski 
Fixed email option labels in Supplier Reports.
M	reporting/reports_main.php

2014-05-08 23:16:57 +0200 Joe 
Bug in new mysqli driver.
M	includes/db/connect_db_mysqli.inc

2014-05-07 23:34:25 +0200 Joe 
New mysql/mysqli driver implemented. Uses mysqli driver from php version 5.5.
M	includes/db/connect_db.inc
A	includes/db/connect_db_mysql.inc
A	includes/db/connect_db_mysqli.inc
M	includes/db_pager.inc
M	includes/system_tests.inc
M	reporting/rep107.php
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2014-05-05 16:19:26 +0200 Joe 
Allow changing urrency on customer/supplier as long as no transactions exist.
M	purchasing/manage/suppliers.php
M	sales/manage/customers.php

2014-05-04 09:46:12 +0200 Joe 
Backward compatible empty sql mode for MySql databases greater than release 5.5.
M	includes/db/connect_db.inc

2014-04-08 09:20:13 +0200 Joe 
Sending location email when below reorder also in Itmes Transfer and Adjustment
M	inventory/includes/db/items_adjust_db.inc
M	inventory/includes/db/items_transfer_db.inc
M	inventory/includes/inventory_db.inc
M	sales/includes/db/sales_order_db.inc

2014-04-05 10:15:37 +0200 Joe 
Selecting the cancel button in confirming the voiding of document did not work properly. Rerun
M	sales/sales_order_entry.php

2014-04-05 10:08:18 +0200 Joe 
Selecting the cancel button in confirming the voiding of document did not work properly.
M	sales/sales_order_entry.php

2014-04-04 23:51:03 +0200 Joe 
When canceling a non finished sales quotation FA should not try to delete record.
M	sales/sales_order_entry.php

2014-04-03 16:37:49 +0200 Joe 
Bad elsif sentense in items.php (image upload)
M	inventory/manage/items.php

2014-03-11 23:57:43 +0100 Joe 
Changed decimal places in preferences to be number lists.
M	admin/display_prefs.php

2014-03-10 11:06:46 +0100 Joe 
Crusial update instructions
M	update.html

2014-03-10 11:01:33 +0100 Joe 
New CHANGELOG.txt
M	CHANGELOG.txt

2014-03-10 10:58:41 +0100 Joe 
Release 2.3.20
M	version.php

2014-03-10 10:18:32 +0100 Janusz Dobrowolski 
Gettext template update.
M	lang/new_language_template/LC_MESSAGES/empty.po

2014-03-07 00:57:47 +0100 Janusz Dobrowolski 
Fixed security issues in file uploads.
M	admin/attachments.php
M	admin/company_preferences.php
M	admin/inst_lang.php
M	includes/main.inc
M	inventory/includes/inventory_db.inc

2014-03-10 10:15:41 +0100 Joe 
fixed a check that company logo exists when using header3.
M	reporting/includes/pdf_report.inc

2014-02-07 09:02:01 +0100 Joe 
If no memo on GL line in GL account inquiry, the comments for the voucher is shown on the line.
M	gl/inquiry/gl_account_inquiry.php

2014-02-07 01:13:21 +0100 Joe 
Supplier info not shown on gl inquiry for bank account.
M	purchasing/includes/db/supp_payment_db.inc

2014-02-04 15:35:12 +0100 Joe 
Supp credit notes should not be shown in allocable list.
M	purchasing/includes/db/suppalloc_db.inc

2014-02-04 12:47:46 +0100 Janusz Dobrowolski 
Fixed bug in Supplier Credit Note allocation to Purchase Invoice.
M	purchasing/includes/db/invoice_db.inc

2014-01-29 08:49:48 +0100 Joe 
Link customer payment entry after saving Invoice (if not cash)
M	purchasing/supplier_invoice.php
M	sales/customer_invoice.php
M	sales/sales_order_entry.php

2014-01-17 13:38:45 +0100 Joe 
0002615: Rerun. voiding an allocated currency invoice doesn't clear FX account
M	sales/includes/db/custalloc_db.inc

2014-01-16 19:34:20 +0100 Joe 
0002615: voiding an allocated currency invoice doesn't clear FX account
M	purchasing/includes/db/suppalloc_db.inc
M	sales/includes/db/custalloc_db.inc

2013-11-17 16:33:31 +0100 Janusz Dobrowolski 
Fixed payment in Direct Invoice, removed obsolete add_supp_payment function.
M	purchasing/includes/db/supp_payment_db.inc
M	purchasing/includes/purchasing_db.inc

2013-11-17 16:16:59 +0100 Janusz Dobrowolski 
Moving backend procedures from Direct GRN/Direct Supplier Invoice to purchasing_db.inc.
M	purchasing/includes/po_class.inc
M	purchasing/includes/purchasing_db.inc
M	purchasing/includes/ui/po_ui.inc
M	purchasing/po_entry_items.php

2013-11-17 15:41:39 +0100 Janusz Dobrowolski 
Added exchange rate field in grn_batch.
M	purchasing/includes/db/grn_db.inc
M	sql/alter2.4.php
M	sql/alter2.4.sql
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2014-01-01 00:40:43 +0100 Joe 
Def. COAs. Changed query_size in users table to unsigned tinyint(1)
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2013-12-31 01:15:54 +0100 Joe 
Rerun. Changed query_size in users table to unsigned tinyint(1)
M	sql/alter2.4.sql

2013-12-31 01:12:28 +0100 Joe 
Rerun. Changed query_size in users table to unsigned tinyint(1)
M	sql/alter2.4.sql

2013-12-31 00:58:02 +0100 Joe 
Changed query_size in users table to unsigned tinyint(1)
M	sql/alter2.4.sql

2013-12-28 21:04:23 +0100 Janusz Dobrowolski 
Added debtor_trans key on order_ field.
M	sql/en_US-demo.sql
M	sql/en_US-new.sql

2013-12-10 08:21:07 +0100 Joe 
Avoiding redundant passes in Fiscal Year deletion.
M	admin/db/fiscalyears_db.inc

2013-12-05 09:58:28 +0100 Joe 
Rerun. Allowing more than one document attachment.
M	admin/db/attachments_db.inc

2013-12-05 00:17:05 +0100 Joe 
Inventory Items Movements always starts with 0 qty. Fixed.
M	inventory/includes/db/movement_types_db.inc

2013-12-04 10:24:31 +0100 Joe 
Allowing more than one document attachment.
M	admin/db/attachments_db.inc
M	includes/ui/ui_controls.inc

2013-11-20 16:09:52 +0100 Janusz Dobrowolski 
Supplier Payments: Fixed error during payment allocation in strict MySQL mode.
M	includes/ui/allocation_cart.inc
M	purchasing/includes/db/suppalloc_db.inc
M	purchasing/supplier_payment.php

2013-11-19 17:35:33 +0100 Janusz Dobrowolski 
Fixed back link presented when trying to modify fully invoiced Customer Delivery.
M	sales/customer_delivery.php

2013-11-19 15:09:02 +0100 Janusz Dobrowolski 
Fixed inventory valuation bug after voiding foreign supplier GRN leading to negative inventory.
M	includes/db/inventory_db.inc
M	purchasing/includes/db/grn_db.inc

2013-11-10 15:11:30 +0100 Janusz Dobrowolski 
Journal Inquiry (bank transaction view): fixed database error on bank transaction view triggered on some buggy MySQL versions.
M	gl/includes/db/gl_db_bank_trans.inc

2013-11-06 21:13:23 +0100 Janusz Dobrowolski 
Payments, Deposits: fixed false error when payment is made in customer/supplier currency.
M	gl/gl_bank.php

2013-11-06 08:01:02 +0100 Joe 
CHANGELOG
M	CHANGELOG.txt

2013-11-06 07:52:15 +0100 Joe 
Release 2.3.19
M	CHANGELOG.txt
M	version.php

2013-11-05 17:55:35 +0100 Janusz Dobrowolski 
Gettext template update.
M	lang/new_language_template/LC_MESSAGES/empty.po

2013-11-03 14:39:23 +0100 Janusz Dobrowolski 
Supplier Invoice: Fixed tax input refresh after change in gl/grn items.
M	purchasing/supplier_invoice.php

2013-10-29 22:47:52 +0100 Janusz Dobrowolski 
Show menu icons in default configuration.
M	config.default.php

2013-10-29 08:06:58 +0100 Janusz Dobrowolski 
Stock viewer popup should be displayd without menu header.
M	includes/ui/ui_view.inc
M	inventory/inquiry/stock_status.php

2013-10-28 12:08:20 +0100 Janusz Dobrowolski 
Cleanups in price/cost/reorder levels pages.
M	inventory/cost_update.php
M	inventory/prices.php
M	inventory/purchasing_data.php
M	inventory/reorder_level.php

2013-10-28 09:35:17 +0100 Janusz Dobrowolski 
Allocate Customer Payment or Credit Note, Allocate Supplier Payment or Credit Note: settled amount displayed in header.
M	purchasing/allocations/supplier_allocate.php
M	sales/allocations/customer_allocate.php

2013-10-28 08:09:27 +0100 Janusz Dobrowolski 
Fixed a couple of obvious errors.
M	gl/gl_journal.php
M	includes/db_pager.inc
M	includes/references.inc
M	purchasing/includes/db/invoice_db.inc
M	purchasing/includes/db/supp_trans_db.inc
M	purchasing/includes/purchasing_db.inc
M	purchasing/manage/suppliers.php
M	sales/customer_delivery.php
M	sales/includes/db/cust_trans_db.inc

2013-10-28 08:08:13 +0100 Janusz Dobrowolski 
Improved db_pager query parsing (fixed error in Sales Quotation Inquiry)
M	includes/db_pager.inc

2013-10-27 18:19:36 +0100 Janusz Dobrowolski 
Merged latest changes from stable branch.
2013-10-27 16:52:01 +0100 Janusz Dobrowolski 
Merged last changes from stable.
2013-10-27 00:09:48 +0200 Janusz Dobrowolski 
Bank Payment View, Bank Deposit View: fixed 'left to allocate' amount, added value in customer/payment currency.
M	gl/includes/db/gl_db_bank_trans.inc
M	gl/view/gl_deposit_view.php
M	gl/view/gl_payment_view.php

2013-10-27 00:05:04 +0200 Janusz Dobrowolski 
Supplier Allocations: Bank Payments transactions were improperly available for supplier payments allocations.
M	purchasing/includes/db/suppalloc_db.inc

2013-10-26 19:15:15 +0200 Janusz Dobrowolski 
Bank Transfer: roundings for transfers between two currencies are posted to exchange variance account.
M	gl/includes/db/gl_db_banking.inc

2013-10-18 11:33:27 +0200 Joe 
Supplier transactions now show supplier reference for PO Deliveries.
M	purchasing/includes/db/supp_trans_db.inc

2013-10-14 13:53:06 +0200 Janusz Dobrowolski 
Fixed person contact deletion.
M	includes/db/crm_contacts_db.inc
M	includes/ui/contacts_view.inc

2013-10-14 11:15:51 +0200 Joe 
When automatic creating a branch the contact is also created on the customer (Rerun).
M	sales/manage/customers.php

2013-10-14 00:00:04 +0200 Joe 
Ehen automatic creating a branch the contact is also created on the customer.
M	sales/manage/customers.php

2013-10-13 22:03:58 +0200 Janusz Dobrowolski 
Clenaups in supplier credit note.
M	purchasing/includes/purchasing_db.inc
M	purchasing/includes/purchasing_ui.inc
M	purchasing/supplier_credit.php

2013-10-13 21:11:40 +0200 Janusz Dobrowolski 
Customer Allocation Inquiry, Supplier Allocation Inquiry: fixed payment forms initialization, different icons for playment and allocation links.
M	config.default.php
M	includes/types.inc
M	purchasing/allocations/supplier_allocation_main.php
M	purchasing/inquiry/supplier_allocation_inquiry.php
M	purchasing/supplier_payment.php
M	sales/allocations/customer_allocation_main.php
M	sales/customer_payments.php
M	sales/inquiry/customer_allocation_inquiry.php
A	themes/aqua/images/alloc.png
A	themes/cool/images/alloc.png
A	themes/default/images/alloc.png

2013-10-13 19:27:54 +0200 Janusz Dobrowolski 
Customer/Supplier Balances Reports: fixed error in recalculation to home currency value.
M	reporting/rep101.php
M	reporting/rep201.php

2013-09-26 12:57:59 +0200 Joe 
Some documents views didn't show new lines in comments. Fixed.
M	includes/ui/ui_view.inc
M	purchasing/includes/db/po_db.inc
M	sales/view/view_sales_order.php

2013-09-24 17:45:01 +0200 Janusz Dobrowolski 
Supplier Payment: small fix in fixed ui translation.
M	purchasing/supplier_payment.php

2013-09-24 17:43:58 +0200 Janusz Dobrowolski 
Added portuguese translation for installer.
M	install/isession.inc
A	install/lang/pt_PT/LC_MESSAGES/pt_PT.mo
A	install/lang/pt_PT/LC_MESSAGES/pt_PT.po

2013-09-24 13:24:58 +0200 Janusz Dobrowolski 
Bank Payment/Bank Deposit: removed sparse sign from settled amount input, fixed sign in AR/AP record; Fixed amounts displayed in header for customer/supplier bank payments.
M	gl/gl_bank.php
M	gl/includes/db/gl_db_banking.inc
M	gl/includes/ui/gl_bank_ui.inc
M	purchasing/includes/db/supp_trans_db.inc
M	sales/includes/db/cust_trans_db.inc

2013-09-21 00:19:28 +0200 Janusz Dobrowolski 
Customer Payments, Payments to Supplier: improved readbility and multiply cleanups in payments allocations.
M	includes/banking.inc
M	includes/ui/allocation_cart.inc
M	purchasing/allocations/supplier_allocate.php
M	purchasing/includes/db/supp_trans_db.inc
M	purchasing/includes/db/suppalloc_db.inc
M	purchasing/includes/ui/invoice_ui.inc
